#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1266
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 77
#define ALIAS_COUNT 0
#define TOKEN_COUNT 45
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 11
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 32

enum ts_symbol_identifiers {
  anon_sym_LPAREN = 1,
  anon_sym_COMMA = 2,
  anon_sym_RPAREN = 3,
  anon_sym_true = 4,
  anon_sym_false = 5,
  anon_sym_SQUOTE = 6,
  aux_sym_string_token1 = 7,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 8,
  aux_sym_string_token2 = 9,
  sym_escape_sequence = 10,
  anon_sym_AT = 11,
  anon_sym_LBRACE = 12,
  anon_sym_RBRACE = 13,
  anon_sym_LBRACK = 14,
  anon_sym_RBRACK = 15,
  anon_sym_COLON = 16,
  sym_identifier = 17,
  sym_number = 18,
  anon_sym_EQ = 19,
  anon_sym_PLUS_EQ = 20,
  anon_sym_DASH_EQ = 21,
  anon_sym_SLASH_EQ = 22,
  anon_sym_SLASH = 23,
  anon_sym_PLUS = 24,
  anon_sym_QMARK = 25,
  anon_sym_not = 26,
  anon_sym_EQ_EQ = 27,
  anon_sym_BANG_EQ = 28,
  anon_sym_GT_EQ = 29,
  anon_sym_GT = 30,
  anon_sym_LT = 31,
  anon_sym_and = 32,
  anon_sym_or = 33,
  anon_sym_in = 34,
  anon_sym_DOT = 35,
  anon_sym_endif = 36,
  anon_sym_if = 37,
  anon_sym_elif = 38,
  anon_sym_else = 39,
  anon_sym_foreach = 40,
  anon_sym_endforeach = 41,
  sym_keyword_break = 42,
  sym_keyword_continue = 43,
  sym_comment = 44,
  sym_source_file = 45,
  sym__unit = 46,
  sym_normal_command = 47,
  sym_bool = 48,
  sym_string = 49,
  sym_formatunit = 50,
  sym_dictionaries = 51,
  sym_listitem = 52,
  sym_list = 53,
  sym_pair = 54,
  sym_operatorunit = 55,
  sym_variableunit = 56,
  sym_ternaryoperator = 57,
  sym__logic_unit = 58,
  sym_var_unit = 59,
  sym_expression_statement = 60,
  sym_if_condition = 61,
  sym_if_command = 62,
  sym_elseif_command = 63,
  sym_else_command = 64,
  sym_foreach_command = 65,
  aux_sym_source_file_repeat1 = 66,
  aux_sym_normal_command_repeat1 = 67,
  aux_sym_string_repeat1 = 68,
  aux_sym_string_repeat2 = 69,
  aux_sym_dictionaries_repeat1 = 70,
  aux_sym_list_repeat1 = 71,
  aux_sym_variableunit_repeat1 = 72,
  aux_sym_var_unit_repeat1 = 73,
  aux_sym_expression_statement_repeat1 = 74,
  aux_sym_if_condition_repeat1 = 75,
  aux_sym_foreach_command_repeat1 = 76,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_LPAREN] = "(",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [aux_sym_string_token2] = "string_token2",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_COLON] = ":",
  [sym_identifier] = "identifier",
  [sym_number] = "number",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_SLASH] = "/",
  [anon_sym_PLUS] = "+",
  [anon_sym_QMARK] = "\?",
  [anon_sym_not] = "not",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_in] = "in",
  [anon_sym_DOT] = ".",
  [anon_sym_endif] = "endif",
  [anon_sym_if] = "if",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_foreach] = "foreach",
  [anon_sym_endforeach] = "endforeach",
  [sym_keyword_break] = "keyword_break",
  [sym_keyword_continue] = "keyword_continue",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__unit] = "_unit",
  [sym_normal_command] = "normal_command",
  [sym_bool] = "bool",
  [sym_string] = "string",
  [sym_formatunit] = "formatunit",
  [sym_dictionaries] = "dictionaries",
  [sym_listitem] = "listitem",
  [sym_list] = "list",
  [sym_pair] = "pair",
  [sym_operatorunit] = "operatorunit",
  [sym_variableunit] = "variableunit",
  [sym_ternaryoperator] = "ternaryoperator",
  [sym__logic_unit] = "_logic_unit",
  [sym_var_unit] = "var_unit",
  [sym_expression_statement] = "expression_statement",
  [sym_if_condition] = "if_condition",
  [sym_if_command] = "if_command",
  [sym_elseif_command] = "elseif_command",
  [sym_else_command] = "else_command",
  [sym_foreach_command] = "foreach_command",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_normal_command_repeat1] = "normal_command_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_dictionaries_repeat1] = "dictionaries_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym_variableunit_repeat1] = "variableunit_repeat1",
  [aux_sym_var_unit_repeat1] = "var_unit_repeat1",
  [aux_sym_expression_statement_repeat1] = "expression_statement_repeat1",
  [aux_sym_if_condition_repeat1] = "if_condition_repeat1",
  [aux_sym_foreach_command_repeat1] = "foreach_command_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_identifier] = sym_identifier,
  [sym_number] = sym_number,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_endif] = anon_sym_endif,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_foreach] = anon_sym_foreach,
  [anon_sym_endforeach] = anon_sym_endforeach,
  [sym_keyword_break] = sym_keyword_break,
  [sym_keyword_continue] = sym_keyword_continue,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym__unit] = sym__unit,
  [sym_normal_command] = sym_normal_command,
  [sym_bool] = sym_bool,
  [sym_string] = sym_string,
  [sym_formatunit] = sym_formatunit,
  [sym_dictionaries] = sym_dictionaries,
  [sym_listitem] = sym_listitem,
  [sym_list] = sym_list,
  [sym_pair] = sym_pair,
  [sym_operatorunit] = sym_operatorunit,
  [sym_variableunit] = sym_variableunit,
  [sym_ternaryoperator] = sym_ternaryoperator,
  [sym__logic_unit] = sym__logic_unit,
  [sym_var_unit] = sym_var_unit,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_condition] = sym_if_condition,
  [sym_if_command] = sym_if_command,
  [sym_elseif_command] = sym_elseif_command,
  [sym_else_command] = sym_else_command,
  [sym_foreach_command] = sym_foreach_command,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_normal_command_repeat1] = aux_sym_normal_command_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_dictionaries_repeat1] = aux_sym_dictionaries_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym_variableunit_repeat1] = aux_sym_variableunit_repeat1,
  [aux_sym_var_unit_repeat1] = aux_sym_var_unit_repeat1,
  [aux_sym_expression_statement_repeat1] = aux_sym_expression_statement_repeat1,
  [aux_sym_if_condition_repeat1] = aux_sym_if_condition_repeat1,
  [aux_sym_foreach_command_repeat1] = aux_sym_foreach_command_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_endif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreach] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_endforeach] = {
    .visible = true,
    .named = false,
  },
  [sym_keyword_break] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_continue] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__unit] = {
    .visible = false,
    .named = true,
  },
  [sym_normal_command] = {
    .visible = true,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_formatunit] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionaries] = {
    .visible = true,
    .named = true,
  },
  [sym_listitem] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_operatorunit] = {
    .visible = true,
    .named = true,
  },
  [sym_variableunit] = {
    .visible = true,
    .named = true,
  },
  [sym_ternaryoperator] = {
    .visible = true,
    .named = true,
  },
  [sym__logic_unit] = {
    .visible = false,
    .named = true,
  },
  [sym_var_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_if_command] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_command] = {
    .visible = true,
    .named = true,
  },
  [sym_else_command] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_command] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_normal_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionaries_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variableunit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_var_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_condition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_foreach_command_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_array = 1,
  field_command = 2,
  field_dictionaries = 3,
  field_function = 4,
  field_index = 5,
  field_item = 6,
  field_key = 7,
  field_object = 8,
  field_property = 9,
  field_value = 10,
  field_variable = 11,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_array] = "array",
  [field_command] = "command",
  [field_dictionaries] = "dictionaries",
  [field_function] = "function",
  [field_index] = "index",
  [field_item] = "item",
  [field_key] = "key",
  [field_object] = "object",
  [field_property] = "property",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 5},
  [2] = {.index = 5, .length = 1},
  [3] = {.index = 6, .length = 1},
  [4] = {.index = 7, .length = 5},
  [5] = {.index = 12, .length = 1},
  [6] = {.index = 13, .length = 1},
  [7] = {.index = 14, .length = 1},
  [8] = {.index = 15, .length = 1},
  [9] = {.index = 16, .length = 8},
  [10] = {.index = 24, .length = 1},
  [11] = {.index = 25, .length = 2},
  [12] = {.index = 27, .length = 1},
  [13] = {.index = 28, .length = 2},
  [14] = {.index = 30, .length = 1},
  [15] = {.index = 31, .length = 1},
  [16] = {.index = 32, .length = 1},
  [17] = {.index = 33, .length = 1},
  [18] = {.index = 34, .length = 2},
  [19] = {.index = 36, .length = 2},
  [20] = {.index = 38, .length = 1},
  [21] = {.index = 39, .length = 2},
  [22] = {.index = 41, .length = 2},
  [23] = {.index = 43, .length = 1},
  [24] = {.index = 44, .length = 2},
  [25] = {.index = 46, .length = 2},
  [26] = {.index = 48, .length = 2},
  [27] = {.index = 50, .length = 4},
  [28] = {.index = 54, .length = 4},
  [29] = {.index = 58, .length = 4},
  [30] = {.index = 62, .length = 3},
  [31] = {.index = 65, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_function, 1, .inherited = true},
    {field_index, 1, .inherited = true},
    {field_object, 0},
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [5] =
    {field_value, 0},
  [6] =
    {field_value, 0, .inherited = true},
  [7] =
    {field_function, 0},
    {field_function, 1, .inherited = true},
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [12] =
    {field_command, 0},
  [13] =
    {field_property, 1},
  [14] =
    {field_function, 1},
  [15] =
    {field_object, 1},
  [16] =
    {field_function, 0, .inherited = true},
    {field_function, 1, .inherited = true},
    {field_index, 0, .inherited = true},
    {field_index, 1, .inherited = true},
    {field_object, 0, .inherited = true},
    {field_object, 1, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 1, .inherited = true},
  [24] =
    {field_value, 1, .inherited = true},
  [25] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [27] =
    {field_variable, 1},
  [28] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [30] =
    {field_index, 2},
  [31] =
    {field_key, 2},
  [32] =
    {field_variable, 0},
  [33] =
    {field_variable, 1, .inherited = true},
  [34] =
    {field_variable, 0, .inherited = true},
    {field_variable, 1, .inherited = true},
  [36] =
    {field_value, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [38] =
    {field_item, 1},
  [39] =
    {field_item, 0, .inherited = true},
    {field_item, 1, .inherited = true},
  [41] =
    {field_key, 0},
    {field_value, 2},
  [43] =
    {field_value, 1},
  [44] =
    {field_variable, 1, .inherited = true},
    {field_variable, 2},
  [46] =
    {field_array, 3},
    {field_item, 1},
  [48] =
    {field_dictionaries, 3},
    {field_item, 1},
  [50] =
    {field_index, 2},
    {field_index, 3},
    {field_index, 4},
    {field_property, 1},
  [54] =
    {field_function, 1},
    {field_index, 2},
    {field_index, 3},
    {field_index, 4},
  [58] =
    {field_index, 2},
    {field_index, 3},
    {field_index, 4},
    {field_object, 1},
  [62] =
    {field_array, 4},
    {field_item, 1},
    {field_item, 2, .inherited = true},
  [65] =
    {field_dictionaries, 4},
    {field_item, 1},
    {field_item, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 13,
  [15] = 8,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 10,
  [24] = 11,
  [25] = 12,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 6,
  [30] = 28,
  [31] = 9,
  [32] = 20,
  [33] = 16,
  [34] = 16,
  [35] = 35,
  [36] = 16,
  [37] = 16,
  [38] = 16,
  [39] = 39,
  [40] = 16,
  [41] = 16,
  [42] = 42,
  [43] = 43,
  [44] = 43,
  [45] = 2,
  [46] = 2,
  [47] = 47,
  [48] = 48,
  [49] = 43,
  [50] = 2,
  [51] = 51,
  [52] = 52,
  [53] = 43,
  [54] = 43,
  [55] = 43,
  [56] = 43,
  [57] = 43,
  [58] = 43,
  [59] = 59,
  [60] = 60,
  [61] = 3,
  [62] = 3,
  [63] = 3,
  [64] = 3,
  [65] = 3,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 59,
  [72] = 68,
  [73] = 69,
  [74] = 69,
  [75] = 75,
  [76] = 68,
  [77] = 69,
  [78] = 78,
  [79] = 68,
  [80] = 69,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 59,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 68,
  [92] = 92,
  [93] = 3,
  [94] = 59,
  [95] = 6,
  [96] = 7,
  [97] = 5,
  [98] = 13,
  [99] = 8,
  [100] = 9,
  [101] = 101,
  [102] = 10,
  [103] = 11,
  [104] = 12,
  [105] = 13,
  [106] = 8,
  [107] = 13,
  [108] = 8,
  [109] = 13,
  [110] = 8,
  [111] = 5,
  [112] = 10,
  [113] = 11,
  [114] = 12,
  [115] = 13,
  [116] = 8,
  [117] = 10,
  [118] = 11,
  [119] = 12,
  [120] = 13,
  [121] = 8,
  [122] = 9,
  [123] = 7,
  [124] = 5,
  [125] = 6,
  [126] = 6,
  [127] = 7,
  [128] = 9,
  [129] = 27,
  [130] = 26,
  [131] = 131,
  [132] = 6,
  [133] = 39,
  [134] = 134,
  [135] = 39,
  [136] = 42,
  [137] = 18,
  [138] = 19,
  [139] = 21,
  [140] = 22,
  [141] = 26,
  [142] = 3,
  [143] = 6,
  [144] = 35,
  [145] = 18,
  [146] = 19,
  [147] = 21,
  [148] = 22,
  [149] = 149,
  [150] = 42,
  [151] = 10,
  [152] = 28,
  [153] = 9,
  [154] = 20,
  [155] = 10,
  [156] = 11,
  [157] = 12,
  [158] = 158,
  [159] = 11,
  [160] = 28,
  [161] = 28,
  [162] = 9,
  [163] = 20,
  [164] = 10,
  [165] = 11,
  [166] = 12,
  [167] = 6,
  [168] = 35,
  [169] = 28,
  [170] = 20,
  [171] = 171,
  [172] = 18,
  [173] = 19,
  [174] = 20,
  [175] = 21,
  [176] = 22,
  [177] = 28,
  [178] = 20,
  [179] = 27,
  [180] = 180,
  [181] = 39,
  [182] = 28,
  [183] = 42,
  [184] = 20,
  [185] = 185,
  [186] = 186,
  [187] = 9,
  [188] = 188,
  [189] = 27,
  [190] = 12,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 26,
  [195] = 3,
  [196] = 35,
  [197] = 13,
  [198] = 51,
  [199] = 47,
  [200] = 200,
  [201] = 47,
  [202] = 48,
  [203] = 51,
  [204] = 8,
  [205] = 47,
  [206] = 48,
  [207] = 48,
  [208] = 6,
  [209] = 8,
  [210] = 9,
  [211] = 12,
  [212] = 212,
  [213] = 10,
  [214] = 51,
  [215] = 11,
  [216] = 13,
  [217] = 26,
  [218] = 78,
  [219] = 70,
  [220] = 81,
  [221] = 82,
  [222] = 83,
  [223] = 18,
  [224] = 66,
  [225] = 85,
  [226] = 226,
  [227] = 87,
  [228] = 9,
  [229] = 229,
  [230] = 39,
  [231] = 67,
  [232] = 232,
  [233] = 60,
  [234] = 75,
  [235] = 90,
  [236] = 92,
  [237] = 78,
  [238] = 81,
  [239] = 82,
  [240] = 83,
  [241] = 70,
  [242] = 85,
  [243] = 87,
  [244] = 67,
  [245] = 75,
  [246] = 90,
  [247] = 92,
  [248] = 78,
  [249] = 70,
  [250] = 19,
  [251] = 42,
  [252] = 20,
  [253] = 21,
  [254] = 22,
  [255] = 255,
  [256] = 60,
  [257] = 257,
  [258] = 35,
  [259] = 259,
  [260] = 257,
  [261] = 226,
  [262] = 88,
  [263] = 89,
  [264] = 257,
  [265] = 92,
  [266] = 259,
  [267] = 89,
  [268] = 226,
  [269] = 66,
  [270] = 226,
  [271] = 257,
  [272] = 28,
  [273] = 259,
  [274] = 60,
  [275] = 259,
  [276] = 257,
  [277] = 28,
  [278] = 259,
  [279] = 10,
  [280] = 6,
  [281] = 257,
  [282] = 259,
  [283] = 88,
  [284] = 257,
  [285] = 259,
  [286] = 89,
  [287] = 11,
  [288] = 257,
  [289] = 259,
  [290] = 12,
  [291] = 257,
  [292] = 259,
  [293] = 232,
  [294] = 81,
  [295] = 295,
  [296] = 296,
  [297] = 20,
  [298] = 82,
  [299] = 83,
  [300] = 295,
  [301] = 232,
  [302] = 85,
  [303] = 232,
  [304] = 87,
  [305] = 232,
  [306] = 67,
  [307] = 66,
  [308] = 295,
  [309] = 75,
  [310] = 90,
  [311] = 295,
  [312] = 88,
  [313] = 313,
  [314] = 314,
  [315] = 314,
  [316] = 27,
  [317] = 314,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 313,
  [322] = 314,
  [323] = 47,
  [324] = 314,
  [325] = 319,
  [326] = 313,
  [327] = 319,
  [328] = 313,
  [329] = 319,
  [330] = 313,
  [331] = 319,
  [332] = 332,
  [333] = 333,
  [334] = 313,
  [335] = 319,
  [336] = 313,
  [337] = 319,
  [338] = 319,
  [339] = 313,
  [340] = 319,
  [341] = 313,
  [342] = 48,
  [343] = 343,
  [344] = 81,
  [345] = 82,
  [346] = 83,
  [347] = 85,
  [348] = 87,
  [349] = 67,
  [350] = 75,
  [351] = 90,
  [352] = 92,
  [353] = 78,
  [354] = 70,
  [355] = 188,
  [356] = 356,
  [357] = 3,
  [358] = 180,
  [359] = 188,
  [360] = 360,
  [361] = 131,
  [362] = 134,
  [363] = 192,
  [364] = 171,
  [365] = 192,
  [366] = 171,
  [367] = 367,
  [368] = 368,
  [369] = 360,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 134,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 367,
  [378] = 158,
  [379] = 374,
  [380] = 368,
  [381] = 158,
  [382] = 367,
  [383] = 368,
  [384] = 360,
  [385] = 370,
  [386] = 371,
  [387] = 171,
  [388] = 343,
  [389] = 374,
  [390] = 375,
  [391] = 376,
  [392] = 185,
  [393] = 393,
  [394] = 185,
  [395] = 3,
  [396] = 367,
  [397] = 368,
  [398] = 360,
  [399] = 370,
  [400] = 371,
  [401] = 372,
  [402] = 343,
  [403] = 374,
  [404] = 375,
  [405] = 376,
  [406] = 131,
  [407] = 375,
  [408] = 376,
  [409] = 158,
  [410] = 185,
  [411] = 411,
  [412] = 370,
  [413] = 192,
  [414] = 371,
  [415] = 415,
  [416] = 416,
  [417] = 372,
  [418] = 180,
  [419] = 343,
  [420] = 60,
  [421] = 180,
  [422] = 188,
  [423] = 134,
  [424] = 131,
  [425] = 372,
  [426] = 426,
  [427] = 427,
  [428] = 427,
  [429] = 88,
  [430] = 89,
  [431] = 431,
  [432] = 431,
  [433] = 433,
  [434] = 434,
  [435] = 426,
  [436] = 89,
  [437] = 434,
  [438] = 426,
  [439] = 439,
  [440] = 434,
  [441] = 431,
  [442] = 426,
  [443] = 431,
  [444] = 434,
  [445] = 426,
  [446] = 9,
  [447] = 13,
  [448] = 434,
  [449] = 8,
  [450] = 431,
  [451] = 426,
  [452] = 452,
  [453] = 427,
  [454] = 434,
  [455] = 10,
  [456] = 434,
  [457] = 11,
  [458] = 426,
  [459] = 12,
  [460] = 434,
  [461] = 426,
  [462] = 13,
  [463] = 8,
  [464] = 434,
  [465] = 427,
  [466] = 426,
  [467] = 6,
  [468] = 427,
  [469] = 42,
  [470] = 470,
  [471] = 470,
  [472] = 18,
  [473] = 473,
  [474] = 19,
  [475] = 475,
  [476] = 476,
  [477] = 470,
  [478] = 21,
  [479] = 473,
  [480] = 473,
  [481] = 22,
  [482] = 10,
  [483] = 11,
  [484] = 12,
  [485] = 26,
  [486] = 39,
  [487] = 28,
  [488] = 473,
  [489] = 470,
  [490] = 473,
  [491] = 180,
  [492] = 470,
  [493] = 20,
  [494] = 473,
  [495] = 470,
  [496] = 496,
  [497] = 35,
  [498] = 473,
  [499] = 470,
  [500] = 470,
  [501] = 6,
  [502] = 28,
  [503] = 473,
  [504] = 473,
  [505] = 20,
  [506] = 9,
  [507] = 470,
  [508] = 192,
  [509] = 509,
  [510] = 510,
  [511] = 158,
  [512] = 47,
  [513] = 171,
  [514] = 185,
  [515] = 515,
  [516] = 516,
  [517] = 48,
  [518] = 188,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 92,
  [523] = 83,
  [524] = 85,
  [525] = 393,
  [526] = 393,
  [527] = 78,
  [528] = 528,
  [529] = 75,
  [530] = 67,
  [531] = 70,
  [532] = 393,
  [533] = 90,
  [534] = 534,
  [535] = 3,
  [536] = 60,
  [537] = 3,
  [538] = 538,
  [539] = 81,
  [540] = 87,
  [541] = 3,
  [542] = 82,
  [543] = 3,
  [544] = 3,
  [545] = 3,
  [546] = 12,
  [547] = 10,
  [548] = 11,
  [549] = 12,
  [550] = 13,
  [551] = 8,
  [552] = 8,
  [553] = 11,
  [554] = 6,
  [555] = 12,
  [556] = 556,
  [557] = 557,
  [558] = 13,
  [559] = 559,
  [560] = 556,
  [561] = 9,
  [562] = 8,
  [563] = 556,
  [564] = 557,
  [565] = 556,
  [566] = 6,
  [567] = 13,
  [568] = 8,
  [569] = 556,
  [570] = 10,
  [571] = 557,
  [572] = 9,
  [573] = 393,
  [574] = 556,
  [575] = 13,
  [576] = 557,
  [577] = 8,
  [578] = 557,
  [579] = 556,
  [580] = 557,
  [581] = 556,
  [582] = 10,
  [583] = 557,
  [584] = 11,
  [585] = 13,
  [586] = 8,
  [587] = 556,
  [588] = 9,
  [589] = 557,
  [590] = 13,
  [591] = 6,
  [592] = 557,
  [593] = 42,
  [594] = 475,
  [595] = 595,
  [596] = 20,
  [597] = 35,
  [598] = 20,
  [599] = 6,
  [600] = 28,
  [601] = 35,
  [602] = 9,
  [603] = 476,
  [604] = 604,
  [605] = 28,
  [606] = 9,
  [607] = 18,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 475,
  [613] = 476,
  [614] = 11,
  [615] = 10,
  [616] = 19,
  [617] = 39,
  [618] = 18,
  [619] = 39,
  [620] = 21,
  [621] = 22,
  [622] = 622,
  [623] = 10,
  [624] = 11,
  [625] = 625,
  [626] = 626,
  [627] = 12,
  [628] = 12,
  [629] = 6,
  [630] = 19,
  [631] = 631,
  [632] = 26,
  [633] = 26,
  [634] = 28,
  [635] = 6,
  [636] = 9,
  [637] = 35,
  [638] = 10,
  [639] = 11,
  [640] = 21,
  [641] = 12,
  [642] = 42,
  [643] = 18,
  [644] = 644,
  [645] = 28,
  [646] = 39,
  [647] = 19,
  [648] = 20,
  [649] = 649,
  [650] = 650,
  [651] = 20,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 21,
  [658] = 658,
  [659] = 42,
  [660] = 22,
  [661] = 28,
  [662] = 475,
  [663] = 28,
  [664] = 20,
  [665] = 20,
  [666] = 22,
  [667] = 26,
  [668] = 476,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 520,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 48,
  [682] = 515,
  [683] = 683,
  [684] = 519,
  [685] = 685,
  [686] = 475,
  [687] = 520,
  [688] = 685,
  [689] = 689,
  [690] = 676,
  [691] = 678,
  [692] = 692,
  [693] = 476,
  [694] = 685,
  [695] = 515,
  [696] = 696,
  [697] = 673,
  [698] = 685,
  [699] = 519,
  [700] = 700,
  [701] = 673,
  [702] = 702,
  [703] = 521,
  [704] = 678,
  [705] = 678,
  [706] = 510,
  [707] = 47,
  [708] = 708,
  [709] = 709,
  [710] = 678,
  [711] = 685,
  [712] = 515,
  [713] = 510,
  [714] = 521,
  [715] = 715,
  [716] = 716,
  [717] = 678,
  [718] = 718,
  [719] = 685,
  [720] = 685,
  [721] = 676,
  [722] = 519,
  [723] = 47,
  [724] = 685,
  [725] = 725,
  [726] = 673,
  [727] = 727,
  [728] = 728,
  [729] = 47,
  [730] = 678,
  [731] = 673,
  [732] = 678,
  [733] = 521,
  [734] = 510,
  [735] = 685,
  [736] = 736,
  [737] = 737,
  [738] = 520,
  [739] = 48,
  [740] = 678,
  [741] = 741,
  [742] = 48,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 676,
  [756] = 538,
  [757] = 519,
  [758] = 538,
  [759] = 521,
  [760] = 520,
  [761] = 510,
  [762] = 515,
  [763] = 528,
  [764] = 60,
  [765] = 765,
  [766] = 81,
  [767] = 82,
  [768] = 83,
  [769] = 769,
  [770] = 528,
  [771] = 85,
  [772] = 87,
  [773] = 67,
  [774] = 75,
  [775] = 90,
  [776] = 92,
  [777] = 78,
  [778] = 70,
  [779] = 538,
  [780] = 60,
  [781] = 81,
  [782] = 82,
  [783] = 83,
  [784] = 85,
  [785] = 67,
  [786] = 75,
  [787] = 90,
  [788] = 92,
  [789] = 78,
  [790] = 70,
  [791] = 791,
  [792] = 60,
  [793] = 81,
  [794] = 82,
  [795] = 83,
  [796] = 528,
  [797] = 85,
  [798] = 87,
  [799] = 67,
  [800] = 75,
  [801] = 90,
  [802] = 92,
  [803] = 78,
  [804] = 70,
  [805] = 87,
  [806] = 806,
  [807] = 807,
  [808] = 559,
  [809] = 807,
  [810] = 807,
  [811] = 811,
  [812] = 806,
  [813] = 559,
  [814] = 811,
  [815] = 811,
  [816] = 806,
  [817] = 817,
  [818] = 818,
  [819] = 807,
  [820] = 806,
  [821] = 811,
  [822] = 806,
  [823] = 817,
  [824] = 818,
  [825] = 807,
  [826] = 811,
  [827] = 811,
  [828] = 806,
  [829] = 559,
  [830] = 817,
  [831] = 818,
  [832] = 807,
  [833] = 807,
  [834] = 528,
  [835] = 806,
  [836] = 806,
  [837] = 807,
  [838] = 817,
  [839] = 818,
  [840] = 817,
  [841] = 807,
  [842] = 817,
  [843] = 818,
  [844] = 817,
  [845] = 811,
  [846] = 806,
  [847] = 818,
  [848] = 818,
  [849] = 817,
  [850] = 818,
  [851] = 811,
  [852] = 817,
  [853] = 818,
  [854] = 807,
  [855] = 807,
  [856] = 807,
  [857] = 807,
  [858] = 807,
  [859] = 807,
  [860] = 807,
  [861] = 807,
  [862] = 807,
  [863] = 811,
  [864] = 655,
  [865] = 608,
  [866] = 866,
  [867] = 867,
  [868] = 609,
  [869] = 631,
  [870] = 866,
  [871] = 654,
  [872] = 626,
  [873] = 656,
  [874] = 658,
  [875] = 611,
  [876] = 866,
  [877] = 866,
  [878] = 878,
  [879] = 879,
  [880] = 867,
  [881] = 878,
  [882] = 882,
  [883] = 879,
  [884] = 867,
  [885] = 622,
  [886] = 631,
  [887] = 649,
  [888] = 650,
  [889] = 649,
  [890] = 625,
  [891] = 652,
  [892] = 866,
  [893] = 878,
  [894] = 879,
  [895] = 867,
  [896] = 882,
  [897] = 897,
  [898] = 653,
  [899] = 595,
  [900] = 897,
  [901] = 654,
  [902] = 650,
  [903] = 626,
  [904] = 867,
  [905] = 655,
  [906] = 609,
  [907] = 656,
  [908] = 658,
  [909] = 622,
  [910] = 644,
  [911] = 866,
  [912] = 878,
  [913] = 879,
  [914] = 867,
  [915] = 622,
  [916] = 608,
  [917] = 878,
  [918] = 604,
  [919] = 878,
  [920] = 595,
  [921] = 882,
  [922] = 879,
  [923] = 867,
  [924] = 609,
  [925] = 644,
  [926] = 652,
  [927] = 625,
  [928] = 866,
  [929] = 878,
  [930] = 879,
  [931] = 867,
  [932] = 626,
  [933] = 653,
  [934] = 595,
  [935] = 897,
  [936] = 654,
  [937] = 897,
  [938] = 655,
  [939] = 656,
  [940] = 878,
  [941] = 631,
  [942] = 649,
  [943] = 650,
  [944] = 652,
  [945] = 882,
  [946] = 608,
  [947] = 866,
  [948] = 878,
  [949] = 604,
  [950] = 879,
  [951] = 867,
  [952] = 658,
  [953] = 879,
  [954] = 954,
  [955] = 653,
  [956] = 604,
  [957] = 957,
  [958] = 958,
  [959] = 625,
  [960] = 611,
  [961] = 644,
  [962] = 611,
  [963] = 963,
  [964] = 879,
  [965] = 866,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 970,
  [973] = 971,
  [974] = 970,
  [975] = 971,
  [976] = 970,
  [977] = 968,
  [978] = 969,
  [979] = 968,
  [980] = 969,
  [981] = 981,
  [982] = 971,
  [983] = 970,
  [984] = 984,
  [985] = 968,
  [986] = 969,
  [987] = 968,
  [988] = 969,
  [989] = 971,
  [990] = 970,
  [991] = 968,
  [992] = 969,
  [993] = 968,
  [994] = 969,
  [995] = 995,
  [996] = 971,
  [997] = 970,
  [998] = 971,
  [999] = 971,
  [1000] = 967,
  [1001] = 968,
  [1002] = 969,
  [1003] = 971,
  [1004] = 970,
  [1005] = 968,
  [1006] = 969,
  [1007] = 981,
  [1008] = 995,
  [1009] = 1009,
  [1010] = 967,
  [1011] = 966,
  [1012] = 967,
  [1013] = 981,
  [1014] = 995,
  [1015] = 967,
  [1016] = 966,
  [1017] = 981,
  [1018] = 967,
  [1019] = 995,
  [1020] = 967,
  [1021] = 966,
  [1022] = 981,
  [1023] = 967,
  [1024] = 967,
  [1025] = 967,
  [1026] = 967,
  [1027] = 967,
  [1028] = 967,
  [1029] = 967,
  [1030] = 967,
  [1031] = 967,
  [1032] = 967,
  [1033] = 967,
  [1034] = 970,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1037,
  [1040] = 1036,
  [1041] = 1041,
  [1042] = 1041,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1044,
  [1046] = 1046,
  [1047] = 608,
  [1048] = 1041,
  [1049] = 1049,
  [1050] = 1044,
  [1051] = 1044,
  [1052] = 1044,
  [1053] = 1044,
  [1054] = 1041,
  [1055] = 609,
  [1056] = 644,
  [1057] = 1057,
  [1058] = 1041,
  [1059] = 1044,
  [1060] = 1044,
  [1061] = 1061,
  [1062] = 1041,
  [1063] = 1041,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1041,
  [1068] = 1041,
  [1069] = 1066,
  [1070] = 1049,
  [1071] = 1066,
  [1072] = 1049,
  [1073] = 1073,
  [1074] = 1066,
  [1075] = 1049,
  [1076] = 1044,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1078,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1080,
  [1085] = 1085,
  [1086] = 1082,
  [1087] = 1085,
  [1088] = 1079,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1080,
  [1092] = 1090,
  [1093] = 1083,
  [1094] = 1090,
  [1095] = 1089,
  [1096] = 1090,
  [1097] = 1085,
  [1098] = 1080,
  [1099] = 1078,
  [1100] = 1083,
  [1101] = 1089,
  [1102] = 1082,
  [1103] = 1085,
  [1104] = 1085,
  [1105] = 1078,
  [1106] = 1083,
  [1107] = 1080,
  [1108] = 1082,
  [1109] = 1077,
  [1110] = 1090,
  [1111] = 1080,
  [1112] = 1089,
  [1113] = 1090,
  [1114] = 1083,
  [1115] = 1089,
  [1116] = 1089,
  [1117] = 1083,
  [1118] = 1085,
  [1119] = 1078,
  [1120] = 1078,
  [1121] = 1085,
  [1122] = 1089,
  [1123] = 1078,
  [1124] = 1080,
  [1125] = 1078,
  [1126] = 1078,
  [1127] = 1083,
  [1128] = 1078,
  [1129] = 1078,
  [1130] = 1078,
  [1131] = 1078,
  [1132] = 1078,
  [1133] = 1133,
  [1134] = 1085,
  [1135] = 1090,
  [1136] = 1136,
  [1137] = 1085,
  [1138] = 1090,
  [1139] = 1079,
  [1140] = 1078,
  [1141] = 1079,
  [1142] = 1078,
  [1143] = 1077,
  [1144] = 1144,
  [1145] = 1133,
  [1146] = 1082,
  [1147] = 1080,
  [1148] = 1089,
  [1149] = 1080,
  [1150] = 1077,
  [1151] = 1082,
  [1152] = 1079,
  [1153] = 1082,
  [1154] = 1090,
  [1155] = 1082,
  [1156] = 1083,
  [1157] = 1083,
  [1158] = 1082,
  [1159] = 1089,
  [1160] = 1077,
  [1161] = 1078,
  [1162] = 1078,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1164,
  [1169] = 1166,
  [1170] = 1165,
  [1171] = 1171,
  [1172] = 1166,
  [1173] = 1167,
  [1174] = 1165,
  [1175] = 1166,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1166,
  [1179] = 1164,
  [1180] = 1163,
  [1181] = 1166,
  [1182] = 1176,
  [1183] = 1166,
  [1184] = 1166,
  [1185] = 1167,
  [1186] = 1186,
  [1187] = 1166,
  [1188] = 1176,
  [1189] = 1164,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1166,
  [1194] = 1163,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1192,
  [1200] = 1163,
  [1201] = 1176,
  [1202] = 1176,
  [1203] = 1191,
  [1204] = 1164,
  [1205] = 1205,
  [1206] = 1165,
  [1207] = 1192,
  [1208] = 1166,
  [1209] = 1164,
  [1210] = 1163,
  [1211] = 1198,
  [1212] = 1166,
  [1213] = 1195,
  [1214] = 1196,
  [1215] = 1166,
  [1216] = 1198,
  [1217] = 1176,
  [1218] = 1198,
  [1219] = 1219,
  [1220] = 1166,
  [1221] = 1176,
  [1222] = 1195,
  [1223] = 1196,
  [1224] = 1164,
  [1225] = 1163,
  [1226] = 1176,
  [1227] = 1165,
  [1228] = 1192,
  [1229] = 1195,
  [1230] = 1196,
  [1231] = 1191,
  [1232] = 1167,
  [1233] = 1195,
  [1234] = 1196,
  [1235] = 1235,
  [1236] = 1163,
  [1237] = 1195,
  [1238] = 1196,
  [1239] = 1171,
  [1240] = 1192,
  [1241] = 1195,
  [1242] = 1196,
  [1243] = 1197,
  [1244] = 1192,
  [1245] = 1195,
  [1246] = 1196,
  [1247] = 1247,
  [1248] = 1166,
  [1249] = 1163,
  [1250] = 1166,
  [1251] = 1176,
  [1252] = 1195,
  [1253] = 1164,
  [1254] = 1166,
  [1255] = 1191,
  [1256] = 1163,
  [1257] = 1192,
  [1258] = 1192,
  [1259] = 1164,
  [1260] = 1166,
  [1261] = 1196,
  [1262] = 1177,
  [1263] = 1177,
  [1264] = 1177,
  [1265] = 1192,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '\'', 60,
        '(', 54,
        ')', 56,
        '+', 148,
        ',', 55,
        '-', 19,
        '.', 164,
        '/', 146,
        '0', 131,
        ':', 76,
        '<', 156,
        '=', 141,
        '>', 155,
        '?', 149,
        '@', 71,
        '[', 74,
        '\\', 34,
        ']', 75,
        'a', 110,
        'b', 119,
        'c', 116,
        'e', 107,
        'f', 77,
        'i', 95,
        'n', 115,
        'o', 120,
        't', 121,
        '{', 72,
        '}', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '<', 156,
        '=', 20,
        '>', 155,
        '?', 149,
        '[', 74,
        'a', 110,
        'b', 119,
        'c', 116,
        'e', 108,
        'f', 117,
        'i', 95,
        'n', 115,
        'o', 120,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '<', 156,
        '=', 20,
        '>', 155,
        '?', 149,
        '[', 74,
        'a', 110,
        'e', 112,
        'f', 117,
        'i', 95,
        'n', 115,
        'o', 120,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '<', 156,
        '=', 20,
        '>', 155,
        '?', 149,
        '[', 74,
        'a', 110,
        'e', 113,
        'f', 117,
        'i', 95,
        'n', 115,
        'o', 120,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '(', 54,
        ')', 56,
        '+', 147,
        ',', 55,
        '.', 163,
        '/', 145,
        ':', 76,
        '<', 156,
        '=', 20,
        '>', 155,
        '[', 74,
        ']', 75,
        'a', 29,
        'e', 28,
        'i', 30,
        'n', 31,
        'o', 32,
        '}', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        ')', 56,
        '.', 42,
        '0', 131,
        '[', 74,
        'f', 78,
        'n', 115,
        't', 121,
        '{', 72,
        '}', 73,
        '+', 41,
        '-', 41,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '?', 149,
        '[', 74,
        'b', 119,
        'c', 116,
        'e', 108,
        'f', 117,
        'i', 96,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '?', 149,
        '[', 74,
        'e', 112,
        'f', 117,
        'i', 96,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '?', 149,
        '[', 74,
        'e', 113,
        'f', 117,
        'i', 96,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 17,
        '-', 18,
        '.', 163,
        '/', 146,
        '=', 140,
        '[', 74,
        '{', 72,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        '.', 42,
        '0', 131,
        '[', 74,
        ']', 75,
        'f', 78,
        't', 121,
        '{', 72,
        '+', 41,
        '-', 41,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 11:
      if (lookahead == '#') ADVANCE(49);
      if (lookahead == '\'') ADVANCE(60);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == '0') ADVANCE(131);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(41);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 12:
      if (lookahead == '#') ADVANCE(61);
      if (lookahead == '\'') ADVANCE(59);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(34);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(62);
      if (lookahead != 0 &&
          lookahead != '^') ADVANCE(63);
      END_STATE();
    case 13:
      if (lookahead == '#') ADVANCE(65);
      if (lookahead == '\'') ADVANCE(14);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '\\') ADVANCE(34);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(66);
      if (lookahead != 0 &&
          lookahead != '^') ADVANCE(67);
      END_STATE();
    case 14:
      if (lookahead == '\'') ADVANCE(15);
      END_STATE();
    case 15:
      if (lookahead == '\'') ADVANCE(64);
      END_STATE();
    case 16:
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 21:
      if (lookahead == 'd') ADVANCE(157);
      END_STATE();
    case 22:
      if (lookahead == 'd') ADVANCE(27);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 24:
      if (lookahead == 'f') ADVANCE(168);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(165);
      END_STATE();
    case 26:
      if (lookahead == 'i') ADVANCE(24);
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 27:
      if (lookahead == 'i') ADVANCE(25);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(22);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(21);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(161);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 32:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(150);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(70);
      if (lookahead != 0) ADVANCE(68);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(46);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 38:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(134);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(135);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 49:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(176);
      END_STATE();
    case 50:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '\'', 60,
        '(', 54,
        ')', 56,
        '+', 148,
        ',', 55,
        '-', 19,
        '.', 164,
        '/', 146,
        '0', 131,
        ':', 76,
        '<', 156,
        '=', 141,
        '>', 155,
        '?', 149,
        '@', 71,
        '[', 74,
        ']', 75,
        'a', 110,
        'b', 119,
        'c', 116,
        'e', 107,
        'f', 77,
        'i', 95,
        'n', 115,
        'o', 120,
        't', 121,
        '{', 72,
        '}', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(132);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('d' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 51:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '!', 16,
        '#', 49,
        '\'', 60,
        '(', 54,
        '+', 147,
        '.', 163,
        '/', 145,
        '<', 156,
        '=', 20,
        '>', 155,
        '?', 149,
        '[', 74,
        'a', 110,
        'f', 117,
        'i', 95,
        'n', 115,
        'o', 120,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 52:
      if (eof) ADVANCE(53);
      ADVANCE_MAP(
        '#', 49,
        '\'', 60,
        '(', 54,
        ')', 56,
        '+', 147,
        ',', 55,
        '.', 163,
        '/', 145,
        ':', 76,
        '?', 149,
        '[', 74,
        ']', 75,
        'f', 117,
        'i', 96,
        '}', 73,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_true);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_false);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(15);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(63);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '@' &&
          lookahead != '\\' &&
          lookahead != '^') ADVANCE(61);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '#') ADVANCE(61);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(62);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '@' &&
          lookahead != '\\' &&
          lookahead != '^') ADVANCE(63);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '@' &&
          lookahead != '\\' &&
          lookahead != '^') ADVANCE(63);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '\n') ADVANCE(67);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '@' &&
          lookahead != '\\' &&
          lookahead != '^') ADVANCE(65);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '#') ADVANCE(65);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(66);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '@' &&
          lookahead != '\\' &&
          lookahead != '^') ADVANCE(67);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '@' &&
          lookahead != '\\' &&
          lookahead != '^') ADVANCE(67);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(68);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(69);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(109);
      if (lookahead == 'o') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(102);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(100);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(171);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(175);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(80);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(167);
      if (lookahead == 'n') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(118);
      if (lookahead == 'i') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(172);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'h') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(97);
      if (lookahead == 's') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'k') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(103);
      if (lookahead == 'n') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(103);
      if (lookahead == 'n') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(84);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(88);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(151);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 139,
        '0', 133,
        '_', 43,
        'n', 130,
        'B', 38,
        'b', 38,
        'E', 37,
        'e', 37,
        'O', 39,
        'o', 39,
        'X', 45,
        'x', 45,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(139);
      if (lookahead == '_') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(130);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(133);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'n') ADVANCE(130);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'n') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(135);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(130);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(137);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_not);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_and);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_or);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(138);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_endif);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_endif);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_if);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_elif);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_else);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_foreach);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_endforeach);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_keyword_break);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_keyword_continue);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(129);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(176);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 52},
  [2] = {.lex_state = 1},
  [3] = {.lex_state = 1},
  [4] = {.lex_state = 1},
  [5] = {.lex_state = 1},
  [6] = {.lex_state = 1},
  [7] = {.lex_state = 1},
  [8] = {.lex_state = 1},
  [9] = {.lex_state = 1},
  [10] = {.lex_state = 1},
  [11] = {.lex_state = 1},
  [12] = {.lex_state = 1},
  [13] = {.lex_state = 1},
  [14] = {.lex_state = 1},
  [15] = {.lex_state = 1},
  [16] = {.lex_state = 5},
  [17] = {.lex_state = 5},
  [18] = {.lex_state = 1},
  [19] = {.lex_state = 1},
  [20] = {.lex_state = 1},
  [21] = {.lex_state = 1},
  [22] = {.lex_state = 1},
  [23] = {.lex_state = 1},
  [24] = {.lex_state = 1},
  [25] = {.lex_state = 1},
  [26] = {.lex_state = 1},
  [27] = {.lex_state = 1},
  [28] = {.lex_state = 1},
  [29] = {.lex_state = 1},
  [30] = {.lex_state = 1},
  [31] = {.lex_state = 1},
  [32] = {.lex_state = 1},
  [33] = {.lex_state = 5},
  [34] = {.lex_state = 5},
  [35] = {.lex_state = 1},
  [36] = {.lex_state = 5},
  [37] = {.lex_state = 5},
  [38] = {.lex_state = 5},
  [39] = {.lex_state = 1},
  [40] = {.lex_state = 5},
  [41] = {.lex_state = 5},
  [42] = {.lex_state = 1},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 5},
  [45] = {.lex_state = 2},
  [46] = {.lex_state = 3},
  [47] = {.lex_state = 1},
  [48] = {.lex_state = 1},
  [49] = {.lex_state = 5},
  [50] = {.lex_state = 51},
  [51] = {.lex_state = 1},
  [52] = {.lex_state = 5},
  [53] = {.lex_state = 5},
  [54] = {.lex_state = 5},
  [55] = {.lex_state = 5},
  [56] = {.lex_state = 5},
  [57] = {.lex_state = 5},
  [58] = {.lex_state = 5},
  [59] = {.lex_state = 5},
  [60] = {.lex_state = 1},
  [61] = {.lex_state = 51},
  [62] = {.lex_state = 2},
  [63] = {.lex_state = 3},
  [64] = {.lex_state = 2},
  [65] = {.lex_state = 3},
  [66] = {.lex_state = 1},
  [67] = {.lex_state = 1},
  [68] = {.lex_state = 5},
  [69] = {.lex_state = 5},
  [70] = {.lex_state = 1},
  [71] = {.lex_state = 5},
  [72] = {.lex_state = 5},
  [73] = {.lex_state = 5},
  [74] = {.lex_state = 5},
  [75] = {.lex_state = 1},
  [76] = {.lex_state = 5},
  [77] = {.lex_state = 5},
  [78] = {.lex_state = 1},
  [79] = {.lex_state = 5},
  [80] = {.lex_state = 5},
  [81] = {.lex_state = 1},
  [82] = {.lex_state = 1},
  [83] = {.lex_state = 1},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 1},
  [86] = {.lex_state = 5},
  [87] = {.lex_state = 1},
  [88] = {.lex_state = 1},
  [89] = {.lex_state = 1},
  [90] = {.lex_state = 1},
  [91] = {.lex_state = 5},
  [92] = {.lex_state = 1},
  [93] = {.lex_state = 51},
  [94] = {.lex_state = 5},
  [95] = {.lex_state = 3},
  [96] = {.lex_state = 3},
  [97] = {.lex_state = 3},
  [98] = {.lex_state = 51},
  [99] = {.lex_state = 51},
  [100] = {.lex_state = 51},
  [101] = {.lex_state = 5},
  [102] = {.lex_state = 51},
  [103] = {.lex_state = 51},
  [104] = {.lex_state = 51},
  [105] = {.lex_state = 51},
  [106] = {.lex_state = 51},
  [107] = {.lex_state = 2},
  [108] = {.lex_state = 2},
  [109] = {.lex_state = 3},
  [110] = {.lex_state = 3},
  [111] = {.lex_state = 2},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 3},
  [118] = {.lex_state = 3},
  [119] = {.lex_state = 3},
  [120] = {.lex_state = 3},
  [121] = {.lex_state = 3},
  [122] = {.lex_state = 3},
  [123] = {.lex_state = 51},
  [124] = {.lex_state = 51},
  [125] = {.lex_state = 51},
  [126] = {.lex_state = 2},
  [127] = {.lex_state = 2},
  [128] = {.lex_state = 2},
  [129] = {.lex_state = 2},
  [130] = {.lex_state = 2},
  [131] = {.lex_state = 6},
  [132] = {.lex_state = 2},
  [133] = {.lex_state = 51},
  [134] = {.lex_state = 1},
  [135] = {.lex_state = 3},
  [136] = {.lex_state = 3},
  [137] = {.lex_state = 2},
  [138] = {.lex_state = 2},
  [139] = {.lex_state = 2},
  [140] = {.lex_state = 2},
  [141] = {.lex_state = 3},
  [142] = {.lex_state = 4},
  [143] = {.lex_state = 3},
  [144] = {.lex_state = 3},
  [145] = {.lex_state = 3},
  [146] = {.lex_state = 3},
  [147] = {.lex_state = 3},
  [148] = {.lex_state = 3},
  [149] = {.lex_state = 6},
  [150] = {.lex_state = 51},
  [151] = {.lex_state = 51},
  [152] = {.lex_state = 51},
  [153] = {.lex_state = 2},
  [154] = {.lex_state = 51},
  [155] = {.lex_state = 2},
  [156] = {.lex_state = 2},
  [157] = {.lex_state = 2},
  [158] = {.lex_state = 1},
  [159] = {.lex_state = 51},
  [160] = {.lex_state = 51},
  [161] = {.lex_state = 2},
  [162] = {.lex_state = 3},
  [163] = {.lex_state = 2},
  [164] = {.lex_state = 3},
  [165] = {.lex_state = 3},
  [166] = {.lex_state = 3},
  [167] = {.lex_state = 51},
  [168] = {.lex_state = 51},
  [169] = {.lex_state = 3},
  [170] = {.lex_state = 3},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 51},
  [173] = {.lex_state = 51},
  [174] = {.lex_state = 51},
  [175] = {.lex_state = 51},
  [176] = {.lex_state = 51},
  [177] = {.lex_state = 2},
  [178] = {.lex_state = 2},
  [179] = {.lex_state = 3},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 2},
  [182] = {.lex_state = 3},
  [183] = {.lex_state = 2},
  [184] = {.lex_state = 3},
  [185] = {.lex_state = 1},
  [186] = {.lex_state = 6},
  [187] = {.lex_state = 51},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 51},
  [190] = {.lex_state = 51},
  [191] = {.lex_state = 6},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 6},
  [194] = {.lex_state = 51},
  [195] = {.lex_state = 4},
  [196] = {.lex_state = 2},
  [197] = {.lex_state = 4},
  [198] = {.lex_state = 3},
  [199] = {.lex_state = 2},
  [200] = {.lex_state = 4},
  [201] = {.lex_state = 3},
  [202] = {.lex_state = 3},
  [203] = {.lex_state = 51},
  [204] = {.lex_state = 4},
  [205] = {.lex_state = 51},
  [206] = {.lex_state = 2},
  [207] = {.lex_state = 51},
  [208] = {.lex_state = 4},
  [209] = {.lex_state = 4},
  [210] = {.lex_state = 4},
  [211] = {.lex_state = 4},
  [212] = {.lex_state = 4},
  [213] = {.lex_state = 4},
  [214] = {.lex_state = 2},
  [215] = {.lex_state = 4},
  [216] = {.lex_state = 4},
  [217] = {.lex_state = 4},
  [218] = {.lex_state = 2},
  [219] = {.lex_state = 2},
  [220] = {.lex_state = 51},
  [221] = {.lex_state = 51},
  [222] = {.lex_state = 51},
  [223] = {.lex_state = 4},
  [224] = {.lex_state = 3},
  [225] = {.lex_state = 51},
  [226] = {.lex_state = 5},
  [227] = {.lex_state = 51},
  [228] = {.lex_state = 4},
  [229] = {.lex_state = 5},
  [230] = {.lex_state = 4},
  [231] = {.lex_state = 51},
  [232] = {.lex_state = 5},
  [233] = {.lex_state = 3},
  [234] = {.lex_state = 51},
  [235] = {.lex_state = 51},
  [236] = {.lex_state = 51},
  [237] = {.lex_state = 51},
  [238] = {.lex_state = 3},
  [239] = {.lex_state = 3},
  [240] = {.lex_state = 3},
  [241] = {.lex_state = 51},
  [242] = {.lex_state = 3},
  [243] = {.lex_state = 3},
  [244] = {.lex_state = 3},
  [245] = {.lex_state = 3},
  [246] = {.lex_state = 3},
  [247] = {.lex_state = 3},
  [248] = {.lex_state = 3},
  [249] = {.lex_state = 3},
  [250] = {.lex_state = 4},
  [251] = {.lex_state = 4},
  [252] = {.lex_state = 4},
  [253] = {.lex_state = 4},
  [254] = {.lex_state = 4},
  [255] = {.lex_state = 10},
  [256] = {.lex_state = 51},
  [257] = {.lex_state = 10},
  [258] = {.lex_state = 4},
  [259] = {.lex_state = 10},
  [260] = {.lex_state = 10},
  [261] = {.lex_state = 5},
  [262] = {.lex_state = 3},
  [263] = {.lex_state = 3},
  [264] = {.lex_state = 10},
  [265] = {.lex_state = 2},
  [266] = {.lex_state = 10},
  [267] = {.lex_state = 2},
  [268] = {.lex_state = 5},
  [269] = {.lex_state = 51},
  [270] = {.lex_state = 5},
  [271] = {.lex_state = 10},
  [272] = {.lex_state = 4},
  [273] = {.lex_state = 10},
  [274] = {.lex_state = 2},
  [275] = {.lex_state = 10},
  [276] = {.lex_state = 10},
  [277] = {.lex_state = 4},
  [278] = {.lex_state = 10},
  [279] = {.lex_state = 4},
  [280] = {.lex_state = 4},
  [281] = {.lex_state = 10},
  [282] = {.lex_state = 10},
  [283] = {.lex_state = 51},
  [284] = {.lex_state = 10},
  [285] = {.lex_state = 10},
  [286] = {.lex_state = 51},
  [287] = {.lex_state = 4},
  [288] = {.lex_state = 10},
  [289] = {.lex_state = 10},
  [290] = {.lex_state = 4},
  [291] = {.lex_state = 10},
  [292] = {.lex_state = 10},
  [293] = {.lex_state = 5},
  [294] = {.lex_state = 2},
  [295] = {.lex_state = 5},
  [296] = {.lex_state = 5},
  [297] = {.lex_state = 4},
  [298] = {.lex_state = 2},
  [299] = {.lex_state = 2},
  [300] = {.lex_state = 5},
  [301] = {.lex_state = 5},
  [302] = {.lex_state = 2},
  [303] = {.lex_state = 5},
  [304] = {.lex_state = 2},
  [305] = {.lex_state = 5},
  [306] = {.lex_state = 2},
  [307] = {.lex_state = 2},
  [308] = {.lex_state = 5},
  [309] = {.lex_state = 2},
  [310] = {.lex_state = 2},
  [311] = {.lex_state = 5},
  [312] = {.lex_state = 2},
  [313] = {.lex_state = 4},
  [314] = {.lex_state = 5},
  [315] = {.lex_state = 5},
  [316] = {.lex_state = 4},
  [317] = {.lex_state = 5},
  [318] = {.lex_state = 5},
  [319] = {.lex_state = 4},
  [320] = {.lex_state = 4},
  [321] = {.lex_state = 4},
  [322] = {.lex_state = 5},
  [323] = {.lex_state = 4},
  [324] = {.lex_state = 5},
  [325] = {.lex_state = 4},
  [326] = {.lex_state = 4},
  [327] = {.lex_state = 4},
  [328] = {.lex_state = 4},
  [329] = {.lex_state = 4},
  [330] = {.lex_state = 4},
  [331] = {.lex_state = 4},
  [332] = {.lex_state = 4},
  [333] = {.lex_state = 4},
  [334] = {.lex_state = 4},
  [335] = {.lex_state = 4},
  [336] = {.lex_state = 4},
  [337] = {.lex_state = 4},
  [338] = {.lex_state = 4},
  [339] = {.lex_state = 4},
  [340] = {.lex_state = 4},
  [341] = {.lex_state = 4},
  [342] = {.lex_state = 4},
  [343] = {.lex_state = 8},
  [344] = {.lex_state = 4},
  [345] = {.lex_state = 4},
  [346] = {.lex_state = 4},
  [347] = {.lex_state = 4},
  [348] = {.lex_state = 4},
  [349] = {.lex_state = 4},
  [350] = {.lex_state = 4},
  [351] = {.lex_state = 4},
  [352] = {.lex_state = 4},
  [353] = {.lex_state = 4},
  [354] = {.lex_state = 4},
  [355] = {.lex_state = 3},
  [356] = {.lex_state = 7},
  [357] = {.lex_state = 6},
  [358] = {.lex_state = 51},
  [359] = {.lex_state = 51},
  [360] = {.lex_state = 8},
  [361] = {.lex_state = 7},
  [362] = {.lex_state = 2},
  [363] = {.lex_state = 51},
  [364] = {.lex_state = 51},
  [365] = {.lex_state = 3},
  [366] = {.lex_state = 3},
  [367] = {.lex_state = 8},
  [368] = {.lex_state = 8},
  [369] = {.lex_state = 8},
  [370] = {.lex_state = 8},
  [371] = {.lex_state = 8},
  [372] = {.lex_state = 8},
  [373] = {.lex_state = 3},
  [374] = {.lex_state = 8},
  [375] = {.lex_state = 8},
  [376] = {.lex_state = 8},
  [377] = {.lex_state = 8},
  [378] = {.lex_state = 51},
  [379] = {.lex_state = 8},
  [380] = {.lex_state = 8},
  [381] = {.lex_state = 3},
  [382] = {.lex_state = 8},
  [383] = {.lex_state = 8},
  [384] = {.lex_state = 8},
  [385] = {.lex_state = 8},
  [386] = {.lex_state = 8},
  [387] = {.lex_state = 2},
  [388] = {.lex_state = 8},
  [389] = {.lex_state = 8},
  [390] = {.lex_state = 8},
  [391] = {.lex_state = 8},
  [392] = {.lex_state = 51},
  [393] = {.lex_state = 6},
  [394] = {.lex_state = 3},
  [395] = {.lex_state = 6},
  [396] = {.lex_state = 8},
  [397] = {.lex_state = 8},
  [398] = {.lex_state = 8},
  [399] = {.lex_state = 8},
  [400] = {.lex_state = 8},
  [401] = {.lex_state = 8},
  [402] = {.lex_state = 8},
  [403] = {.lex_state = 8},
  [404] = {.lex_state = 8},
  [405] = {.lex_state = 8},
  [406] = {.lex_state = 52},
  [407] = {.lex_state = 8},
  [408] = {.lex_state = 8},
  [409] = {.lex_state = 2},
  [410] = {.lex_state = 2},
  [411] = {.lex_state = 52},
  [412] = {.lex_state = 8},
  [413] = {.lex_state = 2},
  [414] = {.lex_state = 8},
  [415] = {.lex_state = 4},
  [416] = {.lex_state = 7},
  [417] = {.lex_state = 8},
  [418] = {.lex_state = 2},
  [419] = {.lex_state = 8},
  [420] = {.lex_state = 4},
  [421] = {.lex_state = 3},
  [422] = {.lex_state = 2},
  [423] = {.lex_state = 51},
  [424] = {.lex_state = 8},
  [425] = {.lex_state = 8},
  [426] = {.lex_state = 4},
  [427] = {.lex_state = 10},
  [428] = {.lex_state = 10},
  [429] = {.lex_state = 4},
  [430] = {.lex_state = 4},
  [431] = {.lex_state = 10},
  [432] = {.lex_state = 10},
  [433] = {.lex_state = 10},
  [434] = {.lex_state = 4},
  [435] = {.lex_state = 4},
  [436] = {.lex_state = 4},
  [437] = {.lex_state = 4},
  [438] = {.lex_state = 4},
  [439] = {.lex_state = 4},
  [440] = {.lex_state = 4},
  [441] = {.lex_state = 10},
  [442] = {.lex_state = 4},
  [443] = {.lex_state = 10},
  [444] = {.lex_state = 4},
  [445] = {.lex_state = 4},
  [446] = {.lex_state = 6},
  [447] = {.lex_state = 6},
  [448] = {.lex_state = 4},
  [449] = {.lex_state = 6},
  [450] = {.lex_state = 10},
  [451] = {.lex_state = 4},
  [452] = {.lex_state = 4},
  [453] = {.lex_state = 10},
  [454] = {.lex_state = 4},
  [455] = {.lex_state = 6},
  [456] = {.lex_state = 4},
  [457] = {.lex_state = 6},
  [458] = {.lex_state = 4},
  [459] = {.lex_state = 6},
  [460] = {.lex_state = 4},
  [461] = {.lex_state = 4},
  [462] = {.lex_state = 6},
  [463] = {.lex_state = 6},
  [464] = {.lex_state = 4},
  [465] = {.lex_state = 10},
  [466] = {.lex_state = 4},
  [467] = {.lex_state = 6},
  [468] = {.lex_state = 10},
  [469] = {.lex_state = 6},
  [470] = {.lex_state = 4},
  [471] = {.lex_state = 4},
  [472] = {.lex_state = 6},
  [473] = {.lex_state = 4},
  [474] = {.lex_state = 6},
  [475] = {.lex_state = 6},
  [476] = {.lex_state = 6},
  [477] = {.lex_state = 4},
  [478] = {.lex_state = 6},
  [479] = {.lex_state = 4},
  [480] = {.lex_state = 4},
  [481] = {.lex_state = 6},
  [482] = {.lex_state = 6},
  [483] = {.lex_state = 6},
  [484] = {.lex_state = 6},
  [485] = {.lex_state = 6},
  [486] = {.lex_state = 6},
  [487] = {.lex_state = 6},
  [488] = {.lex_state = 4},
  [489] = {.lex_state = 4},
  [490] = {.lex_state = 4},
  [491] = {.lex_state = 4},
  [492] = {.lex_state = 4},
  [493] = {.lex_state = 6},
  [494] = {.lex_state = 4},
  [495] = {.lex_state = 4},
  [496] = {.lex_state = 4},
  [497] = {.lex_state = 6},
  [498] = {.lex_state = 4},
  [499] = {.lex_state = 4},
  [500] = {.lex_state = 4},
  [501] = {.lex_state = 6},
  [502] = {.lex_state = 6},
  [503] = {.lex_state = 4},
  [504] = {.lex_state = 4},
  [505] = {.lex_state = 6},
  [506] = {.lex_state = 6},
  [507] = {.lex_state = 4},
  [508] = {.lex_state = 4},
  [509] = {.lex_state = 4},
  [510] = {.lex_state = 6},
  [511] = {.lex_state = 4},
  [512] = {.lex_state = 6},
  [513] = {.lex_state = 4},
  [514] = {.lex_state = 4},
  [515] = {.lex_state = 6},
  [516] = {.lex_state = 4},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 4},
  [519] = {.lex_state = 6},
  [520] = {.lex_state = 6},
  [521] = {.lex_state = 6},
  [522] = {.lex_state = 6},
  [523] = {.lex_state = 6},
  [524] = {.lex_state = 6},
  [525] = {.lex_state = 8},
  [526] = {.lex_state = 52},
  [527] = {.lex_state = 6},
  [528] = {.lex_state = 6},
  [529] = {.lex_state = 6},
  [530] = {.lex_state = 6},
  [531] = {.lex_state = 6},
  [532] = {.lex_state = 7},
  [533] = {.lex_state = 6},
  [534] = {.lex_state = 4},
  [535] = {.lex_state = 52},
  [536] = {.lex_state = 6},
  [537] = {.lex_state = 7},
  [538] = {.lex_state = 6},
  [539] = {.lex_state = 6},
  [540] = {.lex_state = 6},
  [541] = {.lex_state = 8},
  [542] = {.lex_state = 6},
  [543] = {.lex_state = 8},
  [544] = {.lex_state = 52},
  [545] = {.lex_state = 7},
  [546] = {.lex_state = 7},
  [547] = {.lex_state = 8},
  [548] = {.lex_state = 8},
  [549] = {.lex_state = 8},
  [550] = {.lex_state = 8},
  [551] = {.lex_state = 8},
  [552] = {.lex_state = 52},
  [553] = {.lex_state = 52},
  [554] = {.lex_state = 52},
  [555] = {.lex_state = 52},
  [556] = {.lex_state = 5},
  [557] = {.lex_state = 5},
  [558] = {.lex_state = 52},
  [559] = {.lex_state = 6},
  [560] = {.lex_state = 5},
  [561] = {.lex_state = 52},
  [562] = {.lex_state = 52},
  [563] = {.lex_state = 5},
  [564] = {.lex_state = 5},
  [565] = {.lex_state = 5},
  [566] = {.lex_state = 8},
  [567] = {.lex_state = 7},
  [568] = {.lex_state = 7},
  [569] = {.lex_state = 5},
  [570] = {.lex_state = 52},
  [571] = {.lex_state = 5},
  [572] = {.lex_state = 7},
  [573] = {.lex_state = 52},
  [574] = {.lex_state = 5},
  [575] = {.lex_state = 8},
  [576] = {.lex_state = 5},
  [577] = {.lex_state = 8},
  [578] = {.lex_state = 5},
  [579] = {.lex_state = 5},
  [580] = {.lex_state = 5},
  [581] = {.lex_state = 5},
  [582] = {.lex_state = 7},
  [583] = {.lex_state = 5},
  [584] = {.lex_state = 7},
  [585] = {.lex_state = 7},
  [586] = {.lex_state = 7},
  [587] = {.lex_state = 5},
  [588] = {.lex_state = 8},
  [589] = {.lex_state = 5},
  [590] = {.lex_state = 52},
  [591] = {.lex_state = 7},
  [592] = {.lex_state = 5},
  [593] = {.lex_state = 8},
  [594] = {.lex_state = 7},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 52},
  [597] = {.lex_state = 52},
  [598] = {.lex_state = 52},
  [599] = {.lex_state = 7},
  [600] = {.lex_state = 52},
  [601] = {.lex_state = 7},
  [602] = {.lex_state = 52},
  [603] = {.lex_state = 7},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 52},
  [606] = {.lex_state = 8},
  [607] = {.lex_state = 7},
  [608] = {.lex_state = 6},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 5},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 52},
  [613] = {.lex_state = 52},
  [614] = {.lex_state = 52},
  [615] = {.lex_state = 52},
  [616] = {.lex_state = 7},
  [617] = {.lex_state = 8},
  [618] = {.lex_state = 8},
  [619] = {.lex_state = 52},
  [620] = {.lex_state = 7},
  [621] = {.lex_state = 7},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 7},
  [624] = {.lex_state = 7},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 6},
  [627] = {.lex_state = 52},
  [628] = {.lex_state = 7},
  [629] = {.lex_state = 52},
  [630] = {.lex_state = 52},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 8},
  [633] = {.lex_state = 7},
  [634] = {.lex_state = 7},
  [635] = {.lex_state = 8},
  [636] = {.lex_state = 7},
  [637] = {.lex_state = 8},
  [638] = {.lex_state = 8},
  [639] = {.lex_state = 8},
  [640] = {.lex_state = 52},
  [641] = {.lex_state = 8},
  [642] = {.lex_state = 52},
  [643] = {.lex_state = 52},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 8},
  [646] = {.lex_state = 7},
  [647] = {.lex_state = 8},
  [648] = {.lex_state = 8},
  [649] = {.lex_state = 6},
  [650] = {.lex_state = 6},
  [651] = {.lex_state = 7},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 6},
  [654] = {.lex_state = 6},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 6},
  [657] = {.lex_state = 8},
  [658] = {.lex_state = 6},
  [659] = {.lex_state = 7},
  [660] = {.lex_state = 8},
  [661] = {.lex_state = 8},
  [662] = {.lex_state = 8},
  [663] = {.lex_state = 7},
  [664] = {.lex_state = 8},
  [665] = {.lex_state = 7},
  [666] = {.lex_state = 52},
  [667] = {.lex_state = 52},
  [668] = {.lex_state = 8},
  [669] = {.lex_state = 5},
  [670] = {.lex_state = 5},
  [671] = {.lex_state = 5},
  [672] = {.lex_state = 5},
  [673] = {.lex_state = 9},
  [674] = {.lex_state = 5},
  [675] = {.lex_state = 7},
  [676] = {.lex_state = 9},
  [677] = {.lex_state = 5},
  [678] = {.lex_state = 52},
  [679] = {.lex_state = 5},
  [680] = {.lex_state = 5},
  [681] = {.lex_state = 8},
  [682] = {.lex_state = 7},
  [683] = {.lex_state = 5},
  [684] = {.lex_state = 52},
  [685] = {.lex_state = 52},
  [686] = {.lex_state = 52},
  [687] = {.lex_state = 52},
  [688] = {.lex_state = 52},
  [689] = {.lex_state = 5},
  [690] = {.lex_state = 9},
  [691] = {.lex_state = 52},
  [692] = {.lex_state = 4},
  [693] = {.lex_state = 52},
  [694] = {.lex_state = 52},
  [695] = {.lex_state = 8},
  [696] = {.lex_state = 5},
  [697] = {.lex_state = 9},
  [698] = {.lex_state = 52},
  [699] = {.lex_state = 7},
  [700] = {.lex_state = 5},
  [701] = {.lex_state = 9},
  [702] = {.lex_state = 5},
  [703] = {.lex_state = 52},
  [704] = {.lex_state = 52},
  [705] = {.lex_state = 52},
  [706] = {.lex_state = 52},
  [707] = {.lex_state = 52},
  [708] = {.lex_state = 5},
  [709] = {.lex_state = 5},
  [710] = {.lex_state = 52},
  [711] = {.lex_state = 52},
  [712] = {.lex_state = 52},
  [713] = {.lex_state = 7},
  [714] = {.lex_state = 7},
  [715] = {.lex_state = 5},
  [716] = {.lex_state = 4},
  [717] = {.lex_state = 52},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 52},
  [720] = {.lex_state = 52},
  [721] = {.lex_state = 9},
  [722] = {.lex_state = 8},
  [723] = {.lex_state = 7},
  [724] = {.lex_state = 52},
  [725] = {.lex_state = 5},
  [726] = {.lex_state = 9},
  [727] = {.lex_state = 5},
  [728] = {.lex_state = 10},
  [729] = {.lex_state = 8},
  [730] = {.lex_state = 52},
  [731] = {.lex_state = 9},
  [732] = {.lex_state = 52},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 52},
  [736] = {.lex_state = 5},
  [737] = {.lex_state = 5},
  [738] = {.lex_state = 8},
  [739] = {.lex_state = 7},
  [740] = {.lex_state = 52},
  [741] = {.lex_state = 5},
  [742] = {.lex_state = 52},
  [743] = {.lex_state = 5},
  [744] = {.lex_state = 5},
  [745] = {.lex_state = 5},
  [746] = {.lex_state = 5},
  [747] = {.lex_state = 5},
  [748] = {.lex_state = 5},
  [749] = {.lex_state = 5},
  [750] = {.lex_state = 5},
  [751] = {.lex_state = 5},
  [752] = {.lex_state = 5},
  [753] = {.lex_state = 5},
  [754] = {.lex_state = 5},
  [755] = {.lex_state = 9},
  [756] = {.lex_state = 52},
  [757] = {.lex_state = 52},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 52},
  [760] = {.lex_state = 52},
  [761] = {.lex_state = 52},
  [762] = {.lex_state = 52},
  [763] = {.lex_state = 52},
  [764] = {.lex_state = 8},
  [765] = {.lex_state = 52},
  [766] = {.lex_state = 8},
  [767] = {.lex_state = 8},
  [768] = {.lex_state = 8},
  [769] = {.lex_state = 4},
  [770] = {.lex_state = 7},
  [771] = {.lex_state = 8},
  [772] = {.lex_state = 8},
  [773] = {.lex_state = 8},
  [774] = {.lex_state = 8},
  [775] = {.lex_state = 8},
  [776] = {.lex_state = 8},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 8},
  [779] = {.lex_state = 7},
  [780] = {.lex_state = 7},
  [781] = {.lex_state = 7},
  [782] = {.lex_state = 7},
  [783] = {.lex_state = 7},
  [784] = {.lex_state = 7},
  [785] = {.lex_state = 7},
  [786] = {.lex_state = 7},
  [787] = {.lex_state = 7},
  [788] = {.lex_state = 7},
  [789] = {.lex_state = 7},
  [790] = {.lex_state = 7},
  [791] = {.lex_state = 4},
  [792] = {.lex_state = 52},
  [793] = {.lex_state = 52},
  [794] = {.lex_state = 52},
  [795] = {.lex_state = 52},
  [796] = {.lex_state = 8},
  [797] = {.lex_state = 52},
  [798] = {.lex_state = 52},
  [799] = {.lex_state = 52},
  [800] = {.lex_state = 52},
  [801] = {.lex_state = 52},
  [802] = {.lex_state = 52},
  [803] = {.lex_state = 52},
  [804] = {.lex_state = 52},
  [805] = {.lex_state = 7},
  [806] = {.lex_state = 52},
  [807] = {.lex_state = 9},
  [808] = {.lex_state = 52},
  [809] = {.lex_state = 9},
  [810] = {.lex_state = 9},
  [811] = {.lex_state = 52},
  [812] = {.lex_state = 52},
  [813] = {.lex_state = 8},
  [814] = {.lex_state = 52},
  [815] = {.lex_state = 52},
  [816] = {.lex_state = 52},
  [817] = {.lex_state = 52},
  [818] = {.lex_state = 52},
  [819] = {.lex_state = 9},
  [820] = {.lex_state = 52},
  [821] = {.lex_state = 52},
  [822] = {.lex_state = 52},
  [823] = {.lex_state = 52},
  [824] = {.lex_state = 52},
  [825] = {.lex_state = 9},
  [826] = {.lex_state = 52},
  [827] = {.lex_state = 52},
  [828] = {.lex_state = 52},
  [829] = {.lex_state = 7},
  [830] = {.lex_state = 52},
  [831] = {.lex_state = 52},
  [832] = {.lex_state = 9},
  [833] = {.lex_state = 9},
  [834] = {.lex_state = 52},
  [835] = {.lex_state = 52},
  [836] = {.lex_state = 52},
  [837] = {.lex_state = 9},
  [838] = {.lex_state = 52},
  [839] = {.lex_state = 52},
  [840] = {.lex_state = 52},
  [841] = {.lex_state = 9},
  [842] = {.lex_state = 52},
  [843] = {.lex_state = 52},
  [844] = {.lex_state = 52},
  [845] = {.lex_state = 52},
  [846] = {.lex_state = 52},
  [847] = {.lex_state = 52},
  [848] = {.lex_state = 52},
  [849] = {.lex_state = 52},
  [850] = {.lex_state = 52},
  [851] = {.lex_state = 52},
  [852] = {.lex_state = 52},
  [853] = {.lex_state = 52},
  [854] = {.lex_state = 9},
  [855] = {.lex_state = 9},
  [856] = {.lex_state = 9},
  [857] = {.lex_state = 9},
  [858] = {.lex_state = 9},
  [859] = {.lex_state = 9},
  [860] = {.lex_state = 9},
  [861] = {.lex_state = 9},
  [862] = {.lex_state = 9},
  [863] = {.lex_state = 52},
  [864] = {.lex_state = 8},
  [865] = {.lex_state = 52},
  [866] = {.lex_state = 12},
  [867] = {.lex_state = 13},
  [868] = {.lex_state = 52},
  [869] = {.lex_state = 7},
  [870] = {.lex_state = 12},
  [871] = {.lex_state = 8},
  [872] = {.lex_state = 7},
  [873] = {.lex_state = 8},
  [874] = {.lex_state = 8},
  [875] = {.lex_state = 8},
  [876] = {.lex_state = 12},
  [877] = {.lex_state = 12},
  [878] = {.lex_state = 13},
  [879] = {.lex_state = 12},
  [880] = {.lex_state = 13},
  [881] = {.lex_state = 13},
  [882] = {.lex_state = 4},
  [883] = {.lex_state = 12},
  [884] = {.lex_state = 13},
  [885] = {.lex_state = 7},
  [886] = {.lex_state = 52},
  [887] = {.lex_state = 52},
  [888] = {.lex_state = 52},
  [889] = {.lex_state = 7},
  [890] = {.lex_state = 52},
  [891] = {.lex_state = 52},
  [892] = {.lex_state = 12},
  [893] = {.lex_state = 13},
  [894] = {.lex_state = 12},
  [895] = {.lex_state = 13},
  [896] = {.lex_state = 4},
  [897] = {.lex_state = 4},
  [898] = {.lex_state = 52},
  [899] = {.lex_state = 7},
  [900] = {.lex_state = 4},
  [901] = {.lex_state = 52},
  [902] = {.lex_state = 7},
  [903] = {.lex_state = 52},
  [904] = {.lex_state = 13},
  [905] = {.lex_state = 52},
  [906] = {.lex_state = 7},
  [907] = {.lex_state = 52},
  [908] = {.lex_state = 52},
  [909] = {.lex_state = 8},
  [910] = {.lex_state = 52},
  [911] = {.lex_state = 12},
  [912] = {.lex_state = 13},
  [913] = {.lex_state = 12},
  [914] = {.lex_state = 13},
  [915] = {.lex_state = 52},
  [916] = {.lex_state = 8},
  [917] = {.lex_state = 13},
  [918] = {.lex_state = 7},
  [919] = {.lex_state = 13},
  [920] = {.lex_state = 8},
  [921] = {.lex_state = 4},
  [922] = {.lex_state = 12},
  [923] = {.lex_state = 13},
  [924] = {.lex_state = 8},
  [925] = {.lex_state = 7},
  [926] = {.lex_state = 7},
  [927] = {.lex_state = 8},
  [928] = {.lex_state = 12},
  [929] = {.lex_state = 13},
  [930] = {.lex_state = 12},
  [931] = {.lex_state = 13},
  [932] = {.lex_state = 8},
  [933] = {.lex_state = 7},
  [934] = {.lex_state = 52},
  [935] = {.lex_state = 4},
  [936] = {.lex_state = 7},
  [937] = {.lex_state = 4},
  [938] = {.lex_state = 7},
  [939] = {.lex_state = 7},
  [940] = {.lex_state = 13},
  [941] = {.lex_state = 8},
  [942] = {.lex_state = 8},
  [943] = {.lex_state = 8},
  [944] = {.lex_state = 8},
  [945] = {.lex_state = 4},
  [946] = {.lex_state = 7},
  [947] = {.lex_state = 12},
  [948] = {.lex_state = 13},
  [949] = {.lex_state = 52},
  [950] = {.lex_state = 12},
  [951] = {.lex_state = 13},
  [952] = {.lex_state = 7},
  [953] = {.lex_state = 12},
  [954] = {.lex_state = 52},
  [955] = {.lex_state = 8},
  [956] = {.lex_state = 8},
  [957] = {.lex_state = 52},
  [958] = {.lex_state = 12},
  [959] = {.lex_state = 7},
  [960] = {.lex_state = 7},
  [961] = {.lex_state = 8},
  [962] = {.lex_state = 52},
  [963] = {.lex_state = 13},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 9},
  [967] = {.lex_state = 11},
  [968] = {.lex_state = 52},
  [969] = {.lex_state = 52},
  [970] = {.lex_state = 52},
  [971] = {.lex_state = 52},
  [972] = {.lex_state = 52},
  [973] = {.lex_state = 52},
  [974] = {.lex_state = 52},
  [975] = {.lex_state = 52},
  [976] = {.lex_state = 52},
  [977] = {.lex_state = 52},
  [978] = {.lex_state = 52},
  [979] = {.lex_state = 52},
  [980] = {.lex_state = 52},
  [981] = {.lex_state = 11},
  [982] = {.lex_state = 52},
  [983] = {.lex_state = 52},
  [984] = {.lex_state = 52},
  [985] = {.lex_state = 52},
  [986] = {.lex_state = 52},
  [987] = {.lex_state = 52},
  [988] = {.lex_state = 52},
  [989] = {.lex_state = 52},
  [990] = {.lex_state = 52},
  [991] = {.lex_state = 52},
  [992] = {.lex_state = 52},
  [993] = {.lex_state = 52},
  [994] = {.lex_state = 52},
  [995] = {.lex_state = 9},
  [996] = {.lex_state = 52},
  [997] = {.lex_state = 52},
  [998] = {.lex_state = 52},
  [999] = {.lex_state = 52},
  [1000] = {.lex_state = 11},
  [1001] = {.lex_state = 52},
  [1002] = {.lex_state = 52},
  [1003] = {.lex_state = 52},
  [1004] = {.lex_state = 52},
  [1005] = {.lex_state = 52},
  [1006] = {.lex_state = 52},
  [1007] = {.lex_state = 11},
  [1008] = {.lex_state = 9},
  [1009] = {.lex_state = 4},
  [1010] = {.lex_state = 11},
  [1011] = {.lex_state = 9},
  [1012] = {.lex_state = 11},
  [1013] = {.lex_state = 11},
  [1014] = {.lex_state = 9},
  [1015] = {.lex_state = 11},
  [1016] = {.lex_state = 9},
  [1017] = {.lex_state = 11},
  [1018] = {.lex_state = 11},
  [1019] = {.lex_state = 9},
  [1020] = {.lex_state = 11},
  [1021] = {.lex_state = 9},
  [1022] = {.lex_state = 11},
  [1023] = {.lex_state = 11},
  [1024] = {.lex_state = 11},
  [1025] = {.lex_state = 11},
  [1026] = {.lex_state = 11},
  [1027] = {.lex_state = 11},
  [1028] = {.lex_state = 11},
  [1029] = {.lex_state = 11},
  [1030] = {.lex_state = 11},
  [1031] = {.lex_state = 11},
  [1032] = {.lex_state = 11},
  [1033] = {.lex_state = 11},
  [1034] = {.lex_state = 52},
  [1035] = {.lex_state = 52},
  [1036] = {.lex_state = 13},
  [1037] = {.lex_state = 13},
  [1038] = {.lex_state = 52},
  [1039] = {.lex_state = 12},
  [1040] = {.lex_state = 12},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 4},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 4},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 4},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 4},
  [1065] = {.lex_state = 52},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 52},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 52},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 52},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 52},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 52},
  [1120] = {.lex_state = 52},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 52},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 52},
  [1126] = {.lex_state = 52},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 52},
  [1129] = {.lex_state = 52},
  [1130] = {.lex_state = 52},
  [1131] = {.lex_state = 52},
  [1132] = {.lex_state = 52},
  [1133] = {.lex_state = 11},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 52},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 52},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 11},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 52},
  [1162] = {.lex_state = 52},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 4},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 4},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 9},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 4},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 9},
  [1191] = {.lex_state = 4},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 5},
  [1196] = {.lex_state = 5},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 4},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 5},
  [1214] = {.lex_state = 5},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 5},
  [1223] = {.lex_state = 5},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 5},
  [1230] = {.lex_state = 5},
  [1231] = {.lex_state = 4},
  [1232] = {.lex_state = 4},
  [1233] = {.lex_state = 5},
  [1234] = {.lex_state = 5},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 5},
  [1238] = {.lex_state = 5},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 5},
  [1242] = {.lex_state = 5},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 5},
  [1246] = {.lex_state = 5},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 5},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 4},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 5},
  [1262] = {.lex_state = 9},
  [1263] = {.lex_state = 9},
  [1264] = {.lex_state = 9},
  [1265] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_endif] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_foreach] = ACTIONS(1),
    [anon_sym_endforeach] = ACTIONS(1),
    [sym_keyword_break] = ACTIONS(1),
    [sym_keyword_continue] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1247),
    [sym__unit] = STATE(411),
    [sym_normal_command] = STATE(756),
    [sym_string] = STATE(1105),
    [sym_listitem] = STATE(1105),
    [sym_operatorunit] = STATE(411),
    [sym_expression_statement] = STATE(411),
    [sym_if_condition] = STATE(411),
    [sym_if_command] = STATE(896),
    [sym_foreach_command] = STATE(411),
    [aux_sym_source_file_repeat1] = STATE(411),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_SQUOTE] = ACTIONS(7),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(9),
    [sym_identifier] = ACTIONS(11),
    [anon_sym_if] = ACTIONS(13),
    [anon_sym_foreach] = ACTIONS(15),
    [sym_comment] = ACTIONS(17),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 10,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(23), 1,
      aux_sym_expression_statement_repeat1,
    STATE(519), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(24), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(31), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(33), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(21), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [49] = 6,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(41), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_DOT,
    STATE(10), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(37), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [89] = 6,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(43), 1,
      anon_sym_DOT,
    ACTIONS(46), 1,
      anon_sym_LBRACK,
    STATE(10), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(37), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [129] = 8,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(25), 1,
      aux_sym_expression_statement_repeat1,
    STATE(510), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(52), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(49), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [172] = 4,
    ACTIONS(63), 1,
      anon_sym_DOT,
    STATE(6), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(59), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [207] = 8,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(24), 1,
      aux_sym_expression_statement_repeat1,
    STATE(521), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(70), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(66), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [250] = 5,
    ACTIONS(78), 1,
      anon_sym_LBRACK,
    ACTIONS(80), 1,
      anon_sym_DOT,
    STATE(9), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(74), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [287] = 4,
    ACTIONS(87), 1,
      anon_sym_DOT,
    STATE(6), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [322] = 4,
    ACTIONS(87), 1,
      anon_sym_DOT,
    STATE(6), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [357] = 4,
    ACTIONS(94), 1,
      anon_sym_DOT,
    STATE(6), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(90), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [392] = 4,
    ACTIONS(87), 1,
      anon_sym_DOT,
    STATE(6), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [427] = 5,
    ACTIONS(101), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_DOT,
    STATE(11), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(97), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [464] = 5,
    ACTIONS(103), 1,
      anon_sym_DOT,
    ACTIONS(106), 1,
      anon_sym_LBRACK,
    STATE(11), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(97), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [501] = 5,
    ACTIONS(80), 1,
      anon_sym_DOT,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    STATE(9), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(74), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [538] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(114), 1,
      anon_sym_RPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(55), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(329), 1,
      sym_normal_command,
    STATE(477), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(444), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1058), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1155), 2,
      sym_dictionaries,
      sym_pair,
  [604] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(128), 1,
      anon_sym_RPAREN,
    STATE(49), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(319), 1,
      sym_normal_command,
    STATE(320), 1,
      sym_string,
    STATE(470), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(440), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1063), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1151), 2,
      sym_dictionaries,
      sym_pair,
  [670] = 2,
    ACTIONS(132), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(130), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [700] = 2,
    ACTIONS(136), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(134), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [730] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(141), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(138), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [762] = 2,
    ACTIONS(148), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(146), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [792] = 2,
    ACTIONS(152), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(150), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [822] = 4,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(29), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [856] = 4,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(29), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(90), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [890] = 4,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(29), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [924] = 2,
    ACTIONS(156), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(154), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [954] = 6,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(27), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(23), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(31), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(33), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [992] = 3,
    ACTIONS(101), 1,
      anon_sym_LBRACK,
    ACTIONS(99), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(97), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1024] = 4,
    ACTIONS(158), 1,
      anon_sym_DOT,
    STATE(29), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(59), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1058] = 3,
    ACTIONS(106), 1,
      anon_sym_LBRACK,
    ACTIONS(99), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(97), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1090] = 4,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(29), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1124] = 2,
    ACTIONS(141), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(138), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1154] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(161), 1,
      anon_sym_RPAREN,
    STATE(53), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(325), 1,
      sym_normal_command,
    STATE(471), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(434), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1042), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1153), 2,
      sym_dictionaries,
      sym_pair,
  [1220] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(163), 1,
      anon_sym_RPAREN,
    STATE(54), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(327), 1,
      sym_normal_command,
    STATE(499), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(437), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1062), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1108), 2,
      sym_dictionaries,
      sym_pair,
  [1286] = 2,
    ACTIONS(167), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(165), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1316] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(169), 1,
      anon_sym_RPAREN,
    STATE(56), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(331), 1,
      sym_normal_command,
    STATE(507), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(448), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1054), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1158), 2,
      sym_dictionaries,
      sym_pair,
  [1382] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(171), 1,
      anon_sym_RPAREN,
    STATE(57), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(335), 1,
      sym_normal_command,
    STATE(489), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(454), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1068), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1086), 2,
      sym_dictionaries,
      sym_pair,
  [1448] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(173), 1,
      anon_sym_RPAREN,
    STATE(58), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(337), 1,
      sym_normal_command,
    STATE(492), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(456), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1048), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1146), 2,
      sym_dictionaries,
      sym_pair,
  [1514] = 2,
    ACTIONS(144), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(175), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1544] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(177), 1,
      anon_sym_RPAREN,
    STATE(44), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(338), 1,
      sym_normal_command,
    STATE(495), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(460), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1067), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1082), 2,
      sym_dictionaries,
      sym_pair,
  [1610] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(179), 1,
      anon_sym_RPAREN,
    STATE(43), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(340), 1,
      sym_normal_command,
    STATE(500), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(464), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1041), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1102), 2,
      sym_dictionaries,
      sym_pair,
  [1676] = 2,
    ACTIONS(183), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(181), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1706] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(341), 1,
      sym_normal_command,
    STATE(503), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(466), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1060), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1113), 2,
      sym_dictionaries,
      sym_pair,
  [1769] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(339), 1,
      sym_normal_command,
    STATE(498), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(461), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1044), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1090), 2,
      sym_dictionaries,
      sym_pair,
  [1832] = 10,
    ACTIONS(185), 1,
      anon_sym_LPAREN,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(155), 1,
      aux_sym_expression_statement_repeat1,
    STATE(699), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(24), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(21), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(31), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(33), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [1877] = 10,
    ACTIONS(193), 1,
      anon_sym_LPAREN,
    ACTIONS(195), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(164), 1,
      aux_sym_expression_statement_repeat1,
    STATE(722), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(24), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(21), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(31), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(33), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [1922] = 2,
    ACTIONS(203), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(201), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1951] = 2,
    ACTIONS(207), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(205), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [1980] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(321), 1,
      sym_normal_command,
    STATE(473), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(442), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1051), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1138), 2,
      sym_dictionaries,
      sym_pair,
  [2043] = 10,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(211), 1,
      anon_sym_LBRACK,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(151), 1,
      aux_sym_expression_statement_repeat1,
    STATE(684), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(24), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(21), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(31), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(33), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [2088] = 6,
    STATE(515), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(70), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(66), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [2125] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_LPAREN,
    ACTIONS(223), 1,
      anon_sym_SQUOTE,
    ACTIONS(226), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(229), 1,
      anon_sym_LBRACE,
    ACTIONS(232), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      sym_identifier,
    ACTIONS(238), 1,
      sym_number,
    ACTIONS(241), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(415), 1,
      sym_normal_command,
    STATE(516), 1,
      sym_listitem,
    ACTIONS(220), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(496), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1144), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1205), 2,
      sym_dictionaries,
      sym_pair,
  [2188] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(326), 1,
      sym_normal_command,
    STATE(480), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(435), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1052), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1094), 2,
      sym_dictionaries,
      sym_pair,
  [2251] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(328), 1,
      sym_normal_command,
    STATE(504), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(438), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1045), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1135), 2,
      sym_dictionaries,
      sym_pair,
  [2314] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(330), 1,
      sym_normal_command,
    STATE(479), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(445), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1050), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1096), 2,
      sym_dictionaries,
      sym_pair,
  [2377] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(334), 1,
      sym_normal_command,
    STATE(488), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(451), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1053), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1092), 2,
      sym_dictionaries,
      sym_pair,
  [2440] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(336), 1,
      sym_normal_command,
    STATE(490), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(426), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1059), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1110), 2,
      sym_dictionaries,
      sym_pair,
  [2503] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    STATE(52), 1,
      aux_sym_normal_command_repeat1,
    STATE(313), 1,
      sym_normal_command,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(494), 1,
      sym_listitem,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(458), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1076), 2,
      sym_variableunit,
      sym_var_unit,
    STATE(1154), 2,
      sym_dictionaries,
      sym_pair,
  [2566] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(252), 1,
      anon_sym_LBRACE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(256), 1,
      sym_identifier,
    ACTIONS(258), 1,
      sym_number,
    ACTIONS(260), 1,
      anon_sym_not,
    STATE(5), 1,
      sym_string,
    STATE(7), 1,
      sym_normal_command,
    STATE(66), 1,
      sym_listitem,
    STATE(134), 1,
      sym_bool,
    STATE(188), 1,
      sym__logic_unit,
    STATE(322), 1,
      aux_sym_var_unit_repeat1,
    STATE(559), 1,
      sym_var_unit,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(51), 2,
      sym_list,
      sym_expression_statement,
    STATE(595), 3,
      sym_dictionaries,
      sym_variableunit,
      sym_ternaryoperator,
  [2628] = 2,
    ACTIONS(264), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(262), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [2656] = 6,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(266), 1,
      anon_sym_LBRACK,
    ACTIONS(269), 1,
      anon_sym_DOT,
    STATE(102), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(37), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(39), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [2692] = 6,
    ACTIONS(185), 1,
      anon_sym_LPAREN,
    ACTIONS(272), 1,
      anon_sym_LBRACK,
    ACTIONS(274), 1,
      anon_sym_DOT,
    STATE(112), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(37), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [2728] = 6,
    ACTIONS(193), 1,
      anon_sym_LPAREN,
    ACTIONS(277), 1,
      anon_sym_LBRACK,
    ACTIONS(279), 1,
      anon_sym_DOT,
    STATE(117), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(37), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [2764] = 6,
    ACTIONS(185), 1,
      anon_sym_LPAREN,
    ACTIONS(274), 1,
      anon_sym_DOT,
    ACTIONS(282), 1,
      anon_sym_LBRACK,
    STATE(112), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(37), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [2800] = 6,
    ACTIONS(193), 1,
      anon_sym_LPAREN,
    ACTIONS(279), 1,
      anon_sym_DOT,
    ACTIONS(285), 1,
      anon_sym_LBRACK,
    STATE(117), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(37), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [2836] = 6,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(31), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(291), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(288), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [2872] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [2900] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(298), 1,
      anon_sym_RBRACE,
    STATE(69), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1079), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [2962] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(300), 1,
      anon_sym_RBRACE,
    STATE(84), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1109), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3024] = 2,
    ACTIONS(304), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(302), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3052] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_SQUOTE,
    ACTIONS(312), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(314), 1,
      anon_sym_LBRACE,
    ACTIONS(316), 1,
      anon_sym_LBRACK,
    ACTIONS(318), 1,
      sym_identifier,
    ACTIONS(320), 1,
      sym_number,
    ACTIONS(322), 1,
      anon_sym_not,
    STATE(111), 1,
      sym_string,
    STATE(127), 1,
      sym_normal_command,
    STATE(307), 1,
      sym_listitem,
    STATE(314), 1,
      aux_sym_var_unit_repeat1,
    STATE(362), 1,
      sym_bool,
    STATE(422), 1,
      sym__logic_unit,
    STATE(829), 1,
      sym_var_unit,
    ACTIONS(308), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(214), 2,
      sym_list,
      sym_expression_statement,
    STATE(899), 3,
      sym_dictionaries,
      sym_variableunit,
      sym_ternaryoperator,
  [3114] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(324), 1,
      anon_sym_RBRACE,
    STATE(73), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1139), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3176] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(326), 1,
      anon_sym_RBRACE,
    STATE(84), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1160), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3238] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(328), 1,
      anon_sym_RBRACE,
    STATE(84), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1150), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3300] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3328] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(330), 1,
      anon_sym_RBRACE,
    STATE(77), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1088), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3390] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(332), 1,
      anon_sym_RBRACE,
    STATE(84), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1077), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3452] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3480] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(334), 1,
      anon_sym_RBRACE,
    STATE(80), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1141), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3542] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(336), 1,
      anon_sym_RBRACE,
    STATE(84), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1143), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3604] = 2,
    ACTIONS(340), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(338), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3632] = 2,
    ACTIONS(344), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(342), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3660] = 2,
    ACTIONS(348), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(346), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3688] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(350), 1,
      anon_sym_LPAREN,
    ACTIONS(356), 1,
      anon_sym_SQUOTE,
    ACTIONS(359), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(362), 1,
      anon_sym_RBRACE,
    ACTIONS(364), 1,
      anon_sym_LBRACK,
    ACTIONS(367), 1,
      sym_identifier,
    ACTIONS(370), 1,
      sym_number,
    ACTIONS(373), 1,
      anon_sym_not,
    STATE(84), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1186), 1,
      sym_pair,
    ACTIONS(353), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [3750] = 2,
    ACTIONS(304), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(302), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3778] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(384), 1,
      anon_sym_LBRACE,
    ACTIONS(386), 1,
      anon_sym_LBRACK,
    ACTIONS(388), 1,
      sym_identifier,
    ACTIONS(390), 1,
      sym_number,
    ACTIONS(392), 1,
      anon_sym_not,
    STATE(123), 1,
      sym_normal_command,
    STATE(124), 1,
      sym_string,
    STATE(269), 1,
      sym_listitem,
    STATE(324), 1,
      aux_sym_var_unit_repeat1,
    STATE(359), 1,
      sym__logic_unit,
    STATE(423), 1,
      sym_bool,
    STATE(808), 1,
      sym_var_unit,
    ACTIONS(378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(203), 2,
      sym_list,
      sym_expression_statement,
    STATE(934), 3,
      sym_dictionaries,
      sym_variableunit,
      sym_ternaryoperator,
  [3840] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3868] = 4,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(24), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3900] = 4,
    ACTIONS(35), 1,
      anon_sym_DOT,
    STATE(25), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3932] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [3960] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(122), 1,
      sym_identifier,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(394), 1,
      anon_sym_RBRACE,
    STATE(74), 1,
      aux_sym_dictionaries_repeat1,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(320), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(439), 1,
      sym_normal_command,
    STATE(1152), 1,
      sym_pair,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(509), 2,
      sym_list,
      sym_expression_statement,
    STATE(518), 2,
      sym_bool,
      sym__logic_unit,
    STATE(1235), 2,
      sym_variableunit,
      sym_var_unit,
  [4022] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [4050] = 6,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_DOT,
    ACTIONS(396), 1,
      anon_sym_LBRACK,
    STATE(102), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(37), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(39), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4086] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_SQUOTE,
    ACTIONS(404), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(408), 1,
      anon_sym_LBRACK,
    ACTIONS(410), 1,
      sym_identifier,
    ACTIONS(412), 1,
      sym_number,
    ACTIONS(414), 1,
      anon_sym_not,
    STATE(96), 1,
      sym_normal_command,
    STATE(97), 1,
      sym_string,
    STATE(224), 1,
      sym_listitem,
    STATE(315), 1,
      aux_sym_var_unit_repeat1,
    STATE(355), 1,
      sym__logic_unit,
    STATE(373), 1,
      sym_bool,
    STATE(813), 1,
      sym_var_unit,
    ACTIONS(400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(198), 2,
      sym_list,
      sym_expression_statement,
    STATE(920), 3,
      sym_dictionaries,
      sym_variableunit,
      sym_ternaryoperator,
  [4148] = 4,
    ACTIONS(416), 1,
      anon_sym_DOT,
    STATE(95), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(61), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4179] = 8,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(165), 1,
      aux_sym_expression_statement_repeat1,
    STATE(733), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(70), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(66), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [4218] = 8,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(166), 1,
      aux_sym_expression_statement_repeat1,
    STATE(734), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(52), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(49), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [4257] = 5,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(421), 1,
      anon_sym_DOT,
    STATE(103), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4290] = 5,
    ACTIONS(424), 1,
      anon_sym_LBRACK,
    ACTIONS(426), 1,
      anon_sym_DOT,
    STATE(100), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(74), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(76), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4323] = 4,
    ACTIONS(429), 1,
      anon_sym_DOT,
    STATE(125), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4354] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(432), 1,
      sym_identifier,
    ACTIONS(434), 1,
      sym_number,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(332), 1,
      sym_normal_command,
    STATE(333), 1,
      sym_string,
    STATE(436), 1,
      sym_listitem,
    STATE(518), 1,
      sym__logic_unit,
    STATE(534), 1,
      sym_bool,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(452), 2,
      sym_list,
      sym_expression_statement,
    STATE(1073), 3,
      sym_dictionaries,
      sym_variableunit,
      sym_var_unit,
  [4413] = 4,
    ACTIONS(429), 1,
      anon_sym_DOT,
    STATE(125), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4444] = 4,
    ACTIONS(436), 1,
      anon_sym_DOT,
    STATE(125), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(92), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4475] = 4,
    ACTIONS(429), 1,
      anon_sym_DOT,
    STATE(125), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4506] = 5,
    ACTIONS(421), 1,
      anon_sym_DOT,
    ACTIONS(439), 1,
      anon_sym_LBRACK,
    STATE(103), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4539] = 5,
    ACTIONS(426), 1,
      anon_sym_DOT,
    ACTIONS(442), 1,
      anon_sym_LBRACK,
    STATE(100), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(74), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(76), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4572] = 5,
    ACTIONS(445), 1,
      anon_sym_LBRACK,
    ACTIONS(447), 1,
      anon_sym_DOT,
    STATE(113), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [4605] = 5,
    ACTIONS(450), 1,
      anon_sym_LBRACK,
    ACTIONS(452), 1,
      anon_sym_DOT,
    STATE(128), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(74), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [4638] = 5,
    ACTIONS(455), 1,
      anon_sym_LBRACK,
    ACTIONS(457), 1,
      anon_sym_DOT,
    STATE(118), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [4671] = 5,
    ACTIONS(460), 1,
      anon_sym_LBRACK,
    ACTIONS(462), 1,
      anon_sym_DOT,
    STATE(122), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(74), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [4704] = 8,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(157), 1,
      aux_sym_expression_statement_repeat1,
    STATE(713), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(52), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(49), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [4743] = 4,
    ACTIONS(465), 1,
      anon_sym_DOT,
    STATE(126), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4774] = 4,
    ACTIONS(468), 1,
      anon_sym_DOT,
    STATE(126), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(92), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4805] = 4,
    ACTIONS(465), 1,
      anon_sym_DOT,
    STATE(126), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4836] = 5,
    ACTIONS(447), 1,
      anon_sym_DOT,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    STATE(113), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [4869] = 5,
    ACTIONS(452), 1,
      anon_sym_DOT,
    ACTIONS(474), 1,
      anon_sym_LBRACK,
    STATE(128), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(74), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [4902] = 4,
    ACTIONS(477), 1,
      anon_sym_DOT,
    STATE(95), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4933] = 4,
    ACTIONS(480), 1,
      anon_sym_DOT,
    STATE(95), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(92), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4964] = 4,
    ACTIONS(477), 1,
      anon_sym_DOT,
    STATE(95), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [4995] = 5,
    ACTIONS(457), 1,
      anon_sym_DOT,
    ACTIONS(483), 1,
      anon_sym_LBRACK,
    STATE(118), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [5028] = 5,
    ACTIONS(462), 1,
      anon_sym_DOT,
    ACTIONS(486), 1,
      anon_sym_LBRACK,
    STATE(122), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(74), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [5061] = 4,
    ACTIONS(477), 1,
      anon_sym_DOT,
    STATE(95), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [5092] = 8,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(159), 1,
      aux_sym_expression_statement_repeat1,
    STATE(703), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(70), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(66), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [5131] = 8,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(190), 1,
      aux_sym_expression_statement_repeat1,
    STATE(706), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(52), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(49), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [5170] = 4,
    ACTIONS(489), 1,
      anon_sym_DOT,
    STATE(125), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(61), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [5201] = 4,
    ACTIONS(492), 1,
      anon_sym_DOT,
    STATE(126), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(61), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [5232] = 8,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(156), 1,
      aux_sym_expression_statement_repeat1,
    STATE(714), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(70), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(66), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [5271] = 4,
    ACTIONS(465), 1,
      anon_sym_DOT,
    STATE(126), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [5302] = 6,
    ACTIONS(185), 1,
      anon_sym_LPAREN,
    ACTIONS(187), 1,
      anon_sym_LBRACK,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(155), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(31), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(33), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [5336] = 2,
    ACTIONS(154), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(156), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5362] = 11,
    ACTIONS(495), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(501), 1,
      sym_identifier,
    ACTIONS(506), 1,
      anon_sym_if,
    ACTIONS(509), 1,
      anon_sym_foreach,
    ACTIONS(512), 1,
      sym_comment,
    STATE(538), 1,
      sym_normal_command,
    STATE(945), 1,
      sym_if_command,
    STATE(1081), 2,
      sym_string,
      sym_listitem,
    ACTIONS(504), 5,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
      sym_keyword_break,
      sym_keyword_continue,
    STATE(131), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [5406] = 4,
    ACTIONS(515), 1,
      anon_sym_DOT,
    STATE(132), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(59), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [5436] = 2,
    ACTIONS(175), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(144), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5462] = 4,
    ACTIONS(291), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(288), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [5492] = 2,
    ACTIONS(175), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(144), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5518] = 2,
    ACTIONS(181), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(183), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5544] = 2,
    ACTIONS(130), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(132), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5570] = 2,
    ACTIONS(134), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(136), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5596] = 2,
    ACTIONS(146), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(148), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5622] = 2,
    ACTIONS(150), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(152), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5648] = 2,
    ACTIONS(154), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(156), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_GT,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(520), 1,
      anon_sym_LBRACK,
    ACTIONS(523), 1,
      anon_sym_DOT,
    STATE(213), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [5710] = 4,
    ACTIONS(526), 1,
      anon_sym_DOT,
    STATE(143), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(59), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [5740] = 2,
    ACTIONS(165), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(167), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5766] = 2,
    ACTIONS(130), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(132), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5792] = 2,
    ACTIONS(134), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(136), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5818] = 2,
    ACTIONS(146), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(148), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5844] = 2,
    ACTIONS(150), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(152), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5870] = 12,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_foreach,
    ACTIONS(537), 1,
      sym_comment,
    STATE(538), 1,
      sym_normal_command,
    STATE(945), 1,
      sym_if_command,
    ACTIONS(535), 2,
      sym_keyword_break,
      sym_keyword_continue,
    STATE(1081), 2,
      sym_string,
      sym_listitem,
    ACTIONS(531), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
    STATE(131), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [5916] = 2,
    ACTIONS(181), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(183), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [5942] = 4,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(167), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [5972] = 3,
    ACTIONS(439), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6000] = 4,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(132), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [6030] = 2,
    ACTIONS(138), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6056] = 4,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(132), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [6086] = 4,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(132), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(90), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [6116] = 4,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(132), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [6146] = 2,
    ACTIONS(541), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(539), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [6172] = 4,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(167), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(92), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [6202] = 3,
    ACTIONS(419), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6230] = 3,
    ACTIONS(445), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6258] = 4,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(143), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [6288] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(138), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6316] = 4,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(143), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [6346] = 4,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(143), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(90), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [6376] = 4,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(143), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(83), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [6406] = 4,
    ACTIONS(543), 1,
      anon_sym_DOT,
    STATE(167), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(61), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [6436] = 2,
    ACTIONS(165), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(167), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6462] = 3,
    ACTIONS(455), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(99), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6490] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(138), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(141), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6518] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(548), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(546), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [6562] = 2,
    ACTIONS(130), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(132), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6588] = 2,
    ACTIONS(134), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(136), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6614] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(138), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6642] = 2,
    ACTIONS(146), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(148), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6668] = 2,
    ACTIONS(150), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(152), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6694] = 3,
    ACTIONS(471), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6722] = 2,
    ACTIONS(138), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6748] = 6,
    ACTIONS(193), 1,
      anon_sym_LPAREN,
    ACTIONS(195), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(164), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(31), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(33), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [6782] = 2,
    ACTIONS(570), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(568), 14,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [6808] = 2,
    ACTIONS(175), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(144), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6834] = 3,
    ACTIONS(483), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(99), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6862] = 2,
    ACTIONS(181), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(183), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6888] = 2,
    ACTIONS(138), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(141), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [6914] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(574), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(572), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [6958] = 12,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_foreach,
    ACTIONS(537), 1,
      sym_comment,
    STATE(538), 1,
      sym_normal_command,
    STATE(945), 1,
      sym_if_command,
    ACTIONS(596), 2,
      sym_keyword_break,
      sym_keyword_continue,
    STATE(1081), 2,
      sym_string,
      sym_listitem,
    ACTIONS(594), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
    STATE(131), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [7004] = 4,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(167), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [7034] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(600), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(598), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [7078] = 6,
    ACTIONS(209), 1,
      anon_sym_LPAREN,
    ACTIONS(211), 1,
      anon_sym_LBRACK,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(151), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(31), 8,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(33), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
  [7112] = 4,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(167), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [7142] = 12,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_foreach,
    ACTIONS(606), 1,
      sym_comment,
    STATE(538), 1,
      sym_normal_command,
    STATE(945), 1,
      sym_if_command,
    ACTIONS(604), 2,
      sym_keyword_break,
      sym_keyword_continue,
    STATE(1081), 2,
      sym_string,
      sym_listitem,
    ACTIONS(602), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
    STATE(186), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [7188] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(610), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(608), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [7232] = 12,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(529), 1,
      sym_identifier,
    ACTIONS(533), 1,
      anon_sym_foreach,
    ACTIONS(616), 1,
      sym_comment,
    STATE(538), 1,
      sym_normal_command,
    STATE(945), 1,
      sym_if_command,
    ACTIONS(614), 2,
      sym_keyword_break,
      sym_keyword_continue,
    STATE(1081), 2,
      sym_string,
      sym_listitem,
    ACTIONS(612), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
    STATE(149), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [7278] = 2,
    ACTIONS(154), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(156), 12,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym_GT,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(523), 1,
      anon_sym_DOT,
    ACTIONS(618), 1,
      anon_sym_LBRACK,
    STATE(213), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7340] = 2,
    ACTIONS(165), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(167), 11,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_GT,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_DOT,
    STATE(215), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7399] = 6,
    STATE(695), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(70), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(66), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [7432] = 2,
    ACTIONS(201), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(203), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7457] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_GT,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(626), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(31), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7498] = 2,
    ACTIONS(201), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(203), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7523] = 2,
    ACTIONS(205), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(207), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7548] = 6,
    STATE(712), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(70), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(66), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(74), 1,
      anon_sym_GT,
    ACTIONS(636), 1,
      anon_sym_LBRACK,
    ACTIONS(638), 1,
      anon_sym_DOT,
    STATE(210), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7614] = 2,
    ACTIONS(201), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(203), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7639] = 2,
    ACTIONS(205), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(207), 10,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7664] = 2,
    ACTIONS(205), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(207), 11,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      sym_comment,
  [7689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_GT,
    ACTIONS(641), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(74), 1,
      anon_sym_GT,
    ACTIONS(638), 1,
      anon_sym_DOT,
    ACTIONS(644), 1,
      anon_sym_LBRACK,
    STATE(210), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_GT,
    ACTIONS(647), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_GT,
    ACTIONS(647), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7815] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_GT,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(650), 1,
      anon_sym_COLON,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(24), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(31), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_GT,
    ACTIONS(647), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7889] = 6,
    STATE(682), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(70), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(66), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [7922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(90), 1,
      anon_sym_GT,
    ACTIONS(654), 1,
      anon_sym_DOT,
    STATE(208), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7953] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_GT,
    ACTIONS(623), 1,
      anon_sym_DOT,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    STATE(215), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [7986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(154), 1,
      anon_sym_GT,
    ACTIONS(156), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8012] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [8036] = 2,
    ACTIONS(304), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(302), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [8060] = 2,
    ACTIONS(338), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(340), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8084] = 2,
    ACTIONS(342), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(344), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8108] = 2,
    ACTIONS(346), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(348), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(130), 1,
      anon_sym_GT,
    ACTIONS(132), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8158] = 6,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(162), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(291), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(288), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8190] = 2,
    ACTIONS(302), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(304), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8214] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(386), 1,
      anon_sym_LBRACK,
    ACTIONS(392), 1,
      anon_sym_not,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      sym_number,
    STATE(283), 1,
      sym_normal_command,
    STATE(324), 1,
      aux_sym_var_unit_repeat1,
    STATE(901), 1,
      sym_var_unit,
    ACTIONS(378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(286), 2,
      sym_string,
      sym_listitem,
    STATE(359), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [8262] = 2,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(280), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [8316] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(260), 1,
      anon_sym_not,
    ACTIONS(663), 1,
      sym_identifier,
    ACTIONS(665), 1,
      sym_number,
    STATE(88), 1,
      sym_normal_command,
    STATE(191), 1,
      sym_var_unit,
    STATE(322), 1,
      aux_sym_var_unit_repeat1,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(89), 2,
      sym_string,
      sym_listitem,
    STATE(188), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [8364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(175), 1,
      anon_sym_GT,
    ACTIONS(144), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8390] = 2,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8414] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1170), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [8462] = 2,
    ACTIONS(264), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(262), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8486] = 2,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8510] = 2,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8534] = 2,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8558] = 2,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8582] = 2,
    ACTIONS(340), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(338), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8606] = 2,
    ACTIONS(344), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(342), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8630] = 2,
    ACTIONS(348), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(346), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8654] = 2,
    ACTIONS(302), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(304), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [8678] = 2,
    ACTIONS(304), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(302), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8702] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8726] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8750] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8774] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8798] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8822] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8846] = 2,
    ACTIONS(304), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(302), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [8870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(134), 1,
      anon_sym_GT,
    ACTIONS(136), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      anon_sym_GT,
    ACTIONS(183), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(138), 1,
      anon_sym_GT,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(141), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(146), 1,
      anon_sym_GT,
    ACTIONS(148), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [8976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(150), 1,
      anon_sym_GT,
    ACTIONS(152), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [9002] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(672), 1,
      anon_sym_SQUOTE,
    ACTIONS(675), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(678), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(684), 1,
      anon_sym_RBRACK,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(689), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(954), 1,
      sym_normal_command,
    STATE(957), 1,
      sym_string,
    STATE(1035), 1,
      sym_expression_statement,
    STATE(1038), 1,
      sym_list,
    STATE(1065), 1,
      sym_listitem,
    ACTIONS(669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1219), 3,
      sym_bool,
      sym_dictionaries,
      sym_variableunit,
  [9054] = 2,
    ACTIONS(262), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(264), 10,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
  [9078] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(692), 1,
      anon_sym_RBRACK,
    ACTIONS(694), 1,
      sym_identifier,
    ACTIONS(696), 1,
      sym_number,
    STATE(259), 1,
      aux_sym_list_repeat1,
    STATE(836), 1,
      sym_string,
    STATE(851), 1,
      sym_normal_command,
    STATE(985), 1,
      sym_list,
    STATE(986), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1111), 2,
      sym_bool,
      sym_variableunit,
  [9132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_GT,
    ACTIONS(167), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [9158] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_RBRACK,
    ACTIONS(700), 1,
      sym_identifier,
    ACTIONS(702), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(849), 1,
      sym_normal_command,
    STATE(850), 1,
      sym_string,
    STATE(970), 1,
      sym_expression_statement,
    STATE(999), 1,
      sym_list,
    STATE(1065), 1,
      sym_listitem,
    STATE(1087), 1,
      sym_variableunit,
    STATE(1148), 1,
      sym_bool,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [9214] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(704), 1,
      anon_sym_RBRACK,
    ACTIONS(706), 1,
      sym_identifier,
    ACTIONS(708), 1,
      sym_number,
    STATE(275), 1,
      aux_sym_list_repeat1,
    STATE(814), 1,
      sym_normal_command,
    STATE(820), 1,
      sym_string,
    STATE(977), 1,
      sym_list,
    STATE(978), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1091), 2,
      sym_bool,
      sym_variableunit,
  [9268] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_SQUOTE,
    ACTIONS(312), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(316), 1,
      anon_sym_LBRACK,
    ACTIONS(322), 1,
      anon_sym_not,
    ACTIONS(710), 1,
      sym_identifier,
    ACTIONS(712), 1,
      sym_number,
    STATE(312), 1,
      sym_normal_command,
    STATE(314), 1,
      aux_sym_var_unit_repeat1,
    STATE(936), 1,
      sym_var_unit,
    ACTIONS(308), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(267), 2,
      sym_string,
      sym_listitem,
    STATE(422), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [9316] = 4,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(165), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [9344] = 4,
    ACTIONS(199), 1,
      anon_sym_DOT,
    STATE(166), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [9372] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(714), 1,
      anon_sym_RBRACK,
    ACTIONS(716), 1,
      sym_identifier,
    ACTIONS(718), 1,
      sym_number,
    STATE(266), 1,
      aux_sym_list_repeat1,
    STATE(806), 1,
      sym_string,
    STATE(826), 1,
      sym_normal_command,
    STATE(1005), 1,
      sym_list,
    STATE(1006), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1124), 2,
      sym_bool,
      sym_variableunit,
  [9426] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [9450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(720), 1,
      anon_sym_RBRACK,
    ACTIONS(722), 1,
      sym_identifier,
    ACTIONS(724), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(840), 1,
      sym_normal_command,
    STATE(847), 1,
      sym_string,
    STATE(971), 1,
      sym_list,
    STATE(972), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1089), 1,
      sym_bool,
    STATE(1103), 1,
      sym_variableunit,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [9506] = 4,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(157), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [9534] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_SQUOTE,
    ACTIONS(404), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(408), 1,
      anon_sym_LBRACK,
    ACTIONS(414), 1,
      anon_sym_not,
    ACTIONS(726), 1,
      sym_identifier,
    ACTIONS(728), 1,
      sym_number,
    STATE(262), 1,
      sym_normal_command,
    STATE(315), 1,
      aux_sym_var_unit_repeat1,
    STATE(871), 1,
      sym_var_unit,
    ACTIONS(400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(263), 2,
      sym_string,
      sym_listitem,
    STATE(355), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [9582] = 6,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(187), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(291), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(288), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [9614] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(260), 1,
      anon_sym_not,
    ACTIONS(663), 1,
      sym_identifier,
    ACTIONS(665), 1,
      sym_number,
    STATE(88), 1,
      sym_normal_command,
    STATE(322), 1,
      aux_sym_var_unit_repeat1,
    STATE(654), 1,
      sym_var_unit,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(89), 2,
      sym_string,
      sym_listitem,
    STATE(188), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [9662] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(730), 1,
      anon_sym_RBRACK,
    ACTIONS(732), 1,
      sym_identifier,
    ACTIONS(734), 1,
      sym_number,
    STATE(273), 1,
      aux_sym_list_repeat1,
    STATE(815), 1,
      sym_normal_command,
    STATE(816), 1,
      sym_string,
    STATE(991), 1,
      sym_list,
    STATE(992), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1080), 2,
      sym_bool,
      sym_variableunit,
  [9716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_GT,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(99), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [9744] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(736), 1,
      anon_sym_RBRACK,
    ACTIONS(738), 1,
      sym_identifier,
    ACTIONS(740), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(842), 1,
      sym_normal_command,
    STATE(843), 1,
      sym_string,
    STATE(998), 1,
      sym_list,
    STATE(1034), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1101), 1,
      sym_bool,
    STATE(1104), 1,
      sym_variableunit,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [9800] = 2,
    ACTIONS(264), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(262), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [9824] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(742), 1,
      anon_sym_RBRACK,
    ACTIONS(744), 1,
      sym_identifier,
    ACTIONS(746), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(844), 1,
      sym_normal_command,
    STATE(848), 1,
      sym_string,
    STATE(975), 1,
      sym_list,
    STATE(976), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1085), 1,
      sym_variableunit,
    STATE(1112), 1,
      sym_bool,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [9880] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(748), 1,
      anon_sym_RBRACK,
    ACTIONS(750), 1,
      sym_identifier,
    ACTIONS(752), 1,
      sym_number,
    STATE(278), 1,
      aux_sym_list_repeat1,
    STATE(811), 1,
      sym_normal_command,
    STATE(812), 1,
      sym_string,
    STATE(968), 1,
      sym_list,
    STATE(969), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1147), 2,
      sym_bool,
      sym_variableunit,
  [9934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_GT,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(99), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [9962] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_RBRACK,
    ACTIONS(756), 1,
      sym_identifier,
    ACTIONS(758), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(817), 1,
      sym_normal_command,
    STATE(818), 1,
      sym_string,
    STATE(973), 1,
      sym_list,
    STATE(974), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1116), 1,
      sym_bool,
    STATE(1137), 1,
      sym_variableunit,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [10018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(280), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [10048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_GT,
    ACTIONS(760), 1,
      anon_sym_DOT,
    STATE(280), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [10078] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(763), 1,
      anon_sym_RBRACK,
    ACTIONS(765), 1,
      sym_identifier,
    ACTIONS(767), 1,
      sym_number,
    STATE(282), 1,
      aux_sym_list_repeat1,
    STATE(821), 1,
      sym_normal_command,
    STATE(822), 1,
      sym_string,
    STATE(979), 1,
      sym_list,
    STATE(980), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1098), 2,
      sym_bool,
      sym_variableunit,
  [10132] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_RBRACK,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(773), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(823), 1,
      sym_normal_command,
    STATE(824), 1,
      sym_string,
    STATE(982), 1,
      sym_list,
    STATE(983), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1122), 1,
      sym_bool,
    STATE(1134), 1,
      sym_variableunit,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [10188] = 4,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(159), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 8,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
  [10216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(775), 1,
      anon_sym_RBRACK,
    ACTIONS(777), 1,
      sym_identifier,
    ACTIONS(779), 1,
      sym_number,
    STATE(285), 1,
      aux_sym_list_repeat1,
    STATE(827), 1,
      sym_normal_command,
    STATE(828), 1,
      sym_string,
    STATE(987), 1,
      sym_list,
    STATE(988), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1149), 2,
      sym_bool,
      sym_variableunit,
  [10270] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(781), 1,
      anon_sym_RBRACK,
    ACTIONS(783), 1,
      sym_identifier,
    ACTIONS(785), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(830), 1,
      sym_normal_command,
    STATE(831), 1,
      sym_string,
    STATE(989), 1,
      sym_list,
    STATE(990), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1121), 1,
      sym_variableunit,
    STATE(1159), 1,
      sym_bool,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [10326] = 4,
    ACTIONS(215), 1,
      anon_sym_DOT,
    STATE(190), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 8,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
  [10354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(90), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(280), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [10384] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(787), 1,
      anon_sym_RBRACK,
    ACTIONS(789), 1,
      sym_identifier,
    ACTIONS(791), 1,
      sym_number,
    STATE(289), 1,
      aux_sym_list_repeat1,
    STATE(835), 1,
      sym_string,
    STATE(863), 1,
      sym_normal_command,
    STATE(993), 1,
      sym_list,
    STATE(994), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1084), 2,
      sym_bool,
      sym_variableunit,
  [10438] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(793), 1,
      anon_sym_RBRACK,
    ACTIONS(795), 1,
      sym_identifier,
    ACTIONS(797), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(838), 1,
      sym_normal_command,
    STATE(839), 1,
      sym_string,
    STATE(996), 1,
      sym_list,
    STATE(997), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1095), 1,
      sym_bool,
    STATE(1097), 1,
      sym_variableunit,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [10494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(280), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [10524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(799), 1,
      anon_sym_RBRACK,
    ACTIONS(801), 1,
      sym_identifier,
    ACTIONS(803), 1,
      sym_number,
    STATE(292), 1,
      aux_sym_list_repeat1,
    STATE(845), 1,
      sym_normal_command,
    STATE(846), 1,
      sym_string,
    STATE(1001), 1,
      sym_list,
    STATE(1002), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1107), 2,
      sym_bool,
      sym_variableunit,
  [10578] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(118), 1,
      anon_sym_LBRACE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(805), 1,
      anon_sym_RBRACK,
    ACTIONS(807), 1,
      sym_identifier,
    ACTIONS(809), 1,
      sym_number,
    STATE(255), 1,
      aux_sym_list_repeat1,
    STATE(852), 1,
      sym_normal_command,
    STATE(853), 1,
      sym_string,
    STATE(1003), 1,
      sym_list,
    STATE(1004), 1,
      sym_expression_statement,
    STATE(1065), 1,
      sym_listitem,
    STATE(1115), 1,
      sym_bool,
    STATE(1118), 1,
      sym_variableunit,
    STATE(1219), 1,
      sym_dictionaries,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
  [10634] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1174), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [10682] = 2,
    ACTIONS(340), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(338), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [10706] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1218), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [10754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(260), 1,
      anon_sym_not,
    ACTIONS(663), 1,
      sym_identifier,
    ACTIONS(665), 1,
      sym_number,
    STATE(88), 1,
      sym_normal_command,
    STATE(193), 1,
      sym_var_unit,
    STATE(322), 1,
      aux_sym_var_unit_repeat1,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(89), 2,
      sym_string,
      sym_listitem,
    STATE(188), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [10802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(138), 1,
      anon_sym_GT,
    ACTIONS(141), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [10828] = 2,
    ACTIONS(344), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(342), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [10852] = 2,
    ACTIONS(348), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(346), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [10876] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1216), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [10924] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1165), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [10972] = 2,
    ACTIONS(304), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(302), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [10996] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1206), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11044] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [11068] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1227), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11116] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [11140] = 6,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(153), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(291), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(288), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [11172] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1211), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11220] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [11244] = 2,
    ACTIONS(296), 9,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(294), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [11268] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(124), 1,
      sym_number,
    ACTIONS(126), 1,
      anon_sym_not,
    ACTIONS(667), 1,
      sym_identifier,
    STATE(317), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    STATE(1198), 1,
      sym_var_unit,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(518), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11316] = 4,
    ACTIONS(191), 1,
      anon_sym_DOT,
    STATE(156), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(57), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [11344] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(811), 1,
      anon_sym_COMMA,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11383] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_SQUOTE,
    ACTIONS(312), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(316), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      sym_identifier,
    ACTIONS(819), 1,
      sym_number,
    ACTIONS(821), 1,
      anon_sym_not,
    STATE(312), 1,
      sym_normal_command,
    STATE(318), 1,
      aux_sym_var_unit_repeat1,
    ACTIONS(308), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(267), 2,
      sym_string,
      sym_listitem,
    STATE(387), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11428] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_SQUOTE,
    ACTIONS(404), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(408), 1,
      anon_sym_LBRACK,
    ACTIONS(726), 1,
      sym_identifier,
    ACTIONS(823), 1,
      sym_number,
    ACTIONS(825), 1,
      anon_sym_not,
    STATE(262), 1,
      sym_normal_command,
    STATE(318), 1,
      aux_sym_var_unit_repeat1,
    ACTIONS(400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(263), 2,
      sym_string,
      sym_listitem,
    STATE(366), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym_GT,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(31), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11506] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(827), 1,
      sym_number,
    ACTIONS(829), 1,
      anon_sym_not,
    STATE(318), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(513), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11551] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 1,
      anon_sym_LPAREN,
    ACTIONS(837), 1,
      anon_sym_SQUOTE,
    ACTIONS(840), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(843), 1,
      anon_sym_LBRACK,
    ACTIONS(846), 1,
      sym_identifier,
    ACTIONS(849), 1,
      sym_number,
    ACTIONS(852), 1,
      anon_sym_not,
    STATE(318), 1,
      aux_sym_var_unit_repeat1,
    STATE(429), 1,
      sym_normal_command,
    ACTIONS(834), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(716), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11596] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(855), 1,
      anon_sym_COMMA,
    ACTIONS(859), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(863), 1,
      anon_sym_COLON,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(52), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11672] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(867), 1,
      anon_sym_COMMA,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      sym_identifier,
    ACTIONS(875), 1,
      sym_number,
    ACTIONS(877), 1,
      anon_sym_not,
    STATE(88), 1,
      sym_normal_command,
    STATE(318), 1,
      aux_sym_var_unit_repeat1,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(89), 2,
      sym_string,
      sym_listitem,
    STATE(171), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_GT,
    ACTIONS(203), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [11781] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(386), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(879), 1,
      sym_number,
    ACTIONS(881), 1,
      anon_sym_not,
    STATE(283), 1,
      sym_normal_command,
    STATE(318), 1,
      aux_sym_var_unit_repeat1,
    ACTIONS(378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(286), 2,
      sym_string,
      sym_listitem,
    STATE(364), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [11826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(883), 1,
      anon_sym_COMMA,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11865] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(891), 1,
      anon_sym_COMMA,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11904] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(899), 1,
      anon_sym_COMMA,
    ACTIONS(903), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11943] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(907), 1,
      anon_sym_COMMA,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [11982] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(915), 1,
      anon_sym_COMMA,
    ACTIONS(919), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12021] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(923), 1,
      anon_sym_COMMA,
    ACTIONS(927), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12060] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(931), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12099] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(939), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(939), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12169] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(943), 1,
      anon_sym_COMMA,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12208] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(951), 1,
      anon_sym_COMMA,
    ACTIONS(955), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12247] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(959), 1,
      anon_sym_COMMA,
    ACTIONS(963), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12286] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(967), 1,
      anon_sym_COMMA,
    ACTIONS(971), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12325] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(975), 1,
      anon_sym_COMMA,
    ACTIONS(979), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(983), 1,
      anon_sym_COMMA,
    ACTIONS(987), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12403] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(991), 1,
      anon_sym_COMMA,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12442] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(999), 1,
      anon_sym_COMMA,
    ACTIONS(1003), 1,
      anon_sym_RPAREN,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_GT,
    ACTIONS(207), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_DOT,
  [12506] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1011), 1,
      anon_sym_endforeach,
    ACTIONS(1013), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(376), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [12546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(338), 1,
      anon_sym_GT,
    ACTIONS(340), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(342), 1,
      anon_sym_GT,
    ACTIONS(344), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(346), 1,
      anon_sym_GT,
    ACTIONS(348), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_GT,
    ACTIONS(304), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_GT,
    ACTIONS(296), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_GT,
    ACTIONS(296), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_GT,
    ACTIONS(296), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_GT,
    ACTIONS(296), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_GT,
    ACTIONS(296), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_GT,
    ACTIONS(296), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_GT,
    ACTIONS(304), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [12810] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(600), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(598), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [12850] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1017), 1,
      anon_sym_endif,
    ACTIONS(1019), 1,
      anon_sym_foreach,
    ACTIONS(1021), 1,
      sym_comment,
    STATE(779), 1,
      sym_normal_command,
    STATE(921), 1,
      sym_if_command,
    STATE(1142), 2,
      sym_string,
      sym_listitem,
    STATE(416), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [12890] = 6,
    ACTIONS(1023), 1,
      anon_sym_LPAREN,
    ACTIONS(1025), 1,
      anon_sym_LBRACK,
    ACTIONS(1028), 1,
      anon_sym_DOT,
    STATE(455), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(37), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [12920] = 2,
    ACTIONS(570), 8,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(568), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
  [12942] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(598), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(600), 4,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
  [12982] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1031), 1,
      anon_sym_endforeach,
    ACTIONS(1033), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13022] = 11,
    ACTIONS(495), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_endif,
    ACTIONS(506), 1,
      anon_sym_if,
    ACTIONS(1035), 1,
      sym_identifier,
    ACTIONS(1038), 1,
      anon_sym_foreach,
    ACTIONS(1041), 1,
      sym_comment,
    STATE(779), 1,
      sym_normal_command,
    STATE(921), 1,
      sym_if_command,
    STATE(1142), 2,
      sym_string,
      sym_listitem,
    STATE(361), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13062] = 4,
    ACTIONS(291), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(288), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [13088] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(608), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(610), 4,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
  [13128] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(546), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(548), 4,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
  [13168] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(610), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(608), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [13208] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(548), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(546), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [13248] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1044), 1,
      anon_sym_endforeach,
    ACTIONS(1046), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(369), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13288] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1048), 1,
      anon_sym_endforeach,
    ACTIONS(1050), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(370), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13328] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1052), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13368] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1054), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13408] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1056), 1,
      anon_sym_endforeach,
    ACTIONS(1058), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(374), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13448] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1060), 1,
      anon_sym_endforeach,
    ACTIONS(1062), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(375), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13488] = 4,
    ACTIONS(291), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
    ACTIONS(288), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [13514] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1064), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13554] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1066), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13594] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13634] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1070), 1,
      anon_sym_endforeach,
    ACTIONS(1072), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(360), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13674] = 2,
    ACTIONS(541), 8,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(539), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
  [13696] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1074), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13736] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1076), 1,
      anon_sym_endforeach,
    ACTIONS(1078), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(412), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13776] = 2,
    ACTIONS(541), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(539), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [13798] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1080), 1,
      anon_sym_endforeach,
    ACTIONS(1082), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(384), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13838] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1084), 1,
      anon_sym_endforeach,
    ACTIONS(1086), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(385), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13878] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1088), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13918] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13958] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1092), 1,
      anon_sym_endforeach,
    ACTIONS(1094), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(389), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [13998] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(548), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(546), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [14038] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1096), 1,
      anon_sym_endforeach,
    ACTIONS(1098), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(391), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14078] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1100), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14118] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14158] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1104), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14198] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(572), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(574), 4,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
  [14238] = 6,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1023), 1,
      anon_sym_LPAREN,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(482), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1108), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1106), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [14268] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(574), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(572), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [14308] = 6,
    ACTIONS(1023), 1,
      anon_sym_LPAREN,
    ACTIONS(1028), 1,
      anon_sym_DOT,
    ACTIONS(1112), 1,
      anon_sym_LBRACK,
    STATE(455), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(37), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [14338] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1114), 1,
      anon_sym_endforeach,
    ACTIONS(1116), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(398), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14378] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1118), 1,
      anon_sym_endforeach,
    ACTIONS(1120), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(399), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14418] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1122), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14458] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14498] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1126), 1,
      anon_sym_endforeach,
    ACTIONS(1128), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(403), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14538] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1130), 1,
      anon_sym_endforeach,
    ACTIONS(1132), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(404), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14578] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1134), 1,
      anon_sym_endforeach,
    ACTIONS(1136), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(405), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14618] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1138), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14658] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1140), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14698] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1142), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14738] = 11,
    ACTIONS(495), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(506), 1,
      anon_sym_if,
    ACTIONS(1144), 1,
      ts_builtin_sym_end,
    ACTIONS(1146), 1,
      sym_identifier,
    ACTIONS(1149), 1,
      anon_sym_foreach,
    ACTIONS(1152), 1,
      sym_comment,
    STATE(756), 1,
      sym_normal_command,
    STATE(896), 1,
      sym_if_command,
    STATE(1105), 2,
      sym_string,
      sym_listitem,
    STATE(406), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14778] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14818] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14858] = 2,
    ACTIONS(541), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(539), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [14880] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(574), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(572), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [14920] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(11), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(15), 1,
      anon_sym_foreach,
    ACTIONS(1159), 1,
      ts_builtin_sym_end,
    ACTIONS(1161), 1,
      sym_comment,
    STATE(756), 1,
      sym_normal_command,
    STATE(896), 1,
      sym_if_command,
    STATE(1105), 2,
      sym_string,
      sym_listitem,
    STATE(406), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [14960] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1033), 1,
      sym_comment,
    ACTIONS(1163), 1,
      anon_sym_endforeach,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15000] = 11,
    ACTIONS(576), 1,
      anon_sym_not,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(588), 1,
      anon_sym_and,
    ACTIONS(590), 1,
      anon_sym_or,
    ACTIONS(592), 1,
      anon_sym_in,
    ACTIONS(610), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(608), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [15040] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1165), 1,
      anon_sym_endforeach,
    ACTIONS(1167), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(379), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1169), 1,
      anon_sym_COMMA,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15116] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1015), 1,
      sym_identifier,
    ACTIONS(1019), 1,
      anon_sym_foreach,
    ACTIONS(1173), 1,
      anon_sym_endif,
    ACTIONS(1175), 1,
      sym_comment,
    STATE(779), 1,
      sym_normal_command,
    STATE(921), 1,
      sym_if_command,
    STATE(1142), 2,
      sym_string,
      sym_listitem,
    STATE(361), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15156] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1177), 1,
      anon_sym_endforeach,
    ACTIONS(1179), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(407), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15196] = 2,
    ACTIONS(570), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(568), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [15218] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1181), 1,
      anon_sym_endforeach,
    ACTIONS(1183), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(408), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_GT,
    ACTIONS(264), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15282] = 2,
    ACTIONS(570), 7,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      sym_comment,
    ACTIONS(568), 10,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [15304] = 11,
    ACTIONS(550), 1,
      anon_sym_not,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(562), 1,
      anon_sym_and,
    ACTIONS(564), 1,
      anon_sym_or,
    ACTIONS(566), 1,
      anon_sym_in,
    ACTIONS(600), 3,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_QMARK,
      sym_comment,
    ACTIONS(598), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [15344] = 4,
    ACTIONS(291), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(288), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(55), 5,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
    ACTIONS(57), 5,
      anon_sym_not,
      anon_sym_GT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15370] = 11,
    ACTIONS(495), 1,
      anon_sym_SQUOTE,
    ACTIONS(498), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(504), 1,
      anon_sym_endforeach,
    ACTIONS(506), 1,
      anon_sym_if,
    ACTIONS(1185), 1,
      sym_identifier,
    ACTIONS(1188), 1,
      anon_sym_foreach,
    ACTIONS(1191), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(424), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15410] = 11,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(13), 1,
      anon_sym_if,
    ACTIONS(1007), 1,
      sym_identifier,
    ACTIONS(1009), 1,
      anon_sym_foreach,
    ACTIONS(1194), 1,
      anon_sym_endforeach,
    ACTIONS(1196), 1,
      sym_comment,
    STATE(758), 1,
      sym_normal_command,
    STATE(882), 1,
      sym_if_command,
    STATE(1120), 2,
      sym_string,
      sym_listitem,
    STATE(390), 6,
      sym__unit,
      sym_operatorunit,
      sym_expression_statement,
      sym_if_condition,
      sym_foreach_command,
      aux_sym_source_file_repeat1,
  [15450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(959), 1,
      anon_sym_COMMA,
    ACTIONS(963), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15483] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(1198), 1,
      sym_number,
    STATE(429), 1,
      sym_normal_command,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(508), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [15522] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(386), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(1200), 1,
      sym_number,
    STATE(283), 1,
      sym_normal_command,
    ACTIONS(378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(286), 2,
      sym_string,
      sym_listitem,
    STATE(363), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [15561] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15615] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      sym_identifier,
    ACTIONS(1202), 1,
      sym_number,
    STATE(88), 1,
      sym_normal_command,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(89), 2,
      sym_string,
      sym_listitem,
    STATE(185), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [15654] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(376), 1,
      anon_sym_LPAREN,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    ACTIONS(382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(386), 1,
      anon_sym_LBRACK,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(1204), 1,
      sym_number,
    STATE(283), 1,
      sym_normal_command,
    ACTIONS(378), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(286), 2,
      sym_string,
      sym_listitem,
    STATE(392), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [15693] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(1206), 1,
      sym_number,
    STATE(429), 1,
      sym_normal_command,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(692), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [15732] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(883), 1,
      anon_sym_COMMA,
    ACTIONS(887), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15765] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(891), 1,
      anon_sym_COMMA,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15825] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(899), 1,
      anon_sym_COMMA,
    ACTIONS(903), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(907), 1,
      anon_sym_COMMA,
    ACTIONS(911), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15891] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(855), 1,
      anon_sym_COMMA,
    ACTIONS(859), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [15957] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(112), 1,
      anon_sym_LPAREN,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(667), 1,
      sym_identifier,
    ACTIONS(1208), 1,
      sym_number,
    STATE(429), 1,
      sym_normal_command,
    ACTIONS(116), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(430), 2,
      sym_string,
      sym_listitem,
    STATE(514), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [15996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(867), 1,
      anon_sym_COMMA,
    ACTIONS(871), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16029] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_SQUOTE,
    ACTIONS(312), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(316), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      sym_identifier,
    ACTIONS(1210), 1,
      sym_number,
    STATE(312), 1,
      sym_normal_command,
    ACTIONS(308), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(267), 2,
      sym_string,
      sym_listitem,
    STATE(410), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [16068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(915), 1,
      anon_sym_COMMA,
    ACTIONS(919), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(923), 1,
      anon_sym_COMMA,
    ACTIONS(927), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16134] = 4,
    ACTIONS(1212), 1,
      anon_sym_DOT,
    STATE(467), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16159] = 5,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_DOT,
    STATE(457), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16186] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(931), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16219] = 5,
    ACTIONS(1220), 1,
      anon_sym_LBRACK,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    STATE(446), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(74), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16246] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_SQUOTE,
    ACTIONS(404), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(408), 1,
      anon_sym_LBRACK,
    ACTIONS(726), 1,
      sym_identifier,
    ACTIONS(1225), 1,
      sym_number,
    STATE(262), 1,
      sym_normal_command,
    ACTIONS(400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(263), 2,
      sym_string,
      sym_listitem,
    STATE(394), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [16285] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(943), 1,
      anon_sym_COMMA,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(939), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16347] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(398), 1,
      anon_sym_LPAREN,
    ACTIONS(402), 1,
      anon_sym_SQUOTE,
    ACTIONS(404), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(408), 1,
      anon_sym_LBRACK,
    ACTIONS(726), 1,
      sym_identifier,
    ACTIONS(1227), 1,
      sym_number,
    STATE(262), 1,
      sym_normal_command,
    ACTIONS(400), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(263), 2,
      sym_string,
      sym_listitem,
    STATE(365), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [16386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(951), 1,
      anon_sym_COMMA,
    ACTIONS(955), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16419] = 4,
    ACTIONS(1212), 1,
      anon_sym_DOT,
    STATE(467), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16444] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(967), 1,
      anon_sym_COMMA,
    ACTIONS(971), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16477] = 4,
    ACTIONS(1229), 1,
      anon_sym_DOT,
    STATE(467), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(90), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(811), 1,
      anon_sym_COMMA,
    ACTIONS(815), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16535] = 4,
    ACTIONS(1212), 1,
      anon_sym_DOT,
    STATE(467), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(975), 1,
      anon_sym_COMMA,
    ACTIONS(979), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16593] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(983), 1,
      anon_sym_COMMA,
    ACTIONS(987), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16626] = 5,
    ACTIONS(1217), 1,
      anon_sym_DOT,
    ACTIONS(1232), 1,
      anon_sym_LBRACK,
    STATE(457), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16653] = 5,
    ACTIONS(1222), 1,
      anon_sym_DOT,
    ACTIONS(1235), 1,
      anon_sym_LBRACK,
    STATE(446), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(74), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16680] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(991), 1,
      anon_sym_COMMA,
    ACTIONS(995), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16713] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_LPAREN,
    ACTIONS(310), 1,
      anon_sym_SQUOTE,
    ACTIONS(312), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(316), 1,
      anon_sym_LBRACK,
    ACTIONS(710), 1,
      sym_identifier,
    ACTIONS(1238), 1,
      sym_number,
    STATE(312), 1,
      sym_normal_command,
    ACTIONS(308), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(267), 2,
      sym_string,
      sym_listitem,
    STATE(413), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [16752] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(999), 1,
      anon_sym_COMMA,
    ACTIONS(1003), 1,
      anon_sym_RPAREN,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16785] = 4,
    ACTIONS(1240), 1,
      anon_sym_DOT,
    STATE(467), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(59), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(244), 1,
      anon_sym_LPAREN,
    ACTIONS(248), 1,
      anon_sym_SQUOTE,
    ACTIONS(250), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(254), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      sym_identifier,
    ACTIONS(1243), 1,
      sym_number,
    STATE(88), 1,
      sym_normal_command,
    ACTIONS(246), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(89), 2,
      sym_string,
      sym_listitem,
    STATE(192), 4,
      sym_bool,
      sym_list,
      sym__logic_unit,
      sym_expression_statement,
  [16849] = 2,
    ACTIONS(183), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(181), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1245), 1,
      anon_sym_COMMA,
    ACTIONS(1248), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1251), 1,
      anon_sym_COMMA,
    ACTIONS(1254), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16929] = 2,
    ACTIONS(132), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(130), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      anon_sym_COMMA,
    ACTIONS(1260), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [16979] = 2,
    ACTIONS(136), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(134), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [16999] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(483), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17023] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(484), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1267), 1,
      anon_sym_COMMA,
    ACTIONS(1270), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17077] = 2,
    ACTIONS(148), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(146), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1273), 1,
      anon_sym_COMMA,
    ACTIONS(1276), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17127] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1279), 1,
      anon_sym_COMMA,
    ACTIONS(1282), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17157] = 2,
    ACTIONS(152), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(150), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17177] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(501), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17201] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(501), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(90), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17225] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(501), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17249] = 2,
    ACTIONS(156), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(154), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17269] = 2,
    ACTIONS(144), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(175), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17289] = 3,
    ACTIONS(1215), 1,
      anon_sym_LBRACK,
    ACTIONS(99), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    ACTIONS(1288), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17341] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1291), 1,
      anon_sym_COMMA,
    ACTIONS(1294), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_COMMA,
    ACTIONS(1300), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(568), 1,
      anon_sym_GT,
    ACTIONS(570), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1303), 1,
      anon_sym_COMMA,
    ACTIONS(1306), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17453] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(141), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(138), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17475] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1309), 1,
      anon_sym_COMMA,
    ACTIONS(1312), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1315), 1,
      anon_sym_COMMA,
    ACTIONS(1318), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(1169), 1,
      anon_sym_COMMA,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17565] = 2,
    ACTIONS(167), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(165), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1321), 1,
      anon_sym_COMMA,
    ACTIONS(1324), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17615] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1327), 1,
      anon_sym_COMMA,
    ACTIONS(1330), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1333), 1,
      anon_sym_COMMA,
    ACTIONS(1336), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17675] = 4,
    ACTIONS(1339), 1,
      anon_sym_DOT,
    STATE(501), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(59), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17699] = 3,
    ACTIONS(1232), 1,
      anon_sym_LBRACK,
    ACTIONS(99), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(97), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1342), 1,
      anon_sym_COMMA,
    ACTIONS(1345), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1348), 1,
      anon_sym_COMMA,
    ACTIONS(1351), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17781] = 2,
    ACTIONS(141), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(138), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17801] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(501), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_COMMA,
    ACTIONS(1357), 1,
      anon_sym_RPAREN,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17855] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(1360), 1,
      anon_sym_not,
    ACTIONS(1362), 1,
      anon_sym_and,
    ACTIONS(1364), 1,
      anon_sym_or,
    ACTIONS(1366), 1,
      anon_sym_in,
    ACTIONS(610), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [17892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(52), 1,
      anon_sym_COLON,
    ACTIONS(57), 1,
      anon_sym_GT,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17919] = 4,
    STATE(520), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(539), 1,
      anon_sym_GT,
    ACTIONS(541), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [17963] = 2,
    ACTIONS(203), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(201), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [17982] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(1372), 1,
      anon_sym_not,
    ACTIONS(1374), 1,
      anon_sym_and,
    ACTIONS(1376), 1,
      anon_sym_or,
    ACTIONS(1378), 1,
      anon_sym_in,
    ACTIONS(548), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [18019] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(1360), 1,
      anon_sym_not,
    ACTIONS(1362), 1,
      anon_sym_and,
    ACTIONS(1364), 1,
      anon_sym_or,
    ACTIONS(1366), 1,
      anon_sym_in,
    ACTIONS(574), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [18056] = 4,
    STATE(520), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1380), 1,
      anon_sym_COMMA,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(55), 9,
      anon_sym_COLON,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [18106] = 2,
    ACTIONS(207), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
    ACTIONS(205), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18125] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(1372), 1,
      anon_sym_not,
    ACTIONS(1374), 1,
      anon_sym_and,
    ACTIONS(1376), 1,
      anon_sym_or,
    ACTIONS(1378), 1,
      anon_sym_in,
    ACTIONS(600), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [18162] = 4,
    STATE(520), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1385), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1383), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18185] = 4,
    STATE(520), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(1389), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1391), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1387), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18208] = 4,
    STATE(520), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(29), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18231] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18249] = 2,
    ACTIONS(348), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(346), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18267] = 2,
    ACTIONS(304), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(302), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18285] = 6,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1394), 1,
      anon_sym_LPAREN,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(638), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1108), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1106), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [18311] = 6,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1398), 1,
      anon_sym_LPAREN,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(615), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1106), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(1108), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18337] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18355] = 2,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18373] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18391] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18409] = 2,
    ACTIONS(304), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(302), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18427] = 6,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1402), 1,
      anon_sym_LPAREN,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(623), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1108), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1106), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [18453] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_GT,
    ACTIONS(1406), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(55), 8,
      anon_sym_not,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT,
      anon_sym_and,
      anon_sym_or,
      anon_sym_in,
  [18493] = 6,
    ACTIONS(1398), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    STATE(570), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(37), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(39), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18519] = 2,
    ACTIONS(264), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(262), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18537] = 6,
    ACTIONS(1402), 1,
      anon_sym_LPAREN,
    ACTIONS(1415), 1,
      anon_sym_LBRACK,
    ACTIONS(1417), 1,
      anon_sym_DOT,
    STATE(582), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(37), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [18563] = 4,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(483), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1422), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1420), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18585] = 2,
    ACTIONS(340), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(338), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18603] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18621] = 6,
    ACTIONS(1394), 1,
      anon_sym_LPAREN,
    ACTIONS(1424), 1,
      anon_sym_LBRACK,
    ACTIONS(1426), 1,
      anon_sym_DOT,
    STATE(547), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(37), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [18647] = 2,
    ACTIONS(344), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(342), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [18665] = 6,
    ACTIONS(1394), 1,
      anon_sym_LPAREN,
    ACTIONS(1426), 1,
      anon_sym_DOT,
    ACTIONS(1429), 1,
      anon_sym_LBRACK,
    STATE(547), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(37), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [18691] = 6,
    ACTIONS(1398), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_DOT,
    ACTIONS(1432), 1,
      anon_sym_LBRACK,
    STATE(570), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(37), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(39), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18717] = 6,
    ACTIONS(1402), 1,
      anon_sym_LPAREN,
    ACTIONS(1417), 1,
      anon_sym_DOT,
    ACTIONS(1434), 1,
      anon_sym_LBRACK,
    STATE(582), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(39), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(37), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [18743] = 4,
    ACTIONS(1437), 1,
      anon_sym_DOT,
    STATE(591), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18764] = 4,
    ACTIONS(1440), 1,
      anon_sym_DOT,
    STATE(566), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18785] = 4,
    ACTIONS(1443), 1,
      anon_sym_DOT,
    STATE(566), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(92), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18806] = 4,
    ACTIONS(1440), 1,
      anon_sym_DOT,
    STATE(566), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18827] = 5,
    ACTIONS(1446), 1,
      anon_sym_LBRACK,
    ACTIONS(1449), 1,
      anon_sym_DOT,
    STATE(548), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [18850] = 5,
    ACTIONS(1452), 1,
      anon_sym_LBRACK,
    ACTIONS(1455), 1,
      anon_sym_DOT,
    STATE(588), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(74), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [18873] = 5,
    ACTIONS(1458), 1,
      anon_sym_LBRACK,
    ACTIONS(1460), 1,
      anon_sym_DOT,
    STATE(561), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(74), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(76), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18896] = 4,
    ACTIONS(1463), 1,
      anon_sym_DOT,
    STATE(554), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(92), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18917] = 4,
    ACTIONS(1466), 1,
      anon_sym_DOT,
    STATE(554), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(61), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18938] = 4,
    ACTIONS(1469), 1,
      anon_sym_DOT,
    STATE(554), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [18959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [18980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19001] = 5,
    ACTIONS(1480), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_DOT,
    STATE(553), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(97), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19024] = 3,
    ACTIONS(1490), 1,
      anon_sym_QMARK,
    ACTIONS(1488), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [19043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19064] = 4,
    ACTIONS(1469), 1,
      anon_sym_DOT,
    STATE(554), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19085] = 5,
    ACTIONS(1460), 1,
      anon_sym_DOT,
    ACTIONS(1494), 1,
      anon_sym_LBRACK,
    STATE(561), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(74), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(76), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19171] = 4,
    ACTIONS(1503), 1,
      anon_sym_DOT,
    STATE(566), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(61), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19192] = 5,
    ACTIONS(1506), 1,
      anon_sym_LBRACK,
    ACTIONS(1508), 1,
      anon_sym_DOT,
    STATE(584), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19215] = 5,
    ACTIONS(1511), 1,
      anon_sym_LBRACK,
    ACTIONS(1513), 1,
      anon_sym_DOT,
    STATE(572), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(74), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19259] = 4,
    ACTIONS(1469), 1,
      anon_sym_DOT,
    STATE(554), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19280] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19301] = 4,
    ACTIONS(1437), 1,
      anon_sym_DOT,
    STATE(591), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1108), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [19347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19368] = 5,
    ACTIONS(1449), 1,
      anon_sym_DOT,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    STATE(548), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [19391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19412] = 5,
    ACTIONS(1455), 1,
      anon_sym_DOT,
    ACTIONS(1526), 1,
      anon_sym_LBRACK,
    STATE(588), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(74), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [19435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19477] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19519] = 4,
    ACTIONS(1437), 1,
      anon_sym_DOT,
    STATE(591), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19561] = 4,
    ACTIONS(1538), 1,
      anon_sym_DOT,
    STATE(591), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(92), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19582] = 5,
    ACTIONS(1508), 1,
      anon_sym_DOT,
    ACTIONS(1541), 1,
      anon_sym_LBRACK,
    STATE(584), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(99), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19605] = 5,
    ACTIONS(1513), 1,
      anon_sym_DOT,
    ACTIONS(1544), 1,
      anon_sym_LBRACK,
    STATE(572), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(76), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(74), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19649] = 4,
    ACTIONS(1440), 1,
      anon_sym_DOT,
    STATE(566), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(85), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19691] = 5,
    ACTIONS(1483), 1,
      anon_sym_DOT,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    STATE(553), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(97), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19714] = 4,
    ACTIONS(1553), 1,
      anon_sym_DOT,
    STATE(591), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(61), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_RPAREN,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [19756] = 2,
    ACTIONS(181), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(183), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19772] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(624), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19792] = 2,
    ACTIONS(1488), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [19808] = 2,
    ACTIONS(138), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19824] = 2,
    ACTIONS(165), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(167), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19840] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(138), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19858] = 4,
    ACTIONS(1558), 1,
      anon_sym_DOT,
    STATE(599), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(59), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19878] = 3,
    ACTIONS(1480), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19896] = 2,
    ACTIONS(165), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(167), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19912] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(629), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [19932] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(628), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [19952] = 2,
    ACTIONS(1563), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1561), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [19968] = 3,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [19986] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(635), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [20006] = 2,
    ACTIONS(130), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(132), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20022] = 2,
    ACTIONS(1567), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1565), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20038] = 2,
    ACTIONS(1571), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1569), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(362), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1573), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [20072] = 2,
    ACTIONS(1577), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1575), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20088] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(614), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1263), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(1265), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [20108] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(627), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1263), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(1265), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [20128] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(629), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(90), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(92), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [20148] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(629), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [20168] = 2,
    ACTIONS(134), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(136), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20184] = 2,
    ACTIONS(175), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(144), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20200] = 2,
    ACTIONS(130), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(132), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20216] = 2,
    ACTIONS(175), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(144), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20232] = 2,
    ACTIONS(146), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(148), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20248] = 2,
    ACTIONS(150), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(152), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20264] = 2,
    ACTIONS(1581), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1579), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20280] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(599), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [20300] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(599), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(90), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [20320] = 2,
    ACTIONS(1585), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1583), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20336] = 2,
    ACTIONS(1589), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1587), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20352] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(629), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(83), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(85), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [20372] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(599), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [20392] = 4,
    ACTIONS(1591), 1,
      anon_sym_DOT,
    STATE(629), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(59), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(61), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [20412] = 2,
    ACTIONS(134), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(136), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20428] = 2,
    ACTIONS(1596), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1594), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20444] = 2,
    ACTIONS(154), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(156), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20460] = 2,
    ACTIONS(154), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(156), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20476] = 3,
    ACTIONS(1506), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20494] = 4,
    ACTIONS(1598), 1,
      anon_sym_DOT,
    STATE(635), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(61), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(59), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [20514] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(599), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [20534] = 2,
    ACTIONS(165), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(167), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20550] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(635), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [20570] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(635), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(92), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(90), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [20590] = 2,
    ACTIONS(146), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(148), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20606] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(635), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(85), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(83), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [20626] = 2,
    ACTIONS(181), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(183), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20642] = 2,
    ACTIONS(130), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(132), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20658] = 2,
    ACTIONS(1603), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1601), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20674] = 3,
    ACTIONS(1522), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(99), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20692] = 2,
    ACTIONS(175), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(144), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20708] = 2,
    ACTIONS(134), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(136), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20724] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(138), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(141), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20742] = 2,
    ACTIONS(1607), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1605), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20758] = 2,
    ACTIONS(1611), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20774] = 3,
    ACTIONS(144), 1,
      anon_sym_LBRACK,
    ACTIONS(138), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20792] = 2,
    ACTIONS(1615), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1613), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20808] = 2,
    ACTIONS(1611), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20824] = 2,
    ACTIONS(1619), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1617), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20840] = 2,
    ACTIONS(1623), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20856] = 2,
    ACTIONS(1627), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1625), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20872] = 2,
    ACTIONS(146), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(148), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20888] = 2,
    ACTIONS(1623), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 9,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_foreach,
      sym_keyword_break,
      sym_keyword_continue,
  [20904] = 2,
    ACTIONS(181), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(183), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20920] = 2,
    ACTIONS(150), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(152), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20936] = 3,
    ACTIONS(1446), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(99), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20954] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(639), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [20974] = 3,
    ACTIONS(1541), 1,
      anon_sym_LBRACK,
    ACTIONS(97), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(99), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [20992] = 2,
    ACTIONS(138), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(141), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [21008] = 2,
    ACTIONS(138), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(141), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [21024] = 2,
    ACTIONS(150), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(152), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [21040] = 2,
    ACTIONS(154), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(156), 7,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [21056] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(641), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [21076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 5,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1476), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21145] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      anon_sym_SQUOTE,
    ACTIONS(1639), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(1643), 1,
      sym_identifier,
    STATE(662), 1,
      sym_normal_command,
    STATE(668), 1,
      sym_string,
    STATE(1130), 1,
      sym_listitem,
    STATE(796), 2,
      sym_list,
      sym_expression_statement,
  [21174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21191] = 4,
    STATE(675), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(1389), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1645), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1387), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [21210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1394), 1,
      anon_sym_LPAREN,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    ACTIONS(1650), 1,
      anon_sym_SLASH,
    STATE(638), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1648), 4,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_SLASH_EQ,
  [21235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1655), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21315] = 2,
    ACTIONS(205), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(207), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [21330] = 4,
    STATE(675), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [21349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21366] = 4,
    STATE(687), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1385), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1383), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [21385] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1662), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21433] = 4,
    STATE(687), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(1665), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1389), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1387), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [21452] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1668), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1023), 1,
      anon_sym_LPAREN,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    ACTIONS(1673), 1,
      anon_sym_SLASH,
    STATE(482), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1671), 4,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_SLASH_EQ,
  [21523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1675), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21552] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 1,
      anon_sym_EQ_EQ,
    ACTIONS(580), 1,
      anon_sym_BANG_EQ,
    ACTIONS(582), 1,
      anon_sym_GT_EQ,
    ACTIONS(584), 1,
      anon_sym_GT,
    ACTIONS(586), 1,
      anon_sym_LT,
    ACTIONS(1360), 1,
      anon_sym_not,
    ACTIONS(1362), 1,
      anon_sym_and,
    ACTIONS(1364), 1,
      anon_sym_or,
    ACTIONS(1366), 1,
      anon_sym_in,
  [21583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1265), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21602] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1678), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21631] = 4,
    STATE(738), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [21650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21667] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1685), 1,
      anon_sym_LBRACK,
    ACTIONS(1687), 1,
      sym_identifier,
    STATE(594), 1,
      sym_normal_command,
    STATE(603), 1,
      sym_string,
    STATE(1126), 1,
      sym_listitem,
    STATE(770), 2,
      sym_list,
      sym_expression_statement,
  [21696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1689), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21725] = 4,
    STATE(675), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1385), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [21744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21761] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_SQUOTE,
    ACTIONS(1694), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1696), 1,
      anon_sym_LBRACK,
    ACTIONS(1698), 1,
      sym_identifier,
    STATE(475), 1,
      sym_normal_command,
    STATE(476), 1,
      sym_string,
    STATE(1123), 1,
      sym_listitem,
    STATE(528), 2,
      sym_list,
      sym_expression_statement,
  [21790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21807] = 4,
    STATE(687), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [21826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1700), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1703), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21884] = 4,
    STATE(687), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [21903] = 2,
    ACTIONS(201), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(203), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [21918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1635), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [21952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1706), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [21981] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1709), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22010] = 4,
    STATE(687), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(213), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [22029] = 4,
    STATE(675), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [22048] = 4,
    STATE(675), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(189), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [22067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22084] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_EQ_EQ,
    ACTIONS(554), 1,
      anon_sym_BANG_EQ,
    ACTIONS(556), 1,
      anon_sym_GT_EQ,
    ACTIONS(558), 1,
      anon_sym_GT,
    ACTIONS(560), 1,
      anon_sym_LT,
    ACTIONS(1372), 1,
      anon_sym_not,
    ACTIONS(1374), 1,
      anon_sym_and,
    ACTIONS(1376), 1,
      anon_sym_or,
    ACTIONS(1378), 1,
      anon_sym_in,
  [22115] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1712), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 4,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
    ACTIONS(1717), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_number,
  [22161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1719), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22190] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1398), 1,
      anon_sym_LPAREN,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    ACTIONS(1727), 1,
      anon_sym_SLASH,
    STATE(615), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1725), 4,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_SLASH_EQ,
  [22244] = 4,
    STATE(738), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1385), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1383), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [22263] = 2,
    ACTIONS(201), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(203), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [22278] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1729), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22324] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 1,
      anon_sym_SQUOTE,
    ACTIONS(1734), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1738), 1,
      sym_identifier,
    STATE(612), 1,
      sym_normal_command,
    STATE(613), 1,
      sym_string,
    STATE(1078), 1,
      sym_listitem,
    STATE(763), 2,
      sym_list,
      sym_expression_statement,
  [22353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 4,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
    ACTIONS(1742), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym_number,
  [22387] = 2,
    ACTIONS(201), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
    ACTIONS(203), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [22402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1744), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(120), 1,
      anon_sym_LBRACK,
    ACTIONS(1747), 1,
      sym_identifier,
    STATE(686), 1,
      sym_normal_command,
    STATE(693), 1,
      sym_string,
    STATE(1161), 1,
      sym_listitem,
    STATE(834), 2,
      sym_list,
      sym_expression_statement,
  [22460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1749), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22489] = 4,
    STATE(738), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [22508] = 4,
    STATE(738), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(197), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1368), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [22527] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22590] = 4,
    STATE(738), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(1389), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1755), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1387), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [22609] = 2,
    ACTIONS(205), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(207), 5,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [22624] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    ACTIONS(1758), 1,
      anon_sym_RBRACK,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [22653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22670] = 2,
    ACTIONS(205), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(207), 6,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      anon_sym_DOT,
      sym_comment,
  [22685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1660), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1631), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 4,
      anon_sym_LPAREN,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_LBRACK,
      sym_number,
    ACTIONS(1763), 5,
      anon_sym_true,
      anon_sym_false,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_not,
  [22889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(1402), 1,
      anon_sym_LPAREN,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    ACTIONS(1767), 1,
      anon_sym_SLASH,
    STATE(623), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1765), 4,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_SLASH_EQ,
  [22914] = 4,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(614), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1422), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1420), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [22932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1385), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [22950] = 4,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(639), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1422), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1420), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [22968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [22986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(1769), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1389), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [23004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [23022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
  [23040] = 2,
    ACTIONS(1263), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(1265), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23054] = 2,
    ACTIONS(264), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(262), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_LPAREN,
    ACTIONS(630), 1,
      anon_sym_LBRACK,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1652), 1,
      anon_sym_COMMA,
    STATE(279), 1,
      aux_sym_expression_statement_repeat1,
    STATE(757), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23094] = 2,
    ACTIONS(340), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(338), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23108] = 2,
    ACTIONS(344), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(342), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23122] = 2,
    ACTIONS(348), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(346), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23136] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1772), 1,
      anon_sym_EQ_EQ,
    ACTIONS(1774), 1,
      anon_sym_BANG_EQ,
    ACTIONS(1776), 1,
      anon_sym_GT_EQ,
    ACTIONS(1778), 1,
      anon_sym_GT,
    ACTIONS(1780), 1,
      anon_sym_LT,
    ACTIONS(1782), 1,
      anon_sym_and,
    ACTIONS(1784), 1,
      anon_sym_or,
    ACTIONS(1786), 1,
      anon_sym_in,
  [23164] = 2,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23178] = 2,
    ACTIONS(304), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(302), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23192] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23206] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23220] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23234] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23248] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23262] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23276] = 2,
    ACTIONS(304), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(302), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23290] = 4,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(624), 1,
      aux_sym_expression_statement_repeat1,
    ACTIONS(1422), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1420), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23308] = 2,
    ACTIONS(264), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(262), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23322] = 2,
    ACTIONS(340), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(338), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23336] = 2,
    ACTIONS(344), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(342), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23350] = 2,
    ACTIONS(348), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(346), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23364] = 2,
    ACTIONS(304), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(302), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23378] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23392] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23406] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23420] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23434] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23448] = 2,
    ACTIONS(304), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(302), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 1,
      anon_sym_EQ_EQ,
    ACTIONS(1790), 1,
      anon_sym_BANG_EQ,
    ACTIONS(1792), 1,
      anon_sym_GT_EQ,
    ACTIONS(1794), 1,
      anon_sym_GT,
    ACTIONS(1796), 1,
      anon_sym_LT,
    ACTIONS(1798), 1,
      anon_sym_and,
    ACTIONS(1800), 1,
      anon_sym_or,
    ACTIONS(1802), 1,
      anon_sym_in,
  [23490] = 2,
    ACTIONS(262), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(264), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23504] = 2,
    ACTIONS(338), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(340), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23518] = 2,
    ACTIONS(342), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(344), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23532] = 2,
    ACTIONS(346), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(348), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23546] = 2,
    ACTIONS(1265), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(1263), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23560] = 2,
    ACTIONS(302), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(304), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23574] = 2,
    ACTIONS(294), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23588] = 2,
    ACTIONS(294), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23602] = 2,
    ACTIONS(294), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23616] = 2,
    ACTIONS(294), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23630] = 2,
    ACTIONS(294), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23644] = 2,
    ACTIONS(294), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(296), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23658] = 2,
    ACTIONS(302), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
    ACTIONS(304), 5,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
  [23672] = 2,
    ACTIONS(296), 4,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_SLASH,
      anon_sym_PLUS,
      sym_comment,
    ACTIONS(294), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [23686] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1810), 1,
      sym_identifier,
    STATE(552), 1,
      sym_listitem,
    STATE(590), 1,
      sym_normal_command,
    STATE(605), 1,
      sym_expression_statement,
    STATE(1132), 1,
      sym_string,
  [23734] = 3,
    ACTIONS(1812), 1,
      anon_sym_QMARK,
    ACTIONS(1488), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [23749] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1814), 1,
      sym_identifier,
    STATE(98), 1,
      sym_normal_command,
    STATE(99), 1,
      sym_listitem,
    STATE(160), 1,
      sym_expression_statement,
    STATE(1099), 1,
      sym_string,
  [23774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1816), 1,
      sym_identifier,
    STATE(204), 1,
      sym_listitem,
    STATE(216), 1,
      sym_normal_command,
    STATE(277), 1,
      sym_expression_statement,
    STATE(1140), 1,
      sym_string,
  [23799] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23845] = 3,
    ACTIONS(1821), 1,
      anon_sym_QMARK,
    ACTIONS(1488), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [23860] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1823), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23929] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1829), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23952] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1832), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [23975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1835), 1,
      sym_identifier,
    STATE(447), 1,
      sym_normal_command,
    STATE(449), 1,
      sym_listitem,
    STATE(487), 1,
      sym_expression_statement,
    STATE(1119), 1,
      sym_string,
  [24000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1823), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24069] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24092] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1843), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1846), 1,
      sym_identifier,
    STATE(567), 1,
      sym_normal_command,
    STATE(568), 1,
      sym_listitem,
    STATE(634), 1,
      sym_expression_statement,
    STATE(1162), 1,
      sym_string,
  [24140] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1848), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24186] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1848), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24209] = 3,
    ACTIONS(1851), 1,
      anon_sym_QMARK,
    ACTIONS(1488), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [24224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1853), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1856), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24270] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1859), 1,
      sym_identifier,
    STATE(14), 1,
      sym_normal_command,
    STATE(15), 1,
      sym_listitem,
    STATE(30), 1,
      sym_expression_statement,
    STATE(1129), 1,
      sym_string,
  [24295] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1861), 1,
      sym_identifier,
    STATE(558), 1,
      sym_normal_command,
    STATE(562), 1,
      sym_listitem,
    STATE(600), 1,
      sym_expression_statement,
    STATE(1132), 1,
      sym_string,
  [24320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1863), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1866), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24379] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1869), 1,
      sym_identifier,
    STATE(8), 1,
      sym_listitem,
    STATE(13), 1,
      sym_normal_command,
    STATE(28), 1,
      sym_expression_statement,
    STATE(1129), 1,
      sym_string,
  [24404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1871), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1874), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24450] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1877), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24473] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1880), 1,
      sym_identifier,
    STATE(197), 1,
      sym_normal_command,
    STATE(209), 1,
      sym_listitem,
    STATE(272), 1,
      sym_expression_statement,
    STATE(1140), 1,
      sym_string,
  [24498] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1882), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24521] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1885), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24544] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1888), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1891), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24590] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1891), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1897), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1900), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1903), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24705] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1866), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24728] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1906), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1909), 1,
      anon_sym_RBRACK,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [24774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1912), 1,
      sym_identifier,
    STATE(105), 1,
      sym_normal_command,
    STATE(106), 1,
      sym_listitem,
    STATE(152), 1,
      sym_expression_statement,
    STATE(1099), 1,
      sym_string,
  [24799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1914), 1,
      sym_identifier,
    STATE(462), 1,
      sym_normal_command,
    STATE(463), 1,
      sym_listitem,
    STATE(502), 1,
      sym_expression_statement,
    STATE(1119), 1,
      sym_string,
  [24824] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1916), 1,
      sym_identifier,
    STATE(575), 1,
      sym_normal_command,
    STATE(577), 1,
      sym_listitem,
    STATE(645), 1,
      sym_expression_statement,
    STATE(1125), 1,
      sym_string,
  [24849] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1918), 1,
      sym_identifier,
    STATE(107), 1,
      sym_normal_command,
    STATE(108), 1,
      sym_listitem,
    STATE(161), 1,
      sym_expression_statement,
    STATE(1128), 1,
      sym_string,
  [24874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1920), 1,
      sym_identifier,
    STATE(585), 1,
      sym_normal_command,
    STATE(586), 1,
      sym_listitem,
    STATE(663), 1,
      sym_expression_statement,
    STATE(1162), 1,
      sym_string,
  [24899] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1922), 1,
      sym_identifier,
    STATE(109), 1,
      sym_normal_command,
    STATE(110), 1,
      sym_listitem,
    STATE(169), 1,
      sym_expression_statement,
    STATE(1131), 1,
      sym_string,
  [24924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1924), 1,
      sym_identifier,
    STATE(550), 1,
      sym_normal_command,
    STATE(551), 1,
      sym_listitem,
    STATE(661), 1,
      sym_expression_statement,
    STATE(1125), 1,
      sym_string,
  [24949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1926), 1,
      sym_identifier,
    STATE(115), 1,
      sym_normal_command,
    STATE(116), 1,
      sym_listitem,
    STATE(177), 1,
      sym_expression_statement,
    STATE(1128), 1,
      sym_string,
  [24974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1928), 1,
      sym_identifier,
    STATE(120), 1,
      sym_normal_command,
    STATE(121), 1,
      sym_listitem,
    STATE(182), 1,
      sym_expression_statement,
    STATE(1131), 1,
      sym_string,
  [24999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1863), 1,
      anon_sym_RBRACK,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [25022] = 2,
    ACTIONS(1623), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25034] = 2,
    ACTIONS(1567), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1565), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25046] = 5,
    ACTIONS(1930), 1,
      anon_sym_SQUOTE,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1932), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(964), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25064] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25082] = 2,
    ACTIONS(1571), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1569), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25094] = 2,
    ACTIONS(1596), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1594), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25106] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1944), 1,
      anon_sym_SQUOTE,
    ACTIONS(1946), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(953), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25124] = 2,
    ACTIONS(1619), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1617), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25136] = 2,
    ACTIONS(1589), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1587), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25148] = 2,
    ACTIONS(1627), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1625), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25160] = 2,
    ACTIONS(1623), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25172] = 2,
    ACTIONS(1577), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1575), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25184] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1948), 1,
      anon_sym_SQUOTE,
    ACTIONS(1950), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(883), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25202] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1952), 1,
      anon_sym_SQUOTE,
    ACTIONS(1954), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(879), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25220] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1952), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1956), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(880), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25238] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1958), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25256] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1958), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25274] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1948), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1962), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(884), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1964), 1,
      anon_sym_endif,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    STATE(1232), 1,
      sym_else_command,
    STATE(900), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [25312] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25330] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1970), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25348] = 2,
    ACTIONS(1581), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1579), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25360] = 2,
    ACTIONS(1596), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1594), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25372] = 2,
    ACTIONS(1607), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1605), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25384] = 2,
    ACTIONS(1611), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25396] = 2,
    ACTIONS(1607), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1605), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25408] = 2,
    ACTIONS(1585), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1583), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25420] = 2,
    ACTIONS(1615), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1613), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25432] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1972), 1,
      anon_sym_SQUOTE,
    ACTIONS(1974), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(894), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25450] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1972), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1976), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(895), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25468] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1978), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25486] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1978), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(1980), 1,
      anon_sym_endif,
    STATE(1185), 1,
      sym_else_command,
    STATE(935), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [25524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(1982), 1,
      anon_sym_endif,
    STATE(1255), 1,
      sym_else_command,
    STATE(1009), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [25544] = 2,
    ACTIONS(1611), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25556] = 2,
    ACTIONS(1488), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(1984), 1,
      anon_sym_endif,
    STATE(1231), 1,
      sym_else_command,
    STATE(1009), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [25588] = 2,
    ACTIONS(1619), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1617), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25600] = 2,
    ACTIONS(1611), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25612] = 2,
    ACTIONS(1589), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1587), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25624] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1986), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25642] = 2,
    ACTIONS(1623), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25654] = 2,
    ACTIONS(1571), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1569), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25666] = 2,
    ACTIONS(1627), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1625), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25678] = 2,
    ACTIONS(1623), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25690] = 2,
    ACTIONS(1581), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1579), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25702] = 2,
    ACTIONS(1603), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1601), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25714] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1988), 1,
      anon_sym_SQUOTE,
    ACTIONS(1990), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(913), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25732] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1988), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1992), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(914), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25750] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25768] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1994), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25786] = 2,
    ACTIONS(1581), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1579), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [25798] = 2,
    ACTIONS(1567), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1565), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25810] = 5,
    ACTIONS(1930), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1996), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(904), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25828] = 2,
    ACTIONS(1563), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1561), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25840] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1998), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2000), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(923), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25858] = 2,
    ACTIONS(1488), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(2002), 1,
      anon_sym_endif,
    STATE(1167), 1,
      sym_else_command,
    STATE(937), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [25890] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25908] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(2004), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [25926] = 2,
    ACTIONS(1571), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1569), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25938] = 2,
    ACTIONS(1603), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1601), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25950] = 2,
    ACTIONS(1615), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1613), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [25962] = 2,
    ACTIONS(1585), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1583), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [25974] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_SQUOTE,
    ACTIONS(2008), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(930), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [25992] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2010), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(931), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [26010] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26028] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(2012), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [26046] = 2,
    ACTIONS(1589), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1587), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26058] = 2,
    ACTIONS(1611), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26070] = 2,
    ACTIONS(1488), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1486), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [26082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(2014), 1,
      anon_sym_endif,
    STATE(1191), 1,
      sym_else_command,
    STATE(1009), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [26102] = 2,
    ACTIONS(1619), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1617), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(2016), 1,
      anon_sym_endif,
    STATE(1203), 1,
      sym_else_command,
    STATE(1009), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [26134] = 2,
    ACTIONS(1623), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26146] = 2,
    ACTIONS(1627), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1625), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26158] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(1944), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2018), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(867), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [26176] = 2,
    ACTIONS(1596), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1594), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26188] = 2,
    ACTIONS(1607), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1605), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26200] = 2,
    ACTIONS(1611), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26212] = 2,
    ACTIONS(1615), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1613), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_elif,
    ACTIONS(1968), 1,
      anon_sym_else,
    ACTIONS(2020), 1,
      anon_sym_endif,
    STATE(1173), 1,
      sym_else_command,
    STATE(897), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [26244] = 2,
    ACTIONS(1567), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1565), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26256] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_SQUOTE,
    ACTIONS(2024), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(950), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26274] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(2022), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2026), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(951), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [26292] = 2,
    ACTIONS(1563), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1561), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [26304] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2028), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26322] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1942), 1,
      anon_sym_AT,
    ACTIONS(2028), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1940), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [26340] = 2,
    ACTIONS(1623), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1621), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26352] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    STATE(287), 1,
      aux_sym_expression_statement_repeat1,
    STATE(759), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26390] = 2,
    ACTIONS(1611), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1609), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26402] = 2,
    ACTIONS(1563), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1561), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    STATE(290), 1,
      aux_sym_expression_statement_repeat1,
    STATE(761), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26434] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2030), 1,
      anon_sym_SQUOTE,
    ACTIONS(2035), 1,
      anon_sym_AT,
    ACTIONS(2032), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26452] = 2,
    ACTIONS(1585), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1583), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26464] = 2,
    ACTIONS(1577), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1575), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_endif,
      anon_sym_if,
      anon_sym_foreach,
  [26476] = 2,
    ACTIONS(1603), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1601), 5,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
      anon_sym_endforeach,
  [26488] = 2,
    ACTIONS(1577), 3,
      ts_builtin_sym_end,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      sym_comment,
    ACTIONS(1575), 4,
      anon_sym_SQUOTE,
      sym_identifier,
      anon_sym_if,
      anon_sym_foreach,
  [26500] = 5,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2043), 1,
      anon_sym_AT,
    ACTIONS(2040), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
    STATE(963), 2,
      sym_formatunit,
      aux_sym_string_repeat2,
  [26518] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1986), 1,
      anon_sym_SQUOTE,
    ACTIONS(1960), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(958), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26536] = 5,
    ACTIONS(1934), 1,
      anon_sym_AT,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(1998), 1,
      anon_sym_SQUOTE,
    ACTIONS(2046), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
    STATE(922), 2,
      sym_formatunit,
      aux_sym_string_repeat1,
  [26554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2048), 1,
      sym_identifier,
    STATE(343), 1,
      sym_list,
    STATE(372), 1,
      sym_dictionaries,
  [26573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2050), 1,
      sym_identifier,
    ACTIONS(2052), 1,
      sym_number,
    STATE(1204), 1,
      sym_string,
  [26592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2057), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2060), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26643] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2063), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26660] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2066), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2069), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2072), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2075), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2078), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1823), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2081), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26796] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2084), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1253), 1,
      sym_string,
    ACTIONS(2087), 2,
      sym_identifier,
      sym_number,
  [26830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2089), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2092), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(760), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
    ACTIONS(1370), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [26879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1866), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2095), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1848), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2098), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2101), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2104), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26981] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1826), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [26998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2107), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1863), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2110), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2113), 1,
      sym_identifier,
    STATE(377), 1,
      sym_list,
    STATE(380), 1,
      sym_dictionaries,
  [27068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2115), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2118), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27102] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2121), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27119] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2124), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2087), 1,
      sym_identifier,
    ACTIONS(2127), 1,
      sym_number,
    STATE(1253), 1,
      sym_string,
  [27155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1891), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2129), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27189] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(2132), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2135), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    ACTIONS(1807), 1,
      anon_sym_RBRACK,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2138), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1164), 1,
      sym_string,
    ACTIONS(2141), 2,
      sym_identifier,
      sym_number,
  [27274] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2143), 1,
      sym_identifier,
    STATE(367), 1,
      sym_list,
    STATE(368), 1,
      sym_dictionaries,
  [27293] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_elif,
    ACTIONS(2145), 2,
      anon_sym_endif,
      anon_sym_else,
    STATE(1009), 2,
      sym_elseif_command,
      aux_sym_if_condition_repeat1,
  [27308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      sym_number,
    STATE(1164), 1,
      sym_string,
  [27327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2152), 1,
      sym_identifier,
    STATE(417), 1,
      sym_dictionaries,
    STATE(419), 1,
      sym_list,
  [27346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2087), 1,
      sym_identifier,
    ACTIONS(2154), 1,
      sym_number,
    STATE(1253), 1,
      sym_string,
  [27365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1259), 1,
      sym_string,
    ACTIONS(2156), 2,
      sym_identifier,
      sym_number,
  [27382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2158), 1,
      sym_identifier,
    STATE(382), 1,
      sym_list,
    STATE(383), 1,
      sym_dictionaries,
  [27401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2156), 1,
      sym_identifier,
    ACTIONS(2160), 1,
      sym_number,
    STATE(1259), 1,
      sym_string,
  [27420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2162), 1,
      sym_identifier,
    STATE(388), 1,
      sym_list,
    STATE(425), 1,
      sym_dictionaries,
  [27439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1209), 1,
      sym_string,
    ACTIONS(2164), 2,
      sym_identifier,
      sym_number,
  [27456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2166), 1,
      sym_identifier,
    ACTIONS(2168), 1,
      sym_number,
    STATE(1168), 1,
      sym_string,
  [27475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2170), 1,
      sym_identifier,
    STATE(396), 1,
      sym_list,
    STATE(397), 1,
      sym_dictionaries,
  [27494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2166), 1,
      sym_identifier,
    ACTIONS(2172), 1,
      sym_number,
    STATE(1168), 1,
      sym_string,
  [27513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(406), 1,
      anon_sym_LBRACE,
    ACTIONS(1641), 1,
      anon_sym_LBRACK,
    ACTIONS(2174), 1,
      sym_identifier,
    STATE(401), 1,
      sym_dictionaries,
    STATE(402), 1,
      sym_list,
  [27532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    STATE(1204), 1,
      sym_string,
    ACTIONS(2050), 2,
      sym_identifier,
      sym_number,
  [27549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2176), 1,
      sym_identifier,
    ACTIONS(2178), 1,
      sym_number,
    STATE(1179), 1,
      sym_string,
  [27568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2180), 1,
      sym_identifier,
    ACTIONS(2182), 1,
      sym_number,
    STATE(1224), 1,
      sym_string,
  [27587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2141), 1,
      sym_identifier,
    ACTIONS(2184), 1,
      sym_number,
    STATE(1164), 1,
      sym_string,
  [27606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2156), 1,
      sym_identifier,
    ACTIONS(2186), 1,
      sym_number,
    STATE(1259), 1,
      sym_string,
  [27625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2176), 1,
      sym_identifier,
    ACTIONS(2188), 1,
      sym_number,
    STATE(1179), 1,
      sym_string,
  [27644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2190), 1,
      sym_identifier,
    ACTIONS(2192), 1,
      sym_number,
    STATE(1189), 1,
      sym_string,
  [27663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2164), 1,
      sym_identifier,
    ACTIONS(2194), 1,
      sym_number,
    STATE(1209), 1,
      sym_string,
  [27682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2180), 1,
      sym_identifier,
    ACTIONS(2196), 1,
      sym_number,
    STATE(1224), 1,
      sym_string,
  [27701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2050), 1,
      sym_identifier,
    ACTIONS(2198), 1,
      sym_number,
    STATE(1204), 1,
      sym_string,
  [27720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2190), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      sym_number,
    STATE(1189), 1,
      sym_string,
  [27739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SQUOTE,
    ACTIONS(9), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(2164), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      sym_number,
    STATE(1209), 1,
      sym_string,
  [27758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    ACTIONS(2204), 1,
      anon_sym_RBRACK,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_COMMA,
    STATE(984), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27789] = 3,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2207), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_AT,
    ACTIONS(2209), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [27801] = 3,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2211), 2,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_AT,
    ACTIONS(2213), 2,
      aux_sym_string_token2,
      sym_escape_sequence,
  [27813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1804), 1,
      anon_sym_COMMA,
    STATE(762), 1,
      aux_sym_variableunit_repeat1,
    ACTIONS(632), 2,
      anon_sym_SLASH,
      anon_sym_PLUS,
  [27827] = 3,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2211), 2,
      anon_sym_SQUOTE,
      anon_sym_AT,
    ACTIONS(2213), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [27839] = 3,
    ACTIONS(1936), 1,
      sym_comment,
    ACTIONS(2207), 2,
      anon_sym_SQUOTE,
      anon_sym_AT,
    ACTIONS(2209), 2,
      aux_sym_string_token1,
      sym_escape_sequence,
  [27851] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_COMMA,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
  [27864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2221), 1,
      anon_sym_COMMA,
    ACTIONS(2223), 1,
      anon_sym_RPAREN,
  [27877] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 1,
      anon_sym_COMMA,
    ACTIONS(2228), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      aux_sym_foreach_command_repeat1,
  [27890] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2230), 1,
      anon_sym_COMMA,
  [27903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2232), 1,
      anon_sym_COMMA,
  [27916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
  [27925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [27934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    ACTIONS(2238), 1,
      anon_sym_RPAREN,
  [27947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2242), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      aux_sym_foreach_command_repeat1,
  [27960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
  [27973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2246), 1,
      anon_sym_COMMA,
  [27986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2248), 1,
      anon_sym_COMMA,
  [27999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2250), 1,
      anon_sym_COMMA,
  [28012] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2252), 1,
      anon_sym_COMMA,
    ACTIONS(2254), 1,
      anon_sym_RPAREN,
  [28025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [28034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1603), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [28043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
  [28052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2258), 1,
      anon_sym_COMMA,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
  [28065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2262), 1,
      anon_sym_COMMA,
  [28078] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2264), 1,
      anon_sym_COMMA,
  [28091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2266), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
  [28100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2268), 1,
      anon_sym_COMMA,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
  [28113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2272), 1,
      anon_sym_COMMA,
    ACTIONS(2274), 1,
      anon_sym_RPAREN,
  [28126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 3,
      anon_sym_endif,
      anon_sym_elif,
      anon_sym_else,
  [28135] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
  [28148] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2280), 1,
      anon_sym_COLON,
    STATE(1049), 1,
      aux_sym_foreach_command_repeat1,
  [28161] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2282), 1,
      anon_sym_COMMA,
    ACTIONS(2284), 1,
      anon_sym_RPAREN,
  [28174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2286), 1,
      anon_sym_COMMA,
    ACTIONS(2288), 1,
      anon_sym_RPAREN,
  [28187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2290), 1,
      anon_sym_COLON,
    STATE(1070), 1,
      aux_sym_foreach_command_repeat1,
  [28200] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2292), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      aux_sym_foreach_command_repeat1,
  [28213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2294), 1,
      anon_sym_COLON,
    STATE(1072), 1,
      aux_sym_foreach_command_repeat1,
  [28226] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2296), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      aux_sym_foreach_command_repeat1,
  [28239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [28248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2300), 1,
      anon_sym_COLON,
    STATE(1075), 1,
      aux_sym_foreach_command_repeat1,
  [28261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    ACTIONS(2302), 1,
      anon_sym_COLON,
    STATE(1043), 1,
      aux_sym_foreach_command_repeat1,
  [28274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_RPAREN,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2304), 1,
      anon_sym_COMMA,
  [28287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
    ACTIONS(2308), 1,
      anon_sym_RBRACE,
  [28297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(602), 1,
      aux_sym_expression_statement_repeat1,
  [28307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_RBRACE,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
  [28317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2310), 1,
      anon_sym_RBRACK,
  [28327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(484), 1,
      aux_sym_expression_statement_repeat1,
  [28337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_COMMA,
    ACTIONS(2284), 1,
      anon_sym_RPAREN,
  [28347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2312), 1,
      anon_sym_RBRACK,
  [28357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2314), 1,
      anon_sym_RBRACK,
  [28367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2316), 1,
      anon_sym_RBRACK,
  [28377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 1,
      anon_sym_COMMA,
    ACTIONS(2288), 1,
      anon_sym_RPAREN,
  [28387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2318), 1,
      anon_sym_RBRACK,
  [28397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(332), 1,
      anon_sym_RBRACE,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
  [28407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2320), 1,
      anon_sym_RBRACK,
  [28417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_RPAREN,
    ACTIONS(2230), 1,
      anon_sym_COMMA,
  [28427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2322), 1,
      anon_sym_RBRACK,
  [28437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    ACTIONS(2250), 1,
      anon_sym_COMMA,
  [28447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2324), 1,
      anon_sym_RBRACK,
  [28457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_RPAREN,
    ACTIONS(2248), 1,
      anon_sym_COMMA,
  [28467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2326), 1,
      anon_sym_RBRACK,
  [28477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_RPAREN,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
  [28487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_RBRACK,
  [28497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2330), 1,
      anon_sym_RBRACK,
  [28507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    STATE(104), 1,
      aux_sym_expression_statement_repeat1,
  [28517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2334), 1,
      anon_sym_RBRACK,
  [28527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2336), 1,
      anon_sym_RBRACK,
  [28537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_COMMA,
    ACTIONS(2217), 1,
      anon_sym_RPAREN,
  [28547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 1,
      anon_sym_RBRACK,
  [28557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2340), 1,
      anon_sym_RBRACK,
  [28567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 1,
      anon_sym_DOT,
    STATE(627), 1,
      aux_sym_expression_statement_repeat1,
  [28577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2342), 1,
      anon_sym_RBRACK,
  [28587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2344), 1,
      anon_sym_RBRACK,
  [28597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_COMMA,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
  [28607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_RBRACE,
  [28617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_RPAREN,
    ACTIONS(2262), 1,
      anon_sym_COMMA,
  [28627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2348), 1,
      anon_sym_RBRACK,
  [28637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2350), 1,
      anon_sym_RBRACK,
  [28647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_RPAREN,
    ACTIONS(2264), 1,
      anon_sym_COMMA,
  [28657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2352), 1,
      anon_sym_RBRACK,
  [28667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2354), 1,
      anon_sym_RBRACK,
  [28677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2356), 1,
      anon_sym_RBRACK,
  [28687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2358), 1,
      anon_sym_RBRACK,
  [28697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2360), 1,
      anon_sym_RBRACK,
  [28707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_DOT,
    STATE(459), 1,
      aux_sym_expression_statement_repeat1,
  [28717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(641), 1,
      aux_sym_expression_statement_repeat1,
  [28727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2364), 1,
      anon_sym_RBRACK,
  [28737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2366), 1,
      anon_sym_RBRACK,
  [28747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1110), 1,
      anon_sym_DOT,
    STATE(506), 1,
      aux_sym_expression_statement_repeat1,
  [28757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2368), 1,
      anon_sym_RBRACK,
  [28767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_DOT,
    STATE(549), 1,
      aux_sym_expression_statement_repeat1,
  [28777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(636), 1,
      aux_sym_expression_statement_repeat1,
  [28787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2372), 1,
      anon_sym_RBRACK,
  [28797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_DOT,
    STATE(114), 1,
      aux_sym_expression_statement_repeat1,
  [28807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_DOT,
    STATE(12), 1,
      aux_sym_expression_statement_repeat1,
  [28817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      anon_sym_DOT,
    STATE(606), 1,
      aux_sym_expression_statement_repeat1,
  [28827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_DOT,
    STATE(119), 1,
      aux_sym_expression_statement_repeat1,
  [28837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      anon_sym_DOT,
    STATE(555), 1,
      aux_sym_expression_statement_repeat1,
  [28847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 1,
      sym_identifier,
    ACTIONS(2384), 1,
      sym_number,
  [28857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2386), 1,
      anon_sym_RBRACK,
  [28867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_RPAREN,
    ACTIONS(2232), 1,
      anon_sym_COMMA,
  [28877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2388), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [28885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2390), 1,
      anon_sym_RBRACK,
  [28895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_RPAREN,
    ACTIONS(2246), 1,
      anon_sym_COMMA,
  [28905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(326), 1,
      anon_sym_RBRACE,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
  [28915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 1,
      anon_sym_DOT,
    STATE(211), 1,
      aux_sym_expression_statement_repeat1,
  [28925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(336), 1,
      anon_sym_RBRACE,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
  [28935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_DOT,
    STATE(628), 1,
      aux_sym_expression_statement_repeat1,
  [28945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
    ACTIONS(2394), 1,
      anon_sym_RBRACE,
  [28955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
    ACTIONS(2396), 1,
      anon_sym_COMMA,
  [28965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      sym_identifier,
    ACTIONS(2400), 1,
      sym_number,
  [28975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_COMMA,
    ACTIONS(2238), 1,
      anon_sym_RPAREN,
  [28985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2402), 1,
      anon_sym_RBRACK,
  [28995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2404), 1,
      anon_sym_RBRACK,
  [29005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2406), 1,
      anon_sym_RBRACK,
  [29015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
    ACTIONS(2408), 1,
      anon_sym_RBRACE,
  [29025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      anon_sym_COMMA,
    ACTIONS(2274), 1,
      anon_sym_RPAREN,
  [29035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(328), 1,
      anon_sym_RBRACE,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
  [29045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2221), 1,
      anon_sym_COMMA,
    ACTIONS(2223), 1,
      anon_sym_RPAREN,
  [29055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_RPAREN,
    ACTIONS(2304), 1,
      anon_sym_COMMA,
  [29065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 1,
      anon_sym_COMMA,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
  [29075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2410), 1,
      anon_sym_RBRACK,
  [29085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 1,
      anon_sym_RBRACK,
  [29095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_COMMA,
    ACTIONS(2254), 1,
      anon_sym_RPAREN,
  [29105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
    ACTIONS(2414), 1,
      anon_sym_RBRACK,
  [29115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
    ACTIONS(2416), 1,
      anon_sym_RBRACE,
  [29125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_DOT,
    STATE(228), 1,
      aux_sym_expression_statement_repeat1,
  [29135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_DOT,
    STATE(546), 1,
      aux_sym_expression_statement_repeat1,
  [29145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_RBRACK,
  [29152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_RBRACK,
  [29159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
  [29166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_RBRACK,
  [29173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2016), 1,
      anon_sym_endif,
  [29180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_RBRACK,
  [29187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_RBRACK,
  [29194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      anon_sym_RPAREN,
  [29201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_AT,
  [29208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_RBRACK,
  [29215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 1,
      anon_sym_endif,
  [29222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_RPAREN,
  [29229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_RBRACK,
  [29236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      anon_sym_RBRACK,
  [29243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      sym_identifier,
  [29250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_RBRACK,
  [29257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2448), 1,
      anon_sym_RBRACK,
  [29264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_RBRACK,
  [29271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_RBRACK,
  [29278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 1,
      anon_sym_RBRACK,
  [29285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 1,
      anon_sym_RBRACK,
  [29292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2458), 1,
      anon_sym_RBRACK,
  [29299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_endif,
  [29306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_COMMA,
  [29313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 1,
      anon_sym_RBRACK,
  [29320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_RBRACK,
  [29327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_RBRACK,
  [29334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2466), 1,
      sym_identifier,
  [29341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_endif,
  [29348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_RBRACK,
  [29355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_RBRACK,
  [29362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_RBRACK,
  [29369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      sym_number,
  [29376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2478), 1,
      sym_number,
  [29383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 1,
      anon_sym_AT,
  [29390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 1,
      anon_sym_COLON,
  [29397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_RBRACK,
  [29404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_RBRACK,
  [29411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_RBRACK,
  [29418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_RBRACK,
  [29425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 1,
      anon_sym_endif,
  [29432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_RBRACK,
  [29439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_COMMA,
  [29446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      anon_sym_RPAREN,
  [29453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_RBRACK,
  [29460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_RBRACK,
  [29467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_RBRACK,
  [29474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_RBRACK,
  [29481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_COLON,
  [29488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_RBRACK,
  [29495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 1,
      sym_number,
  [29502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 1,
      sym_number,
  [29509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      anon_sym_RBRACK,
  [29516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_COLON,
  [29523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_RBRACK,
  [29530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_COLON,
  [29537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_COMMA,
  [29544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_RBRACK,
  [29551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      anon_sym_RBRACK,
  [29558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      sym_number,
  [29565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      sym_number,
  [29572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_RBRACK,
  [29579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_RBRACK,
  [29586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_RBRACK,
  [29593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      anon_sym_RPAREN,
  [29600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_RBRACK,
  [29607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 1,
      sym_number,
  [29614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      sym_number,
  [29621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_endif,
  [29628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_endif,
  [29635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      sym_number,
  [29642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      sym_number,
  [29649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_COLON,
  [29656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_RBRACK,
  [29663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      sym_number,
  [29670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      sym_number,
  [29677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      anon_sym_AT,
  [29684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_RBRACK,
  [29691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      sym_number,
  [29698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      sym_number,
  [29705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 1,
      anon_sym_AT,
  [29712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_RBRACK,
  [29719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      sym_number,
  [29726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym_number,
  [29733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      ts_builtin_sym_end,
  [29740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_RBRACK,
  [29747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_RBRACK,
  [29754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_RBRACK,
  [29761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_RBRACK,
  [29768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      sym_number,
  [29775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_RBRACK,
  [29782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_RBRACK,
  [29789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_endif,
  [29796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_RBRACK,
  [29803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_RBRACK,
  [29810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_RBRACK,
  [29817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_RBRACK,
  [29824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_RBRACK,
  [29831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 1,
      sym_number,
  [29838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      sym_identifier,
  [29845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      sym_identifier,
  [29852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      sym_identifier,
  [29859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_RBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 49,
  [SMALL_STATE(4)] = 89,
  [SMALL_STATE(5)] = 129,
  [SMALL_STATE(6)] = 172,
  [SMALL_STATE(7)] = 207,
  [SMALL_STATE(8)] = 250,
  [SMALL_STATE(9)] = 287,
  [SMALL_STATE(10)] = 322,
  [SMALL_STATE(11)] = 357,
  [SMALL_STATE(12)] = 392,
  [SMALL_STATE(13)] = 427,
  [SMALL_STATE(14)] = 464,
  [SMALL_STATE(15)] = 501,
  [SMALL_STATE(16)] = 538,
  [SMALL_STATE(17)] = 604,
  [SMALL_STATE(18)] = 670,
  [SMALL_STATE(19)] = 700,
  [SMALL_STATE(20)] = 730,
  [SMALL_STATE(21)] = 762,
  [SMALL_STATE(22)] = 792,
  [SMALL_STATE(23)] = 822,
  [SMALL_STATE(24)] = 856,
  [SMALL_STATE(25)] = 890,
  [SMALL_STATE(26)] = 924,
  [SMALL_STATE(27)] = 954,
  [SMALL_STATE(28)] = 992,
  [SMALL_STATE(29)] = 1024,
  [SMALL_STATE(30)] = 1058,
  [SMALL_STATE(31)] = 1090,
  [SMALL_STATE(32)] = 1124,
  [SMALL_STATE(33)] = 1154,
  [SMALL_STATE(34)] = 1220,
  [SMALL_STATE(35)] = 1286,
  [SMALL_STATE(36)] = 1316,
  [SMALL_STATE(37)] = 1382,
  [SMALL_STATE(38)] = 1448,
  [SMALL_STATE(39)] = 1514,
  [SMALL_STATE(40)] = 1544,
  [SMALL_STATE(41)] = 1610,
  [SMALL_STATE(42)] = 1676,
  [SMALL_STATE(43)] = 1706,
  [SMALL_STATE(44)] = 1769,
  [SMALL_STATE(45)] = 1832,
  [SMALL_STATE(46)] = 1877,
  [SMALL_STATE(47)] = 1922,
  [SMALL_STATE(48)] = 1951,
  [SMALL_STATE(49)] = 1980,
  [SMALL_STATE(50)] = 2043,
  [SMALL_STATE(51)] = 2088,
  [SMALL_STATE(52)] = 2125,
  [SMALL_STATE(53)] = 2188,
  [SMALL_STATE(54)] = 2251,
  [SMALL_STATE(55)] = 2314,
  [SMALL_STATE(56)] = 2377,
  [SMALL_STATE(57)] = 2440,
  [SMALL_STATE(58)] = 2503,
  [SMALL_STATE(59)] = 2566,
  [SMALL_STATE(60)] = 2628,
  [SMALL_STATE(61)] = 2656,
  [SMALL_STATE(62)] = 2692,
  [SMALL_STATE(63)] = 2728,
  [SMALL_STATE(64)] = 2764,
  [SMALL_STATE(65)] = 2800,
  [SMALL_STATE(66)] = 2836,
  [SMALL_STATE(67)] = 2872,
  [SMALL_STATE(68)] = 2900,
  [SMALL_STATE(69)] = 2962,
  [SMALL_STATE(70)] = 3024,
  [SMALL_STATE(71)] = 3052,
  [SMALL_STATE(72)] = 3114,
  [SMALL_STATE(73)] = 3176,
  [SMALL_STATE(74)] = 3238,
  [SMALL_STATE(75)] = 3300,
  [SMALL_STATE(76)] = 3328,
  [SMALL_STATE(77)] = 3390,
  [SMALL_STATE(78)] = 3452,
  [SMALL_STATE(79)] = 3480,
  [SMALL_STATE(80)] = 3542,
  [SMALL_STATE(81)] = 3604,
  [SMALL_STATE(82)] = 3632,
  [SMALL_STATE(83)] = 3660,
  [SMALL_STATE(84)] = 3688,
  [SMALL_STATE(85)] = 3750,
  [SMALL_STATE(86)] = 3778,
  [SMALL_STATE(87)] = 3840,
  [SMALL_STATE(88)] = 3868,
  [SMALL_STATE(89)] = 3900,
  [SMALL_STATE(90)] = 3932,
  [SMALL_STATE(91)] = 3960,
  [SMALL_STATE(92)] = 4022,
  [SMALL_STATE(93)] = 4050,
  [SMALL_STATE(94)] = 4086,
  [SMALL_STATE(95)] = 4148,
  [SMALL_STATE(96)] = 4179,
  [SMALL_STATE(97)] = 4218,
  [SMALL_STATE(98)] = 4257,
  [SMALL_STATE(99)] = 4290,
  [SMALL_STATE(100)] = 4323,
  [SMALL_STATE(101)] = 4354,
  [SMALL_STATE(102)] = 4413,
  [SMALL_STATE(103)] = 4444,
  [SMALL_STATE(104)] = 4475,
  [SMALL_STATE(105)] = 4506,
  [SMALL_STATE(106)] = 4539,
  [SMALL_STATE(107)] = 4572,
  [SMALL_STATE(108)] = 4605,
  [SMALL_STATE(109)] = 4638,
  [SMALL_STATE(110)] = 4671,
  [SMALL_STATE(111)] = 4704,
  [SMALL_STATE(112)] = 4743,
  [SMALL_STATE(113)] = 4774,
  [SMALL_STATE(114)] = 4805,
  [SMALL_STATE(115)] = 4836,
  [SMALL_STATE(116)] = 4869,
  [SMALL_STATE(117)] = 4902,
  [SMALL_STATE(118)] = 4933,
  [SMALL_STATE(119)] = 4964,
  [SMALL_STATE(120)] = 4995,
  [SMALL_STATE(121)] = 5028,
  [SMALL_STATE(122)] = 5061,
  [SMALL_STATE(123)] = 5092,
  [SMALL_STATE(124)] = 5131,
  [SMALL_STATE(125)] = 5170,
  [SMALL_STATE(126)] = 5201,
  [SMALL_STATE(127)] = 5232,
  [SMALL_STATE(128)] = 5271,
  [SMALL_STATE(129)] = 5302,
  [SMALL_STATE(130)] = 5336,
  [SMALL_STATE(131)] = 5362,
  [SMALL_STATE(132)] = 5406,
  [SMALL_STATE(133)] = 5436,
  [SMALL_STATE(134)] = 5462,
  [SMALL_STATE(135)] = 5492,
  [SMALL_STATE(136)] = 5518,
  [SMALL_STATE(137)] = 5544,
  [SMALL_STATE(138)] = 5570,
  [SMALL_STATE(139)] = 5596,
  [SMALL_STATE(140)] = 5622,
  [SMALL_STATE(141)] = 5648,
  [SMALL_STATE(142)] = 5674,
  [SMALL_STATE(143)] = 5710,
  [SMALL_STATE(144)] = 5740,
  [SMALL_STATE(145)] = 5766,
  [SMALL_STATE(146)] = 5792,
  [SMALL_STATE(147)] = 5818,
  [SMALL_STATE(148)] = 5844,
  [SMALL_STATE(149)] = 5870,
  [SMALL_STATE(150)] = 5916,
  [SMALL_STATE(151)] = 5942,
  [SMALL_STATE(152)] = 5972,
  [SMALL_STATE(153)] = 6000,
  [SMALL_STATE(154)] = 6030,
  [SMALL_STATE(155)] = 6056,
  [SMALL_STATE(156)] = 6086,
  [SMALL_STATE(157)] = 6116,
  [SMALL_STATE(158)] = 6146,
  [SMALL_STATE(159)] = 6172,
  [SMALL_STATE(160)] = 6202,
  [SMALL_STATE(161)] = 6230,
  [SMALL_STATE(162)] = 6258,
  [SMALL_STATE(163)] = 6288,
  [SMALL_STATE(164)] = 6316,
  [SMALL_STATE(165)] = 6346,
  [SMALL_STATE(166)] = 6376,
  [SMALL_STATE(167)] = 6406,
  [SMALL_STATE(168)] = 6436,
  [SMALL_STATE(169)] = 6462,
  [SMALL_STATE(170)] = 6490,
  [SMALL_STATE(171)] = 6518,
  [SMALL_STATE(172)] = 6562,
  [SMALL_STATE(173)] = 6588,
  [SMALL_STATE(174)] = 6614,
  [SMALL_STATE(175)] = 6642,
  [SMALL_STATE(176)] = 6668,
  [SMALL_STATE(177)] = 6694,
  [SMALL_STATE(178)] = 6722,
  [SMALL_STATE(179)] = 6748,
  [SMALL_STATE(180)] = 6782,
  [SMALL_STATE(181)] = 6808,
  [SMALL_STATE(182)] = 6834,
  [SMALL_STATE(183)] = 6862,
  [SMALL_STATE(184)] = 6888,
  [SMALL_STATE(185)] = 6914,
  [SMALL_STATE(186)] = 6958,
  [SMALL_STATE(187)] = 7004,
  [SMALL_STATE(188)] = 7034,
  [SMALL_STATE(189)] = 7078,
  [SMALL_STATE(190)] = 7112,
  [SMALL_STATE(191)] = 7142,
  [SMALL_STATE(192)] = 7188,
  [SMALL_STATE(193)] = 7232,
  [SMALL_STATE(194)] = 7278,
  [SMALL_STATE(195)] = 7304,
  [SMALL_STATE(196)] = 7340,
  [SMALL_STATE(197)] = 7366,
  [SMALL_STATE(198)] = 7399,
  [SMALL_STATE(199)] = 7432,
  [SMALL_STATE(200)] = 7457,
  [SMALL_STATE(201)] = 7498,
  [SMALL_STATE(202)] = 7523,
  [SMALL_STATE(203)] = 7548,
  [SMALL_STATE(204)] = 7581,
  [SMALL_STATE(205)] = 7614,
  [SMALL_STATE(206)] = 7639,
  [SMALL_STATE(207)] = 7664,
  [SMALL_STATE(208)] = 7689,
  [SMALL_STATE(209)] = 7720,
  [SMALL_STATE(210)] = 7753,
  [SMALL_STATE(211)] = 7784,
  [SMALL_STATE(212)] = 7815,
  [SMALL_STATE(213)] = 7858,
  [SMALL_STATE(214)] = 7889,
  [SMALL_STATE(215)] = 7922,
  [SMALL_STATE(216)] = 7953,
  [SMALL_STATE(217)] = 7986,
  [SMALL_STATE(218)] = 8012,
  [SMALL_STATE(219)] = 8036,
  [SMALL_STATE(220)] = 8060,
  [SMALL_STATE(221)] = 8084,
  [SMALL_STATE(222)] = 8108,
  [SMALL_STATE(223)] = 8132,
  [SMALL_STATE(224)] = 8158,
  [SMALL_STATE(225)] = 8190,
  [SMALL_STATE(226)] = 8214,
  [SMALL_STATE(227)] = 8262,
  [SMALL_STATE(228)] = 8286,
  [SMALL_STATE(229)] = 8316,
  [SMALL_STATE(230)] = 8364,
  [SMALL_STATE(231)] = 8390,
  [SMALL_STATE(232)] = 8414,
  [SMALL_STATE(233)] = 8462,
  [SMALL_STATE(234)] = 8486,
  [SMALL_STATE(235)] = 8510,
  [SMALL_STATE(236)] = 8534,
  [SMALL_STATE(237)] = 8558,
  [SMALL_STATE(238)] = 8582,
  [SMALL_STATE(239)] = 8606,
  [SMALL_STATE(240)] = 8630,
  [SMALL_STATE(241)] = 8654,
  [SMALL_STATE(242)] = 8678,
  [SMALL_STATE(243)] = 8702,
  [SMALL_STATE(244)] = 8726,
  [SMALL_STATE(245)] = 8750,
  [SMALL_STATE(246)] = 8774,
  [SMALL_STATE(247)] = 8798,
  [SMALL_STATE(248)] = 8822,
  [SMALL_STATE(249)] = 8846,
  [SMALL_STATE(250)] = 8870,
  [SMALL_STATE(251)] = 8896,
  [SMALL_STATE(252)] = 8922,
  [SMALL_STATE(253)] = 8950,
  [SMALL_STATE(254)] = 8976,
  [SMALL_STATE(255)] = 9002,
  [SMALL_STATE(256)] = 9054,
  [SMALL_STATE(257)] = 9078,
  [SMALL_STATE(258)] = 9132,
  [SMALL_STATE(259)] = 9158,
  [SMALL_STATE(260)] = 9214,
  [SMALL_STATE(261)] = 9268,
  [SMALL_STATE(262)] = 9316,
  [SMALL_STATE(263)] = 9344,
  [SMALL_STATE(264)] = 9372,
  [SMALL_STATE(265)] = 9426,
  [SMALL_STATE(266)] = 9450,
  [SMALL_STATE(267)] = 9506,
  [SMALL_STATE(268)] = 9534,
  [SMALL_STATE(269)] = 9582,
  [SMALL_STATE(270)] = 9614,
  [SMALL_STATE(271)] = 9662,
  [SMALL_STATE(272)] = 9716,
  [SMALL_STATE(273)] = 9744,
  [SMALL_STATE(274)] = 9800,
  [SMALL_STATE(275)] = 9824,
  [SMALL_STATE(276)] = 9880,
  [SMALL_STATE(277)] = 9934,
  [SMALL_STATE(278)] = 9962,
  [SMALL_STATE(279)] = 10018,
  [SMALL_STATE(280)] = 10048,
  [SMALL_STATE(281)] = 10078,
  [SMALL_STATE(282)] = 10132,
  [SMALL_STATE(283)] = 10188,
  [SMALL_STATE(284)] = 10216,
  [SMALL_STATE(285)] = 10270,
  [SMALL_STATE(286)] = 10326,
  [SMALL_STATE(287)] = 10354,
  [SMALL_STATE(288)] = 10384,
  [SMALL_STATE(289)] = 10438,
  [SMALL_STATE(290)] = 10494,
  [SMALL_STATE(291)] = 10524,
  [SMALL_STATE(292)] = 10578,
  [SMALL_STATE(293)] = 10634,
  [SMALL_STATE(294)] = 10682,
  [SMALL_STATE(295)] = 10706,
  [SMALL_STATE(296)] = 10754,
  [SMALL_STATE(297)] = 10802,
  [SMALL_STATE(298)] = 10828,
  [SMALL_STATE(299)] = 10852,
  [SMALL_STATE(300)] = 10876,
  [SMALL_STATE(301)] = 10924,
  [SMALL_STATE(302)] = 10972,
  [SMALL_STATE(303)] = 10996,
  [SMALL_STATE(304)] = 11044,
  [SMALL_STATE(305)] = 11068,
  [SMALL_STATE(306)] = 11116,
  [SMALL_STATE(307)] = 11140,
  [SMALL_STATE(308)] = 11172,
  [SMALL_STATE(309)] = 11220,
  [SMALL_STATE(310)] = 11244,
  [SMALL_STATE(311)] = 11268,
  [SMALL_STATE(312)] = 11316,
  [SMALL_STATE(313)] = 11344,
  [SMALL_STATE(314)] = 11383,
  [SMALL_STATE(315)] = 11428,
  [SMALL_STATE(316)] = 11473,
  [SMALL_STATE(317)] = 11506,
  [SMALL_STATE(318)] = 11551,
  [SMALL_STATE(319)] = 11596,
  [SMALL_STATE(320)] = 11635,
  [SMALL_STATE(321)] = 11672,
  [SMALL_STATE(322)] = 11711,
  [SMALL_STATE(323)] = 11756,
  [SMALL_STATE(324)] = 11781,
  [SMALL_STATE(325)] = 11826,
  [SMALL_STATE(326)] = 11865,
  [SMALL_STATE(327)] = 11904,
  [SMALL_STATE(328)] = 11943,
  [SMALL_STATE(329)] = 11982,
  [SMALL_STATE(330)] = 12021,
  [SMALL_STATE(331)] = 12060,
  [SMALL_STATE(332)] = 12099,
  [SMALL_STATE(333)] = 12134,
  [SMALL_STATE(334)] = 12169,
  [SMALL_STATE(335)] = 12208,
  [SMALL_STATE(336)] = 12247,
  [SMALL_STATE(337)] = 12286,
  [SMALL_STATE(338)] = 12325,
  [SMALL_STATE(339)] = 12364,
  [SMALL_STATE(340)] = 12403,
  [SMALL_STATE(341)] = 12442,
  [SMALL_STATE(342)] = 12481,
  [SMALL_STATE(343)] = 12506,
  [SMALL_STATE(344)] = 12546,
  [SMALL_STATE(345)] = 12570,
  [SMALL_STATE(346)] = 12594,
  [SMALL_STATE(347)] = 12618,
  [SMALL_STATE(348)] = 12642,
  [SMALL_STATE(349)] = 12666,
  [SMALL_STATE(350)] = 12690,
  [SMALL_STATE(351)] = 12714,
  [SMALL_STATE(352)] = 12738,
  [SMALL_STATE(353)] = 12762,
  [SMALL_STATE(354)] = 12786,
  [SMALL_STATE(355)] = 12810,
  [SMALL_STATE(356)] = 12850,
  [SMALL_STATE(357)] = 12890,
  [SMALL_STATE(358)] = 12920,
  [SMALL_STATE(359)] = 12942,
  [SMALL_STATE(360)] = 12982,
  [SMALL_STATE(361)] = 13022,
  [SMALL_STATE(362)] = 13062,
  [SMALL_STATE(363)] = 13088,
  [SMALL_STATE(364)] = 13128,
  [SMALL_STATE(365)] = 13168,
  [SMALL_STATE(366)] = 13208,
  [SMALL_STATE(367)] = 13248,
  [SMALL_STATE(368)] = 13288,
  [SMALL_STATE(369)] = 13328,
  [SMALL_STATE(370)] = 13368,
  [SMALL_STATE(371)] = 13408,
  [SMALL_STATE(372)] = 13448,
  [SMALL_STATE(373)] = 13488,
  [SMALL_STATE(374)] = 13514,
  [SMALL_STATE(375)] = 13554,
  [SMALL_STATE(376)] = 13594,
  [SMALL_STATE(377)] = 13634,
  [SMALL_STATE(378)] = 13674,
  [SMALL_STATE(379)] = 13696,
  [SMALL_STATE(380)] = 13736,
  [SMALL_STATE(381)] = 13776,
  [SMALL_STATE(382)] = 13798,
  [SMALL_STATE(383)] = 13838,
  [SMALL_STATE(384)] = 13878,
  [SMALL_STATE(385)] = 13918,
  [SMALL_STATE(386)] = 13958,
  [SMALL_STATE(387)] = 13998,
  [SMALL_STATE(388)] = 14038,
  [SMALL_STATE(389)] = 14078,
  [SMALL_STATE(390)] = 14118,
  [SMALL_STATE(391)] = 14158,
  [SMALL_STATE(392)] = 14198,
  [SMALL_STATE(393)] = 14238,
  [SMALL_STATE(394)] = 14268,
  [SMALL_STATE(395)] = 14308,
  [SMALL_STATE(396)] = 14338,
  [SMALL_STATE(397)] = 14378,
  [SMALL_STATE(398)] = 14418,
  [SMALL_STATE(399)] = 14458,
  [SMALL_STATE(400)] = 14498,
  [SMALL_STATE(401)] = 14538,
  [SMALL_STATE(402)] = 14578,
  [SMALL_STATE(403)] = 14618,
  [SMALL_STATE(404)] = 14658,
  [SMALL_STATE(405)] = 14698,
  [SMALL_STATE(406)] = 14738,
  [SMALL_STATE(407)] = 14778,
  [SMALL_STATE(408)] = 14818,
  [SMALL_STATE(409)] = 14858,
  [SMALL_STATE(410)] = 14880,
  [SMALL_STATE(411)] = 14920,
  [SMALL_STATE(412)] = 14960,
  [SMALL_STATE(413)] = 15000,
  [SMALL_STATE(414)] = 15040,
  [SMALL_STATE(415)] = 15080,
  [SMALL_STATE(416)] = 15116,
  [SMALL_STATE(417)] = 15156,
  [SMALL_STATE(418)] = 15196,
  [SMALL_STATE(419)] = 15218,
  [SMALL_STATE(420)] = 15258,
  [SMALL_STATE(421)] = 15282,
  [SMALL_STATE(422)] = 15304,
  [SMALL_STATE(423)] = 15344,
  [SMALL_STATE(424)] = 15370,
  [SMALL_STATE(425)] = 15410,
  [SMALL_STATE(426)] = 15450,
  [SMALL_STATE(427)] = 15483,
  [SMALL_STATE(428)] = 15522,
  [SMALL_STATE(429)] = 15561,
  [SMALL_STATE(430)] = 15588,
  [SMALL_STATE(431)] = 15615,
  [SMALL_STATE(432)] = 15654,
  [SMALL_STATE(433)] = 15693,
  [SMALL_STATE(434)] = 15732,
  [SMALL_STATE(435)] = 15765,
  [SMALL_STATE(436)] = 15798,
  [SMALL_STATE(437)] = 15825,
  [SMALL_STATE(438)] = 15858,
  [SMALL_STATE(439)] = 15891,
  [SMALL_STATE(440)] = 15924,
  [SMALL_STATE(441)] = 15957,
  [SMALL_STATE(442)] = 15996,
  [SMALL_STATE(443)] = 16029,
  [SMALL_STATE(444)] = 16068,
  [SMALL_STATE(445)] = 16101,
  [SMALL_STATE(446)] = 16134,
  [SMALL_STATE(447)] = 16159,
  [SMALL_STATE(448)] = 16186,
  [SMALL_STATE(449)] = 16219,
  [SMALL_STATE(450)] = 16246,
  [SMALL_STATE(451)] = 16285,
  [SMALL_STATE(452)] = 16318,
  [SMALL_STATE(453)] = 16347,
  [SMALL_STATE(454)] = 16386,
  [SMALL_STATE(455)] = 16419,
  [SMALL_STATE(456)] = 16444,
  [SMALL_STATE(457)] = 16477,
  [SMALL_STATE(458)] = 16502,
  [SMALL_STATE(459)] = 16535,
  [SMALL_STATE(460)] = 16560,
  [SMALL_STATE(461)] = 16593,
  [SMALL_STATE(462)] = 16626,
  [SMALL_STATE(463)] = 16653,
  [SMALL_STATE(464)] = 16680,
  [SMALL_STATE(465)] = 16713,
  [SMALL_STATE(466)] = 16752,
  [SMALL_STATE(467)] = 16785,
  [SMALL_STATE(468)] = 16810,
  [SMALL_STATE(469)] = 16849,
  [SMALL_STATE(470)] = 16869,
  [SMALL_STATE(471)] = 16899,
  [SMALL_STATE(472)] = 16929,
  [SMALL_STATE(473)] = 16949,
  [SMALL_STATE(474)] = 16979,
  [SMALL_STATE(475)] = 16999,
  [SMALL_STATE(476)] = 17023,
  [SMALL_STATE(477)] = 17047,
  [SMALL_STATE(478)] = 17077,
  [SMALL_STATE(479)] = 17097,
  [SMALL_STATE(480)] = 17127,
  [SMALL_STATE(481)] = 17157,
  [SMALL_STATE(482)] = 17177,
  [SMALL_STATE(483)] = 17201,
  [SMALL_STATE(484)] = 17225,
  [SMALL_STATE(485)] = 17249,
  [SMALL_STATE(486)] = 17269,
  [SMALL_STATE(487)] = 17289,
  [SMALL_STATE(488)] = 17311,
  [SMALL_STATE(489)] = 17341,
  [SMALL_STATE(490)] = 17371,
  [SMALL_STATE(491)] = 17401,
  [SMALL_STATE(492)] = 17423,
  [SMALL_STATE(493)] = 17453,
  [SMALL_STATE(494)] = 17475,
  [SMALL_STATE(495)] = 17505,
  [SMALL_STATE(496)] = 17535,
  [SMALL_STATE(497)] = 17565,
  [SMALL_STATE(498)] = 17585,
  [SMALL_STATE(499)] = 17615,
  [SMALL_STATE(500)] = 17645,
  [SMALL_STATE(501)] = 17675,
  [SMALL_STATE(502)] = 17699,
  [SMALL_STATE(503)] = 17721,
  [SMALL_STATE(504)] = 17751,
  [SMALL_STATE(505)] = 17781,
  [SMALL_STATE(506)] = 17801,
  [SMALL_STATE(507)] = 17825,
  [SMALL_STATE(508)] = 17855,
  [SMALL_STATE(509)] = 17892,
  [SMALL_STATE(510)] = 17919,
  [SMALL_STATE(511)] = 17942,
  [SMALL_STATE(512)] = 17963,
  [SMALL_STATE(513)] = 17982,
  [SMALL_STATE(514)] = 18019,
  [SMALL_STATE(515)] = 18056,
  [SMALL_STATE(516)] = 18079,
  [SMALL_STATE(517)] = 18106,
  [SMALL_STATE(518)] = 18125,
  [SMALL_STATE(519)] = 18162,
  [SMALL_STATE(520)] = 18185,
  [SMALL_STATE(521)] = 18208,
  [SMALL_STATE(522)] = 18231,
  [SMALL_STATE(523)] = 18249,
  [SMALL_STATE(524)] = 18267,
  [SMALL_STATE(525)] = 18285,
  [SMALL_STATE(526)] = 18311,
  [SMALL_STATE(527)] = 18337,
  [SMALL_STATE(528)] = 18355,
  [SMALL_STATE(529)] = 18373,
  [SMALL_STATE(530)] = 18391,
  [SMALL_STATE(531)] = 18409,
  [SMALL_STATE(532)] = 18427,
  [SMALL_STATE(533)] = 18453,
  [SMALL_STATE(534)] = 18471,
  [SMALL_STATE(535)] = 18493,
  [SMALL_STATE(536)] = 18519,
  [SMALL_STATE(537)] = 18537,
  [SMALL_STATE(538)] = 18563,
  [SMALL_STATE(539)] = 18585,
  [SMALL_STATE(540)] = 18603,
  [SMALL_STATE(541)] = 18621,
  [SMALL_STATE(542)] = 18647,
  [SMALL_STATE(543)] = 18665,
  [SMALL_STATE(544)] = 18691,
  [SMALL_STATE(545)] = 18717,
  [SMALL_STATE(546)] = 18743,
  [SMALL_STATE(547)] = 18764,
  [SMALL_STATE(548)] = 18785,
  [SMALL_STATE(549)] = 18806,
  [SMALL_STATE(550)] = 18827,
  [SMALL_STATE(551)] = 18850,
  [SMALL_STATE(552)] = 18873,
  [SMALL_STATE(553)] = 18896,
  [SMALL_STATE(554)] = 18917,
  [SMALL_STATE(555)] = 18938,
  [SMALL_STATE(556)] = 18959,
  [SMALL_STATE(557)] = 18980,
  [SMALL_STATE(558)] = 19001,
  [SMALL_STATE(559)] = 19024,
  [SMALL_STATE(560)] = 19043,
  [SMALL_STATE(561)] = 19064,
  [SMALL_STATE(562)] = 19085,
  [SMALL_STATE(563)] = 19108,
  [SMALL_STATE(564)] = 19129,
  [SMALL_STATE(565)] = 19150,
  [SMALL_STATE(566)] = 19171,
  [SMALL_STATE(567)] = 19192,
  [SMALL_STATE(568)] = 19215,
  [SMALL_STATE(569)] = 19238,
  [SMALL_STATE(570)] = 19259,
  [SMALL_STATE(571)] = 19280,
  [SMALL_STATE(572)] = 19301,
  [SMALL_STATE(573)] = 19322,
  [SMALL_STATE(574)] = 19347,
  [SMALL_STATE(575)] = 19368,
  [SMALL_STATE(576)] = 19391,
  [SMALL_STATE(577)] = 19412,
  [SMALL_STATE(578)] = 19435,
  [SMALL_STATE(579)] = 19456,
  [SMALL_STATE(580)] = 19477,
  [SMALL_STATE(581)] = 19498,
  [SMALL_STATE(582)] = 19519,
  [SMALL_STATE(583)] = 19540,
  [SMALL_STATE(584)] = 19561,
  [SMALL_STATE(585)] = 19582,
  [SMALL_STATE(586)] = 19605,
  [SMALL_STATE(587)] = 19628,
  [SMALL_STATE(588)] = 19649,
  [SMALL_STATE(589)] = 19670,
  [SMALL_STATE(590)] = 19691,
  [SMALL_STATE(591)] = 19714,
  [SMALL_STATE(592)] = 19735,
  [SMALL_STATE(593)] = 19756,
  [SMALL_STATE(594)] = 19772,
  [SMALL_STATE(595)] = 19792,
  [SMALL_STATE(596)] = 19808,
  [SMALL_STATE(597)] = 19824,
  [SMALL_STATE(598)] = 19840,
  [SMALL_STATE(599)] = 19858,
  [SMALL_STATE(600)] = 19878,
  [SMALL_STATE(601)] = 19896,
  [SMALL_STATE(602)] = 19912,
  [SMALL_STATE(603)] = 19932,
  [SMALL_STATE(604)] = 19952,
  [SMALL_STATE(605)] = 19968,
  [SMALL_STATE(606)] = 19986,
  [SMALL_STATE(607)] = 20006,
  [SMALL_STATE(608)] = 20022,
  [SMALL_STATE(609)] = 20038,
  [SMALL_STATE(610)] = 20054,
  [SMALL_STATE(611)] = 20072,
  [SMALL_STATE(612)] = 20088,
  [SMALL_STATE(613)] = 20108,
  [SMALL_STATE(614)] = 20128,
  [SMALL_STATE(615)] = 20148,
  [SMALL_STATE(616)] = 20168,
  [SMALL_STATE(617)] = 20184,
  [SMALL_STATE(618)] = 20200,
  [SMALL_STATE(619)] = 20216,
  [SMALL_STATE(620)] = 20232,
  [SMALL_STATE(621)] = 20248,
  [SMALL_STATE(622)] = 20264,
  [SMALL_STATE(623)] = 20280,
  [SMALL_STATE(624)] = 20300,
  [SMALL_STATE(625)] = 20320,
  [SMALL_STATE(626)] = 20336,
  [SMALL_STATE(627)] = 20352,
  [SMALL_STATE(628)] = 20372,
  [SMALL_STATE(629)] = 20392,
  [SMALL_STATE(630)] = 20412,
  [SMALL_STATE(631)] = 20428,
  [SMALL_STATE(632)] = 20444,
  [SMALL_STATE(633)] = 20460,
  [SMALL_STATE(634)] = 20476,
  [SMALL_STATE(635)] = 20494,
  [SMALL_STATE(636)] = 20514,
  [SMALL_STATE(637)] = 20534,
  [SMALL_STATE(638)] = 20550,
  [SMALL_STATE(639)] = 20570,
  [SMALL_STATE(640)] = 20590,
  [SMALL_STATE(641)] = 20606,
  [SMALL_STATE(642)] = 20626,
  [SMALL_STATE(643)] = 20642,
  [SMALL_STATE(644)] = 20658,
  [SMALL_STATE(645)] = 20674,
  [SMALL_STATE(646)] = 20692,
  [SMALL_STATE(647)] = 20708,
  [SMALL_STATE(648)] = 20724,
  [SMALL_STATE(649)] = 20742,
  [SMALL_STATE(650)] = 20758,
  [SMALL_STATE(651)] = 20774,
  [SMALL_STATE(652)] = 20792,
  [SMALL_STATE(653)] = 20808,
  [SMALL_STATE(654)] = 20824,
  [SMALL_STATE(655)] = 20840,
  [SMALL_STATE(656)] = 20856,
  [SMALL_STATE(657)] = 20872,
  [SMALL_STATE(658)] = 20888,
  [SMALL_STATE(659)] = 20904,
  [SMALL_STATE(660)] = 20920,
  [SMALL_STATE(661)] = 20936,
  [SMALL_STATE(662)] = 20954,
  [SMALL_STATE(663)] = 20974,
  [SMALL_STATE(664)] = 20992,
  [SMALL_STATE(665)] = 21008,
  [SMALL_STATE(666)] = 21024,
  [SMALL_STATE(667)] = 21040,
  [SMALL_STATE(668)] = 21056,
  [SMALL_STATE(669)] = 21076,
  [SMALL_STATE(670)] = 21094,
  [SMALL_STATE(671)] = 21111,
  [SMALL_STATE(672)] = 21128,
  [SMALL_STATE(673)] = 21145,
  [SMALL_STATE(674)] = 21174,
  [SMALL_STATE(675)] = 21191,
  [SMALL_STATE(676)] = 21210,
  [SMALL_STATE(677)] = 21235,
  [SMALL_STATE(678)] = 21252,
  [SMALL_STATE(679)] = 21281,
  [SMALL_STATE(680)] = 21298,
  [SMALL_STATE(681)] = 21315,
  [SMALL_STATE(682)] = 21330,
  [SMALL_STATE(683)] = 21349,
  [SMALL_STATE(684)] = 21366,
  [SMALL_STATE(685)] = 21385,
  [SMALL_STATE(686)] = 21414,
  [SMALL_STATE(687)] = 21433,
  [SMALL_STATE(688)] = 21452,
  [SMALL_STATE(689)] = 21481,
  [SMALL_STATE(690)] = 21498,
  [SMALL_STATE(691)] = 21523,
  [SMALL_STATE(692)] = 21552,
  [SMALL_STATE(693)] = 21583,
  [SMALL_STATE(694)] = 21602,
  [SMALL_STATE(695)] = 21631,
  [SMALL_STATE(696)] = 21650,
  [SMALL_STATE(697)] = 21667,
  [SMALL_STATE(698)] = 21696,
  [SMALL_STATE(699)] = 21725,
  [SMALL_STATE(700)] = 21744,
  [SMALL_STATE(701)] = 21761,
  [SMALL_STATE(702)] = 21790,
  [SMALL_STATE(703)] = 21807,
  [SMALL_STATE(704)] = 21826,
  [SMALL_STATE(705)] = 21855,
  [SMALL_STATE(706)] = 21884,
  [SMALL_STATE(707)] = 21903,
  [SMALL_STATE(708)] = 21918,
  [SMALL_STATE(709)] = 21935,
  [SMALL_STATE(710)] = 21952,
  [SMALL_STATE(711)] = 21981,
  [SMALL_STATE(712)] = 22010,
  [SMALL_STATE(713)] = 22029,
  [SMALL_STATE(714)] = 22048,
  [SMALL_STATE(715)] = 22067,
  [SMALL_STATE(716)] = 22084,
  [SMALL_STATE(717)] = 22115,
  [SMALL_STATE(718)] = 22144,
  [SMALL_STATE(719)] = 22161,
  [SMALL_STATE(720)] = 22190,
  [SMALL_STATE(721)] = 22219,
  [SMALL_STATE(722)] = 22244,
  [SMALL_STATE(723)] = 22263,
  [SMALL_STATE(724)] = 22278,
  [SMALL_STATE(725)] = 22307,
  [SMALL_STATE(726)] = 22324,
  [SMALL_STATE(727)] = 22353,
  [SMALL_STATE(728)] = 22370,
  [SMALL_STATE(729)] = 22387,
  [SMALL_STATE(730)] = 22402,
  [SMALL_STATE(731)] = 22431,
  [SMALL_STATE(732)] = 22460,
  [SMALL_STATE(733)] = 22489,
  [SMALL_STATE(734)] = 22508,
  [SMALL_STATE(735)] = 22527,
  [SMALL_STATE(736)] = 22556,
  [SMALL_STATE(737)] = 22573,
  [SMALL_STATE(738)] = 22590,
  [SMALL_STATE(739)] = 22609,
  [SMALL_STATE(740)] = 22624,
  [SMALL_STATE(741)] = 22653,
  [SMALL_STATE(742)] = 22670,
  [SMALL_STATE(743)] = 22685,
  [SMALL_STATE(744)] = 22702,
  [SMALL_STATE(745)] = 22719,
  [SMALL_STATE(746)] = 22736,
  [SMALL_STATE(747)] = 22753,
  [SMALL_STATE(748)] = 22770,
  [SMALL_STATE(749)] = 22787,
  [SMALL_STATE(750)] = 22804,
  [SMALL_STATE(751)] = 22821,
  [SMALL_STATE(752)] = 22838,
  [SMALL_STATE(753)] = 22855,
  [SMALL_STATE(754)] = 22872,
  [SMALL_STATE(755)] = 22889,
  [SMALL_STATE(756)] = 22914,
  [SMALL_STATE(757)] = 22932,
  [SMALL_STATE(758)] = 22950,
  [SMALL_STATE(759)] = 22968,
  [SMALL_STATE(760)] = 22986,
  [SMALL_STATE(761)] = 23004,
  [SMALL_STATE(762)] = 23022,
  [SMALL_STATE(763)] = 23040,
  [SMALL_STATE(764)] = 23054,
  [SMALL_STATE(765)] = 23068,
  [SMALL_STATE(766)] = 23094,
  [SMALL_STATE(767)] = 23108,
  [SMALL_STATE(768)] = 23122,
  [SMALL_STATE(769)] = 23136,
  [SMALL_STATE(770)] = 23164,
  [SMALL_STATE(771)] = 23178,
  [SMALL_STATE(772)] = 23192,
  [SMALL_STATE(773)] = 23206,
  [SMALL_STATE(774)] = 23220,
  [SMALL_STATE(775)] = 23234,
  [SMALL_STATE(776)] = 23248,
  [SMALL_STATE(777)] = 23262,
  [SMALL_STATE(778)] = 23276,
  [SMALL_STATE(779)] = 23290,
  [SMALL_STATE(780)] = 23308,
  [SMALL_STATE(781)] = 23322,
  [SMALL_STATE(782)] = 23336,
  [SMALL_STATE(783)] = 23350,
  [SMALL_STATE(784)] = 23364,
  [SMALL_STATE(785)] = 23378,
  [SMALL_STATE(786)] = 23392,
  [SMALL_STATE(787)] = 23406,
  [SMALL_STATE(788)] = 23420,
  [SMALL_STATE(789)] = 23434,
  [SMALL_STATE(790)] = 23448,
  [SMALL_STATE(791)] = 23462,
  [SMALL_STATE(792)] = 23490,
  [SMALL_STATE(793)] = 23504,
  [SMALL_STATE(794)] = 23518,
  [SMALL_STATE(795)] = 23532,
  [SMALL_STATE(796)] = 23546,
  [SMALL_STATE(797)] = 23560,
  [SMALL_STATE(798)] = 23574,
  [SMALL_STATE(799)] = 23588,
  [SMALL_STATE(800)] = 23602,
  [SMALL_STATE(801)] = 23616,
  [SMALL_STATE(802)] = 23630,
  [SMALL_STATE(803)] = 23644,
  [SMALL_STATE(804)] = 23658,
  [SMALL_STATE(805)] = 23672,
  [SMALL_STATE(806)] = 23686,
  [SMALL_STATE(807)] = 23709,
  [SMALL_STATE(808)] = 23734,
  [SMALL_STATE(809)] = 23749,
  [SMALL_STATE(810)] = 23774,
  [SMALL_STATE(811)] = 23799,
  [SMALL_STATE(812)] = 23822,
  [SMALL_STATE(813)] = 23845,
  [SMALL_STATE(814)] = 23860,
  [SMALL_STATE(815)] = 23883,
  [SMALL_STATE(816)] = 23906,
  [SMALL_STATE(817)] = 23929,
  [SMALL_STATE(818)] = 23952,
  [SMALL_STATE(819)] = 23975,
  [SMALL_STATE(820)] = 24000,
  [SMALL_STATE(821)] = 24023,
  [SMALL_STATE(822)] = 24046,
  [SMALL_STATE(823)] = 24069,
  [SMALL_STATE(824)] = 24092,
  [SMALL_STATE(825)] = 24115,
  [SMALL_STATE(826)] = 24140,
  [SMALL_STATE(827)] = 24163,
  [SMALL_STATE(828)] = 24186,
  [SMALL_STATE(829)] = 24209,
  [SMALL_STATE(830)] = 24224,
  [SMALL_STATE(831)] = 24247,
  [SMALL_STATE(832)] = 24270,
  [SMALL_STATE(833)] = 24295,
  [SMALL_STATE(834)] = 24320,
  [SMALL_STATE(835)] = 24333,
  [SMALL_STATE(836)] = 24356,
  [SMALL_STATE(837)] = 24379,
  [SMALL_STATE(838)] = 24404,
  [SMALL_STATE(839)] = 24427,
  [SMALL_STATE(840)] = 24450,
  [SMALL_STATE(841)] = 24473,
  [SMALL_STATE(842)] = 24498,
  [SMALL_STATE(843)] = 24521,
  [SMALL_STATE(844)] = 24544,
  [SMALL_STATE(845)] = 24567,
  [SMALL_STATE(846)] = 24590,
  [SMALL_STATE(847)] = 24613,
  [SMALL_STATE(848)] = 24636,
  [SMALL_STATE(849)] = 24659,
  [SMALL_STATE(850)] = 24682,
  [SMALL_STATE(851)] = 24705,
  [SMALL_STATE(852)] = 24728,
  [SMALL_STATE(853)] = 24751,
  [SMALL_STATE(854)] = 24774,
  [SMALL_STATE(855)] = 24799,
  [SMALL_STATE(856)] = 24824,
  [SMALL_STATE(857)] = 24849,
  [SMALL_STATE(858)] = 24874,
  [SMALL_STATE(859)] = 24899,
  [SMALL_STATE(860)] = 24924,
  [SMALL_STATE(861)] = 24949,
  [SMALL_STATE(862)] = 24974,
  [SMALL_STATE(863)] = 24999,
  [SMALL_STATE(864)] = 25022,
  [SMALL_STATE(865)] = 25034,
  [SMALL_STATE(866)] = 25046,
  [SMALL_STATE(867)] = 25064,
  [SMALL_STATE(868)] = 25082,
  [SMALL_STATE(869)] = 25094,
  [SMALL_STATE(870)] = 25106,
  [SMALL_STATE(871)] = 25124,
  [SMALL_STATE(872)] = 25136,
  [SMALL_STATE(873)] = 25148,
  [SMALL_STATE(874)] = 25160,
  [SMALL_STATE(875)] = 25172,
  [SMALL_STATE(876)] = 25184,
  [SMALL_STATE(877)] = 25202,
  [SMALL_STATE(878)] = 25220,
  [SMALL_STATE(879)] = 25238,
  [SMALL_STATE(880)] = 25256,
  [SMALL_STATE(881)] = 25274,
  [SMALL_STATE(882)] = 25292,
  [SMALL_STATE(883)] = 25312,
  [SMALL_STATE(884)] = 25330,
  [SMALL_STATE(885)] = 25348,
  [SMALL_STATE(886)] = 25360,
  [SMALL_STATE(887)] = 25372,
  [SMALL_STATE(888)] = 25384,
  [SMALL_STATE(889)] = 25396,
  [SMALL_STATE(890)] = 25408,
  [SMALL_STATE(891)] = 25420,
  [SMALL_STATE(892)] = 25432,
  [SMALL_STATE(893)] = 25450,
  [SMALL_STATE(894)] = 25468,
  [SMALL_STATE(895)] = 25486,
  [SMALL_STATE(896)] = 25504,
  [SMALL_STATE(897)] = 25524,
  [SMALL_STATE(898)] = 25544,
  [SMALL_STATE(899)] = 25556,
  [SMALL_STATE(900)] = 25568,
  [SMALL_STATE(901)] = 25588,
  [SMALL_STATE(902)] = 25600,
  [SMALL_STATE(903)] = 25612,
  [SMALL_STATE(904)] = 25624,
  [SMALL_STATE(905)] = 25642,
  [SMALL_STATE(906)] = 25654,
  [SMALL_STATE(907)] = 25666,
  [SMALL_STATE(908)] = 25678,
  [SMALL_STATE(909)] = 25690,
  [SMALL_STATE(910)] = 25702,
  [SMALL_STATE(911)] = 25714,
  [SMALL_STATE(912)] = 25732,
  [SMALL_STATE(913)] = 25750,
  [SMALL_STATE(914)] = 25768,
  [SMALL_STATE(915)] = 25786,
  [SMALL_STATE(916)] = 25798,
  [SMALL_STATE(917)] = 25810,
  [SMALL_STATE(918)] = 25828,
  [SMALL_STATE(919)] = 25840,
  [SMALL_STATE(920)] = 25858,
  [SMALL_STATE(921)] = 25870,
  [SMALL_STATE(922)] = 25890,
  [SMALL_STATE(923)] = 25908,
  [SMALL_STATE(924)] = 25926,
  [SMALL_STATE(925)] = 25938,
  [SMALL_STATE(926)] = 25950,
  [SMALL_STATE(927)] = 25962,
  [SMALL_STATE(928)] = 25974,
  [SMALL_STATE(929)] = 25992,
  [SMALL_STATE(930)] = 26010,
  [SMALL_STATE(931)] = 26028,
  [SMALL_STATE(932)] = 26046,
  [SMALL_STATE(933)] = 26058,
  [SMALL_STATE(934)] = 26070,
  [SMALL_STATE(935)] = 26082,
  [SMALL_STATE(936)] = 26102,
  [SMALL_STATE(937)] = 26114,
  [SMALL_STATE(938)] = 26134,
  [SMALL_STATE(939)] = 26146,
  [SMALL_STATE(940)] = 26158,
  [SMALL_STATE(941)] = 26176,
  [SMALL_STATE(942)] = 26188,
  [SMALL_STATE(943)] = 26200,
  [SMALL_STATE(944)] = 26212,
  [SMALL_STATE(945)] = 26224,
  [SMALL_STATE(946)] = 26244,
  [SMALL_STATE(947)] = 26256,
  [SMALL_STATE(948)] = 26274,
  [SMALL_STATE(949)] = 26292,
  [SMALL_STATE(950)] = 26304,
  [SMALL_STATE(951)] = 26322,
  [SMALL_STATE(952)] = 26340,
  [SMALL_STATE(953)] = 26352,
  [SMALL_STATE(954)] = 26370,
  [SMALL_STATE(955)] = 26390,
  [SMALL_STATE(956)] = 26402,
  [SMALL_STATE(957)] = 26414,
  [SMALL_STATE(958)] = 26434,
  [SMALL_STATE(959)] = 26452,
  [SMALL_STATE(960)] = 26464,
  [SMALL_STATE(961)] = 26476,
  [SMALL_STATE(962)] = 26488,
  [SMALL_STATE(963)] = 26500,
  [SMALL_STATE(964)] = 26518,
  [SMALL_STATE(965)] = 26536,
  [SMALL_STATE(966)] = 26554,
  [SMALL_STATE(967)] = 26573,
  [SMALL_STATE(968)] = 26592,
  [SMALL_STATE(969)] = 26609,
  [SMALL_STATE(970)] = 26626,
  [SMALL_STATE(971)] = 26643,
  [SMALL_STATE(972)] = 26660,
  [SMALL_STATE(973)] = 26677,
  [SMALL_STATE(974)] = 26694,
  [SMALL_STATE(975)] = 26711,
  [SMALL_STATE(976)] = 26728,
  [SMALL_STATE(977)] = 26745,
  [SMALL_STATE(978)] = 26762,
  [SMALL_STATE(979)] = 26779,
  [SMALL_STATE(980)] = 26796,
  [SMALL_STATE(981)] = 26813,
  [SMALL_STATE(982)] = 26830,
  [SMALL_STATE(983)] = 26847,
  [SMALL_STATE(984)] = 26864,
  [SMALL_STATE(985)] = 26879,
  [SMALL_STATE(986)] = 26896,
  [SMALL_STATE(987)] = 26913,
  [SMALL_STATE(988)] = 26930,
  [SMALL_STATE(989)] = 26947,
  [SMALL_STATE(990)] = 26964,
  [SMALL_STATE(991)] = 26981,
  [SMALL_STATE(992)] = 26998,
  [SMALL_STATE(993)] = 27015,
  [SMALL_STATE(994)] = 27032,
  [SMALL_STATE(995)] = 27049,
  [SMALL_STATE(996)] = 27068,
  [SMALL_STATE(997)] = 27085,
  [SMALL_STATE(998)] = 27102,
  [SMALL_STATE(999)] = 27119,
  [SMALL_STATE(1000)] = 27136,
  [SMALL_STATE(1001)] = 27155,
  [SMALL_STATE(1002)] = 27172,
  [SMALL_STATE(1003)] = 27189,
  [SMALL_STATE(1004)] = 27206,
  [SMALL_STATE(1005)] = 27223,
  [SMALL_STATE(1006)] = 27240,
  [SMALL_STATE(1007)] = 27257,
  [SMALL_STATE(1008)] = 27274,
  [SMALL_STATE(1009)] = 27293,
  [SMALL_STATE(1010)] = 27308,
  [SMALL_STATE(1011)] = 27327,
  [SMALL_STATE(1012)] = 27346,
  [SMALL_STATE(1013)] = 27365,
  [SMALL_STATE(1014)] = 27382,
  [SMALL_STATE(1015)] = 27401,
  [SMALL_STATE(1016)] = 27420,
  [SMALL_STATE(1017)] = 27439,
  [SMALL_STATE(1018)] = 27456,
  [SMALL_STATE(1019)] = 27475,
  [SMALL_STATE(1020)] = 27494,
  [SMALL_STATE(1021)] = 27513,
  [SMALL_STATE(1022)] = 27532,
  [SMALL_STATE(1023)] = 27549,
  [SMALL_STATE(1024)] = 27568,
  [SMALL_STATE(1025)] = 27587,
  [SMALL_STATE(1026)] = 27606,
  [SMALL_STATE(1027)] = 27625,
  [SMALL_STATE(1028)] = 27644,
  [SMALL_STATE(1029)] = 27663,
  [SMALL_STATE(1030)] = 27682,
  [SMALL_STATE(1031)] = 27701,
  [SMALL_STATE(1032)] = 27720,
  [SMALL_STATE(1033)] = 27739,
  [SMALL_STATE(1034)] = 27758,
  [SMALL_STATE(1035)] = 27775,
  [SMALL_STATE(1036)] = 27789,
  [SMALL_STATE(1037)] = 27801,
  [SMALL_STATE(1038)] = 27813,
  [SMALL_STATE(1039)] = 27827,
  [SMALL_STATE(1040)] = 27839,
  [SMALL_STATE(1041)] = 27851,
  [SMALL_STATE(1042)] = 27864,
  [SMALL_STATE(1043)] = 27877,
  [SMALL_STATE(1044)] = 27890,
  [SMALL_STATE(1045)] = 27903,
  [SMALL_STATE(1046)] = 27916,
  [SMALL_STATE(1047)] = 27925,
  [SMALL_STATE(1048)] = 27934,
  [SMALL_STATE(1049)] = 27947,
  [SMALL_STATE(1050)] = 27960,
  [SMALL_STATE(1051)] = 27973,
  [SMALL_STATE(1052)] = 27986,
  [SMALL_STATE(1053)] = 27999,
  [SMALL_STATE(1054)] = 28012,
  [SMALL_STATE(1055)] = 28025,
  [SMALL_STATE(1056)] = 28034,
  [SMALL_STATE(1057)] = 28043,
  [SMALL_STATE(1058)] = 28052,
  [SMALL_STATE(1059)] = 28065,
  [SMALL_STATE(1060)] = 28078,
  [SMALL_STATE(1061)] = 28091,
  [SMALL_STATE(1062)] = 28100,
  [SMALL_STATE(1063)] = 28113,
  [SMALL_STATE(1064)] = 28126,
  [SMALL_STATE(1065)] = 28135,
  [SMALL_STATE(1066)] = 28148,
  [SMALL_STATE(1067)] = 28161,
  [SMALL_STATE(1068)] = 28174,
  [SMALL_STATE(1069)] = 28187,
  [SMALL_STATE(1070)] = 28200,
  [SMALL_STATE(1071)] = 28213,
  [SMALL_STATE(1072)] = 28226,
  [SMALL_STATE(1073)] = 28239,
  [SMALL_STATE(1074)] = 28248,
  [SMALL_STATE(1075)] = 28261,
  [SMALL_STATE(1076)] = 28274,
  [SMALL_STATE(1077)] = 28287,
  [SMALL_STATE(1078)] = 28297,
  [SMALL_STATE(1079)] = 28307,
  [SMALL_STATE(1080)] = 28317,
  [SMALL_STATE(1081)] = 28327,
  [SMALL_STATE(1082)] = 28337,
  [SMALL_STATE(1083)] = 28347,
  [SMALL_STATE(1084)] = 28357,
  [SMALL_STATE(1085)] = 28367,
  [SMALL_STATE(1086)] = 28377,
  [SMALL_STATE(1087)] = 28387,
  [SMALL_STATE(1088)] = 28397,
  [SMALL_STATE(1089)] = 28407,
  [SMALL_STATE(1090)] = 28417,
  [SMALL_STATE(1091)] = 28427,
  [SMALL_STATE(1092)] = 28437,
  [SMALL_STATE(1093)] = 28447,
  [SMALL_STATE(1094)] = 28457,
  [SMALL_STATE(1095)] = 28467,
  [SMALL_STATE(1096)] = 28477,
  [SMALL_STATE(1097)] = 28487,
  [SMALL_STATE(1098)] = 28497,
  [SMALL_STATE(1099)] = 28507,
  [SMALL_STATE(1100)] = 28517,
  [SMALL_STATE(1101)] = 28527,
  [SMALL_STATE(1102)] = 28537,
  [SMALL_STATE(1103)] = 28547,
  [SMALL_STATE(1104)] = 28557,
  [SMALL_STATE(1105)] = 28567,
  [SMALL_STATE(1106)] = 28577,
  [SMALL_STATE(1107)] = 28587,
  [SMALL_STATE(1108)] = 28597,
  [SMALL_STATE(1109)] = 28607,
  [SMALL_STATE(1110)] = 28617,
  [SMALL_STATE(1111)] = 28627,
  [SMALL_STATE(1112)] = 28637,
  [SMALL_STATE(1113)] = 28647,
  [SMALL_STATE(1114)] = 28657,
  [SMALL_STATE(1115)] = 28667,
  [SMALL_STATE(1116)] = 28677,
  [SMALL_STATE(1117)] = 28687,
  [SMALL_STATE(1118)] = 28697,
  [SMALL_STATE(1119)] = 28707,
  [SMALL_STATE(1120)] = 28717,
  [SMALL_STATE(1121)] = 28727,
  [SMALL_STATE(1122)] = 28737,
  [SMALL_STATE(1123)] = 28747,
  [SMALL_STATE(1124)] = 28757,
  [SMALL_STATE(1125)] = 28767,
  [SMALL_STATE(1126)] = 28777,
  [SMALL_STATE(1127)] = 28787,
  [SMALL_STATE(1128)] = 28797,
  [SMALL_STATE(1129)] = 28807,
  [SMALL_STATE(1130)] = 28817,
  [SMALL_STATE(1131)] = 28827,
  [SMALL_STATE(1132)] = 28837,
  [SMALL_STATE(1133)] = 28847,
  [SMALL_STATE(1134)] = 28857,
  [SMALL_STATE(1135)] = 28867,
  [SMALL_STATE(1136)] = 28877,
  [SMALL_STATE(1137)] = 28885,
  [SMALL_STATE(1138)] = 28895,
  [SMALL_STATE(1139)] = 28905,
  [SMALL_STATE(1140)] = 28915,
  [SMALL_STATE(1141)] = 28925,
  [SMALL_STATE(1142)] = 28935,
  [SMALL_STATE(1143)] = 28945,
  [SMALL_STATE(1144)] = 28955,
  [SMALL_STATE(1145)] = 28965,
  [SMALL_STATE(1146)] = 28975,
  [SMALL_STATE(1147)] = 28985,
  [SMALL_STATE(1148)] = 28995,
  [SMALL_STATE(1149)] = 29005,
  [SMALL_STATE(1150)] = 29015,
  [SMALL_STATE(1151)] = 29025,
  [SMALL_STATE(1152)] = 29035,
  [SMALL_STATE(1153)] = 29045,
  [SMALL_STATE(1154)] = 29055,
  [SMALL_STATE(1155)] = 29065,
  [SMALL_STATE(1156)] = 29075,
  [SMALL_STATE(1157)] = 29085,
  [SMALL_STATE(1158)] = 29095,
  [SMALL_STATE(1159)] = 29105,
  [SMALL_STATE(1160)] = 29115,
  [SMALL_STATE(1161)] = 29125,
  [SMALL_STATE(1162)] = 29135,
  [SMALL_STATE(1163)] = 29145,
  [SMALL_STATE(1164)] = 29152,
  [SMALL_STATE(1165)] = 29159,
  [SMALL_STATE(1166)] = 29166,
  [SMALL_STATE(1167)] = 29173,
  [SMALL_STATE(1168)] = 29180,
  [SMALL_STATE(1169)] = 29187,
  [SMALL_STATE(1170)] = 29194,
  [SMALL_STATE(1171)] = 29201,
  [SMALL_STATE(1172)] = 29208,
  [SMALL_STATE(1173)] = 29215,
  [SMALL_STATE(1174)] = 29222,
  [SMALL_STATE(1175)] = 29229,
  [SMALL_STATE(1176)] = 29236,
  [SMALL_STATE(1177)] = 29243,
  [SMALL_STATE(1178)] = 29250,
  [SMALL_STATE(1179)] = 29257,
  [SMALL_STATE(1180)] = 29264,
  [SMALL_STATE(1181)] = 29271,
  [SMALL_STATE(1182)] = 29278,
  [SMALL_STATE(1183)] = 29285,
  [SMALL_STATE(1184)] = 29292,
  [SMALL_STATE(1185)] = 29299,
  [SMALL_STATE(1186)] = 29306,
  [SMALL_STATE(1187)] = 29313,
  [SMALL_STATE(1188)] = 29320,
  [SMALL_STATE(1189)] = 29327,
  [SMALL_STATE(1190)] = 29334,
  [SMALL_STATE(1191)] = 29341,
  [SMALL_STATE(1192)] = 29348,
  [SMALL_STATE(1193)] = 29355,
  [SMALL_STATE(1194)] = 29362,
  [SMALL_STATE(1195)] = 29369,
  [SMALL_STATE(1196)] = 29376,
  [SMALL_STATE(1197)] = 29383,
  [SMALL_STATE(1198)] = 29390,
  [SMALL_STATE(1199)] = 29397,
  [SMALL_STATE(1200)] = 29404,
  [SMALL_STATE(1201)] = 29411,
  [SMALL_STATE(1202)] = 29418,
  [SMALL_STATE(1203)] = 29425,
  [SMALL_STATE(1204)] = 29432,
  [SMALL_STATE(1205)] = 29439,
  [SMALL_STATE(1206)] = 29446,
  [SMALL_STATE(1207)] = 29453,
  [SMALL_STATE(1208)] = 29460,
  [SMALL_STATE(1209)] = 29467,
  [SMALL_STATE(1210)] = 29474,
  [SMALL_STATE(1211)] = 29481,
  [SMALL_STATE(1212)] = 29488,
  [SMALL_STATE(1213)] = 29495,
  [SMALL_STATE(1214)] = 29502,
  [SMALL_STATE(1215)] = 29509,
  [SMALL_STATE(1216)] = 29516,
  [SMALL_STATE(1217)] = 29523,
  [SMALL_STATE(1218)] = 29530,
  [SMALL_STATE(1219)] = 29537,
  [SMALL_STATE(1220)] = 29544,
  [SMALL_STATE(1221)] = 29551,
  [SMALL_STATE(1222)] = 29558,
  [SMALL_STATE(1223)] = 29565,
  [SMALL_STATE(1224)] = 29572,
  [SMALL_STATE(1225)] = 29579,
  [SMALL_STATE(1226)] = 29586,
  [SMALL_STATE(1227)] = 29593,
  [SMALL_STATE(1228)] = 29600,
  [SMALL_STATE(1229)] = 29607,
  [SMALL_STATE(1230)] = 29614,
  [SMALL_STATE(1231)] = 29621,
  [SMALL_STATE(1232)] = 29628,
  [SMALL_STATE(1233)] = 29635,
  [SMALL_STATE(1234)] = 29642,
  [SMALL_STATE(1235)] = 29649,
  [SMALL_STATE(1236)] = 29656,
  [SMALL_STATE(1237)] = 29663,
  [SMALL_STATE(1238)] = 29670,
  [SMALL_STATE(1239)] = 29677,
  [SMALL_STATE(1240)] = 29684,
  [SMALL_STATE(1241)] = 29691,
  [SMALL_STATE(1242)] = 29698,
  [SMALL_STATE(1243)] = 29705,
  [SMALL_STATE(1244)] = 29712,
  [SMALL_STATE(1245)] = 29719,
  [SMALL_STATE(1246)] = 29726,
  [SMALL_STATE(1247)] = 29733,
  [SMALL_STATE(1248)] = 29740,
  [SMALL_STATE(1249)] = 29747,
  [SMALL_STATE(1250)] = 29754,
  [SMALL_STATE(1251)] = 29761,
  [SMALL_STATE(1252)] = 29768,
  [SMALL_STATE(1253)] = 29775,
  [SMALL_STATE(1254)] = 29782,
  [SMALL_STATE(1255)] = 29789,
  [SMALL_STATE(1256)] = 29796,
  [SMALL_STATE(1257)] = 29803,
  [SMALL_STATE(1258)] = 29810,
  [SMALL_STATE(1259)] = 29817,
  [SMALL_STATE(1260)] = 29824,
  [SMALL_STATE(1261)] = 29831,
  [SMALL_STATE(1262)] = 29838,
  [SMALL_STATE(1263)] = 29845,
  [SMALL_STATE(1264)] = 29852,
  [SMALL_STATE(1265)] = 29859,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [21] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_variableunit, 1, 0, 2), REDUCE(sym__logic_unit, 1, 0, 2),
  [24] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), REDUCE(sym__logic_unit, 1, 0, 2),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [31] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 2),
  [33] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logic_unit, 1, 0, 2),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [37] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6),
  [39] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(832),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1025),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0),
  [55] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0),
  [57] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logic_unit, 1, 0, 0),
  [59] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9),
  [61] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9),
  [63] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(832),
  [66] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), REDUCE(sym_operatorunit, 3, 0, 0),
  [70] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), REDUCE(sym_operatorunit, 3, 0, 0),
  [74] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8),
  [76] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8),
  [78] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [80] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(832),
  [83] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 1),
  [85] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1),
  [87] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(832),
  [90] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 4),
  [92] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4),
  [94] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(832),
  [97] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7),
  [99] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(832),
  [106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1195),
  [109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1196),
  [112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_normal_command, 5, 0, 5),
  [132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_command, 5, 0, 5),
  [134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_normal_command, 6, 0, 5),
  [136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_command, 6, 0, 5),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_listitem, 4, 0, 14), REDUCE(aux_sym_expression_statement_repeat1, 5, 0, 27),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_listitem, 4, 0, 14), REDUCE(aux_sym_expression_statement_repeat1, 5, 0, 27),
  [144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_listitem, 4, 0, 14),
  [146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_statement_repeat1, 5, 0, 28),
  [148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 5, 0, 28),
  [150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_statement_repeat1, 5, 0, 29),
  [152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 5, 0, 29),
  [154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_normal_command, 3, 0, 5),
  [156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_command, 3, 0, 5),
  [158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(837),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_normal_command, 4, 0, 5),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_normal_command, 4, 0, 5),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_listitem, 4, 0, 14),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_listitem, 4, 0, 15),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_listitem, 4, 0, 15),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(257),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1026),
  [269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(854),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(861),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(862),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1033),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(967),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__logic_unit, 1, 0, 0), REDUCE(sym_operatorunit, 3, 0, 0),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), REDUCE(sym_operatorunit, 3, 0, 0),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 17),
  [296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 17),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 24),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 24),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 12),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 12),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 17),
  [348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 17),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(491),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0),
  [364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(257),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(212),
  [370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(518),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(862),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(854),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(854),
  [429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(854),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(854),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1222),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1223),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(861),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(861),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(862),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(862),
  [465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(861),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(861),
  [471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1241),
  [474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1242),
  [477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(862),
  [480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(862),
  [483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1245),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1246),
  [489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(854),
  [492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(861),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(866),
  [498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(917),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(296),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1262),
  [512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(131),
  [515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(857),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1012),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(841),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(859),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_command, 3, 0, 0),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__logic_unit, 3, 0, 0),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__logic_unit, 3, 0, 0),
  [543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(809),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_unit, 2, 0, 11),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_unit, 2, 0, 11),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 1, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool, 1, 0, 0),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_unit, 3, 0, 19),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_unit, 3, 0, 19),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_command, 3, 0, 0),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_unit, 1, 0, 3),
  [600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_unit, 1, 0, 3),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_command, 2, 0, 0),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_unit, 2, 0, 10),
  [610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_unit, 2, 0, 10),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_command, 2, 0, 0),
  [614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1213),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(841),
  [626] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), REDUCE(sym__logic_unit, 1, 0, 2), REDUCE(sym_pair, 3, 0, 22),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(841),
  [641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(841),
  [644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1214),
  [647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(841),
  [650] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), REDUCE(sym__logic_unit, 1, 0, 2), SHIFT(101),
  [654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(841),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(491),
  [672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(866),
  [675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(917),
  [678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(91),
  [681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(257),
  [684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(765),
  [689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 18), SHIFT_REPEAT(1219),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(810),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [811] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(580),
  [815] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(618),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(293),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(491),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(866),
  [840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(917),
  [843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(257),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(316),
  [849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(716),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 11), SHIFT_REPEAT(433),
  [855] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(560),
  [859] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(597),
  [863] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(101),
  [867] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(578),
  [871] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(643),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [883] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(556),
  [887] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(35),
  [891] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(557),
  [895] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(18),
  [899] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(563),
  [903] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(258),
  [907] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(564),
  [911] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(223),
  [915] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(565),
  [919] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(168),
  [923] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(592),
  [927] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(172),
  [931] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(569),
  [935] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(497),
  [939] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), REDUCE(sym_pair, 3, 0, 22),
  [943] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(571),
  [947] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(472),
  [951] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(574),
  [955] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(601),
  [959] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(576),
  [963] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(607),
  [967] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(579),
  [971] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(637),
  [975] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(581),
  [979] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(196),
  [983] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(583),
  [987] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(137),
  [991] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(587),
  [995] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(144),
  [999] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(589),
  [1003] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(145),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_command, 1, 0, 0),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1027),
  [1028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(855),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(755),
  [1038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1263),
  [1041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(361),
  [1044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [1056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 23),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 23),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [1146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [1149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1177),
  [1152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1169] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(669),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_command, 2, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(676),
  [1188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1264),
  [1191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [1194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(855),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [1217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(855),
  [1220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(855),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(855),
  [1232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1229),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1230),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(855),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(560),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(597),
  [1251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(556),
  [1254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(35),
  [1257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(578),
  [1260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(643),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 0),
  [1267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(565),
  [1270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(168),
  [1273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(592),
  [1276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(172),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(557),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(18),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(571),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(472),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(574),
  [1294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(601),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(576),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(607),
  [1303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(579),
  [1306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(637),
  [1309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(580),
  [1312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(618),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(581),
  [1318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(196),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(583),
  [1324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(137),
  [1327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(563),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(258),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(587),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(144),
  [1339] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(819),
  [1342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(589),
  [1345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(145),
  [1348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(564),
  [1351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(223),
  [1354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(569),
  [1357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(497),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variableunit, 2, 0, 10),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variableunit, 2, 0, 10),
  [1372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), SHIFT(669),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variableunit, 2, 0, 13),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variableunit, 2, 0, 13),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11),
  [1391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11), SHIFT_REPEAT(701),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__logic_unit, 1, 0, 0), REDUCE(sym_pair, 3, 0, 22),
  [1409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1020),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(833),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [1417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(858),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unit, 1, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unit, 1, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(860),
  [1429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1032),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 6), SHIFT(1030),
  [1437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(858),
  [1440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(860),
  [1443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(860),
  [1446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1237),
  [1449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(860),
  [1452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1238),
  [1455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(860),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(833),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(833),
  [1466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(833),
  [1469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 1), SHIFT(833),
  [1472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_normal_command_repeat1, 2, 0, 0),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1252),
  [1483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(833),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operatorunit, 3, 0, 0),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operatorunit, 3, 0, 0),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1261),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(860),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT(858),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT(858),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 4), SHIFT(858),
  [1541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 7), SHIFT_REPEAT(1233),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 8), SHIFT_REPEAT(1234),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [1553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(858),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(825),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_condition, 3, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 3, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionaries, 4, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionaries, 4, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionaries, 2, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionaries, 2, 0, 0),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dictionaries_repeat1, 2, 0, 0),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_condition, 4, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 4, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_condition, 2, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_condition, 2, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 5, 0, 25),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 5, 0, 25),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 5, 0, 26),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 5, 0, 26),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(807),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 6, 0, 25),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 6, 0, 25),
  [1598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_statement_repeat1, 2, 0, 9), SHIFT_REPEAT(856),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionaries, 3, 0, 0),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionaries, 3, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 6, 0, 26),
  [1607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 6, 0, 26),
  [1609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 6, 0, 30),
  [1611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 6, 0, 30),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 6, 0, 31),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 6, 0, 31),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternaryoperator, 5, 0, 0),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternaryoperator, 5, 0, 0),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 7, 0, 30),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 7, 0, 30),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_command, 7, 0, 31),
  [1627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_command, 7, 0, 31),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 3),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 2, 0, 3),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 3, 0, 3),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 3, 0, 3),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11), SHIFT_REPEAT(697),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(718),
  [1655] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(797),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 3, 0, 10),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 3, 0, 10),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(294),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11), SHIFT_REPEAT(726),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(220),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(302),
  [1678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(766),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(539),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(524),
  [1703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(771),
  [1706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(225),
  [1709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(238),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(242),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 16),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 16),
  [1719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(344),
  [1722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(81),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [1729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(781),
  [1732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [1744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(784),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(85),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(793),
  [1755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11), SHIFT_REPEAT(673),
  [1758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 2), SHIFT(347),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_var_unit_repeat1, 4, 0, 10),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_var_unit_repeat1, 4, 0, 10),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [1769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variableunit_repeat1, 2, 0, 11), SHIFT_REPEAT(731),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(728),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(221),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(794),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(82),
  [1826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(767),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(799),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(801),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(298),
  [1840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(306),
  [1843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(310),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(542),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(530),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(533),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(239),
  [1866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(345),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(244),
  [1874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(246),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(231),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(773),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(775),
  [1888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(67),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(782),
  [1894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(235),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(90),
  [1900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(349),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(351),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(785),
  [1909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(787),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1936] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [2032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(958),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1145),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0),
  [2040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(963),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2, 0, 0), SHIFT_REPEAT(1133),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(718),
  [2057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(793),
  [2060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(354),
  [2063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(236),
  [2066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(241),
  [2069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(802),
  [2072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(804),
  [2075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(92),
  [2078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(70),
  [2081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(81),
  [2084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(294),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(265),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(219),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(344),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(539),
  [2101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(522),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(531),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(766),
  [2110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(238),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(247),
  [2118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(249),
  [2121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(776),
  [2124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(352),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(781),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(788),
  [2135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(790),
  [2138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(220),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_condition_repeat1, 2, 0, 0),
  [2147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_condition_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variableunit, 1, 0, 0), SHIFT(778),
  [2207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formatunit, 3, 0, 0),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formatunit, 3, 0, 0),
  [2211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formatunit, 3, 0, 12),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formatunit, 3, 0, 12),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 21), SHIFT_REPEAT(1190),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 21),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_command, 3, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_command, 4, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_command, 4, 0, 0),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_command, 3, 0, 0),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 22),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_foreach_command_repeat1, 2, 0, 20),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [2572] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_meson(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
